#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(to_nfit_uuid, "", "");
KSYMTAB_FUNC(acpi_nfit_ctl, "_gpl", "");
KSYMTAB_FUNC(nfit_get_smbios_id, "_gpl", "");
KSYMTAB_FUNC(__acpi_nvdimm_notify, "_gpl", "");
KSYMTAB_FUNC(acpi_nfit_init, "_gpl", "");
KSYMTAB_FUNC(acpi_nfit_desc_init, "_gpl", "");
KSYMTAB_FUNC(acpi_nfit_shutdown, "_gpl", "");
KSYMTAB_FUNC(__acpi_nfit_notify, "_gpl", "");

SYMBOL_CRC(to_nfit_uuid, 0x06848c60, "");
SYMBOL_CRC(acpi_nfit_ctl, 0x7635a24a, "_gpl");
SYMBOL_CRC(nfit_get_smbios_id, 0x499bbf57, "_gpl");
SYMBOL_CRC(__acpi_nvdimm_notify, 0x3514a980, "_gpl");
SYMBOL_CRC(acpi_nfit_init, 0xe9d4b2e0, "_gpl");
SYMBOL_CRC(acpi_nfit_desc_init, 0x85705935, "_gpl");
SYMBOL_CRC(acpi_nfit_shutdown, 0x4639bcda, "_gpl");
SYMBOL_CRC(__acpi_nfit_notify, 0x7d24bc00, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x407edecb, "nvdimm_region_notify" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x635b3ee1, "nd_region_provider_data" },
	{ 0x68317784, "nvdimm_bus_add_badrange" },
	{ 0xfebbed89, "param_ops_ulong" },
	{ 0xa01a8d9b, "nd_cmd_bus_desc" },
	{ 0xb8e799e4, "devm_kmalloc" },
	{ 0xab2d4ed7, "to_nvdimm" },
	{ 0x24819e5a, "rt_mutex_base_init" },
	{ 0xed189ce, "__nvdimm_create" },
	{ 0xead1ebd7, "to_nd_region" },
	{ 0x3d3bc4c2, "nvdimm_bus_check_dimm_count" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xdb91e147, "acpi_dev_remove_notify_handler" },
	{ 0x31e40a9e, "__dynamic_dev_dbg" },
	{ 0xe4f68683, "kernfs_notify" },
	{ 0x67504842, "to_nvdimm_bus" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x8a665bfa, "numa_nearest_node" },
	{ 0x2e1b06b6, "dev_driver_string" },
	{ 0x2841dacb, "__acpi_bus_register_driver" },
	{ 0x92997ed8, "_printk" },
	{ 0x671d7929, "acpi_find_child_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xb708a9e9, "_dev_info" },
	{ 0xc6cbbc89, "capable" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xb2db2d5, "remove_resource" },
	{ 0xc2c5802, "work_busy" },
	{ 0x92b99a33, "acpi_put_table" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0xf6cd1699, "acpi_dev_install_notify_handler" },
	{ 0xfa521f42, "to_nd_desc" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x39eec6c3, "_dev_err" },
	{ 0x3899d9e7, "nd_cmd_out_size" },
	{ 0xb7c0f443, "sort" },
	{ 0xb501b2df, "nd_cmd_dimm_desc" },
	{ 0x737afc9c, "nvdimm_bus_unregister" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x60d633ea, "mutex_lock" },
	{ 0xad115124, "kernfs_find_and_get_ns" },
	{ 0x66418a88, "nvdimm_name" },
	{ 0x9748b31f, "to_nvdimm_bus_dev" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xca68897d, "nvdimm_volatile_region_create" },
	{ 0xfb7b4797, "nvdimm_provider_data" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xdcb764ad, "memset" },
	{ 0x73837312, "_dev_warn" },
	{ 0x5f23e3fa, "insert_resource" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x42113b11, "nvdimm_in_overwrite" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x4ceac0f9, "nvdimm_to_bus" },
	{ 0x8f8ef21e, "nvdimm_bus_register" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xd0042e4e, "nd_region_dev" },
	{ 0x16cdc340, "acpi_get_table" },
	{ 0x3c02999c, "nd_cmd_in_size" },
	{ 0x64895b51, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x7a67dd53, "param_ops_bool" },
	{ 0x97f82463, "acpi_bus_unregister_driver" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0x915fd554, "kernfs_put" },
	{ 0xe091c977, "list_sort" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x8b90db4, "nvdimm_pmem_region_create" },
	{ 0x41c7c74c, "nvdimm_kobj" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x1cd8438b, "pxm_to_node" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xdd18a993, "acpi_check_dsm" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0x7bac27f7, "kmalloc_trace" },
	{ 0xcdc9236c, "__devm_add_action" },
	{ 0xaf076aec, "nd_fletcher64" },
	{ 0xf6a28554, "region_intersects" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x77358855, "iomem_resource" },
	{ 0x272a09a, "param_ops_int" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0x2bfbfebf, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xef19ee8f, "kmalloc_caches" },
	{ 0x834b615f, "nvdimm_cmd_mask" },
	{ 0x3eee7372, "module_layout" },
};

MODULE_INFO(depends, "libnvdimm");

MODULE_ALIAS("acpi*:ACPI0012:*");

MODULE_INFO(srcversion, "6A06EB963B61AD7139BD806");
MODULE_INFO(rhelversion, "9.6");
