#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mhi_register_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_unregister_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_alloc_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_free_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_prepare_for_power_up, "_gpl", "");
KSYMTAB_FUNC(mhi_unprepare_after_power_down, "_gpl", "");
KSYMTAB_FUNC(__mhi_driver_register, "_gpl", "");
KSYMTAB_FUNC(mhi_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(mhi_get_exec_env, "_gpl", "");
KSYMTAB_FUNC(mhi_get_mhi_state, "_gpl", "");
KSYMTAB_FUNC(mhi_soc_reset, "_gpl", "");
KSYMTAB_FUNC(mhi_get_free_desc_count, "_gpl", "");
KSYMTAB_FUNC(mhi_notify, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_skb, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_dma, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_buf, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_is_full, "_gpl", "");
KSYMTAB_FUNC(mhi_prepare_for_transfer, "_gpl", "");
KSYMTAB_FUNC(mhi_prepare_for_transfer_autoqueue, "_gpl", "");
KSYMTAB_FUNC(mhi_unprepare_from_transfer, "_gpl", "");
KSYMTAB_FUNC(mhi_get_channel_doorbell_offset, "_gpl", "");
KSYMTAB_FUNC(mhi_pm_suspend, "_gpl", "");
KSYMTAB_FUNC(mhi_pm_resume, "_gpl", "");
KSYMTAB_FUNC(mhi_pm_resume_force, "_gpl", "");
KSYMTAB_FUNC(mhi_async_power_up, "_gpl", "");
KSYMTAB_FUNC(mhi_power_down, "_gpl", "");
KSYMTAB_FUNC(mhi_power_down_keep_dev, "_gpl", "");
KSYMTAB_FUNC(mhi_sync_power_up, "", "");
KSYMTAB_FUNC(mhi_force_rddm_mode, "_gpl", "");
KSYMTAB_FUNC(mhi_device_get, "_gpl", "");
KSYMTAB_FUNC(mhi_device_get_sync, "_gpl", "");
KSYMTAB_FUNC(mhi_device_put, "_gpl", "");
KSYMTAB_FUNC(mhi_download_rddm_image, "_gpl", "");

SYMBOL_CRC(mhi_register_controller, 0x7d9028d2, "_gpl");
SYMBOL_CRC(mhi_unregister_controller, 0x9bdc29b5, "_gpl");
SYMBOL_CRC(mhi_alloc_controller, 0x9ec8c2c4, "_gpl");
SYMBOL_CRC(mhi_free_controller, 0xd5633001, "_gpl");
SYMBOL_CRC(mhi_prepare_for_power_up, 0x0a5779b2, "_gpl");
SYMBOL_CRC(mhi_unprepare_after_power_down, 0xe2749509, "_gpl");
SYMBOL_CRC(__mhi_driver_register, 0x1ebff655, "_gpl");
SYMBOL_CRC(mhi_driver_unregister, 0x7757341b, "_gpl");
SYMBOL_CRC(mhi_get_exec_env, 0x8d3e46d2, "_gpl");
SYMBOL_CRC(mhi_get_mhi_state, 0xe5536fd0, "_gpl");
SYMBOL_CRC(mhi_soc_reset, 0xe6a00df0, "_gpl");
SYMBOL_CRC(mhi_get_free_desc_count, 0x40db9a1d, "_gpl");
SYMBOL_CRC(mhi_notify, 0x4a6630ed, "_gpl");
SYMBOL_CRC(mhi_queue_skb, 0x88f31503, "_gpl");
SYMBOL_CRC(mhi_queue_dma, 0x09a39bd5, "_gpl");
SYMBOL_CRC(mhi_queue_buf, 0xe7cd05c9, "_gpl");
SYMBOL_CRC(mhi_queue_is_full, 0xffa875a3, "_gpl");
SYMBOL_CRC(mhi_prepare_for_transfer, 0x8f4c2985, "_gpl");
SYMBOL_CRC(mhi_prepare_for_transfer_autoqueue, 0x0a34f9b5, "_gpl");
SYMBOL_CRC(mhi_unprepare_from_transfer, 0xf18e3dd6, "_gpl");
SYMBOL_CRC(mhi_get_channel_doorbell_offset, 0xb05f59b6, "_gpl");
SYMBOL_CRC(mhi_pm_suspend, 0x08627888, "_gpl");
SYMBOL_CRC(mhi_pm_resume, 0xceda6944, "_gpl");
SYMBOL_CRC(mhi_pm_resume_force, 0xd923c2e6, "_gpl");
SYMBOL_CRC(mhi_async_power_up, 0x5b06175f, "_gpl");
SYMBOL_CRC(mhi_power_down, 0xf5257929, "_gpl");
SYMBOL_CRC(mhi_power_down_keep_dev, 0xc0c19342, "_gpl");
SYMBOL_CRC(mhi_sync_power_up, 0xf257bd89, "");
SYMBOL_CRC(mhi_force_rddm_mode, 0xb206af5c, "_gpl");
SYMBOL_CRC(mhi_device_get, 0xb912958a, "_gpl");
SYMBOL_CRC(mhi_device_get_sync, 0xfa512409, "_gpl");
SYMBOL_CRC(mhi_device_put, 0xb86858dc, "_gpl");
SYMBOL_CRC(mhi_download_rddm_image, 0x27e0d7f5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x6613b007, "ida_alloc_range" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x8a538cdc, "device_set_wakeup_capable" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x2d07be80, "bpf_trace_run4" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x1d897fd5, "sysfs_create_file_ns" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x57b48964, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd401f544, "trace_raw_output_prep" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x24819e5a, "rt_mutex_base_init" },
	{ 0x5616a11c, "finish_wait" },
	{ 0xe46f84de, "dma_unmap_page_attrs" },
	{ 0x7d4fdd2, "request_firmware" },
	{ 0x93ee8a9, "trace_event_printf" },
	{ 0x8fc79712, "device_initialize" },
	{ 0xb14b3421, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x30b24a8b, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x6e425e46, "bpf_trace_run2" },
	{ 0x88edf0a1, "prepare_to_wait_event" },
	{ 0x1344e378, "__wake_up" },
	{ 0xbd13b179, "event_triggers_call" },
	{ 0xa4a2bf89, "get_device" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x31e40a9e, "__dynamic_dev_dbg" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x2e1b06b6, "dev_driver_string" },
	{ 0x9d4a38cc, "trace_event_buffer_commit" },
	{ 0xc8c0fc7e, "dma_map_page_attrs" },
	{ 0xe38e2f66, "pm_wakeup_dev_event" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xfd5e5fd6, "put_device" },
	{ 0x72c99bb5, "trace_event_ignore_this_pid" },
	{ 0xb20543f5, "sysfs_remove_file_ns" },
	{ 0xef79c4f6, "rt_write_unlock" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xb708a9e9, "_dev_info" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0xcca25e63, "perf_trace_run_bpf_submit" },
	{ 0xe54579e4, "bus_unregister" },
	{ 0x39eec6c3, "_dev_err" },
	{ 0x39dba353, "device_wakeup_enable" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x79de05fd, "device_add" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x60d633ea, "mutex_lock" },
	{ 0xbd9e7ce5, "dma_alloc_attrs" },
	{ 0x5b30f878, "trace_event_reg" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xcb149792, "ida_free" },
	{ 0x736d5a06, "driver_unregister" },
	{ 0xd7482f05, "vcalloc" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x18b48e28, "__memset_io" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x6f6967af, "device_del" },
	{ 0xdcb764ad, "memset" },
	{ 0x73837312, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x4335ef68, "__init_waitqueue_head" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x67c46b9f, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x56a56e06, "rt_spin_lock" },
	{ 0xddc2f88, "bpf_trace_run3" },
	{ 0x64834a31, "rt_read_lock" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x50344d2e, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0xf6771f23, "trace_event_buffer_reserve" },
	{ 0x64895b51, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x1e899cfd, "rt_read_unlock" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x6a693dc2, "rt_write_lock" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x7bac27f7, "kmalloc_trace" },
	{ 0x98cf60b3, "strlen" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x1f4dece5, "driver_register" },
	{ 0x2bfbfebf, "__mutex_rt_init" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xef19ee8f, "kmalloc_caches" },
	{ 0x432e384c, "bus_register" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x3eee7372, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5C0FBC95C3E35B2E08B2E04");
MODULE_INFO(rhelversion, "9.6");
