#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_atomic_helper_check_modeset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_wb_connector_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_plane_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_crtc_primary_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check, "", "");
KSYMTAB_FUNC(drm_atomic_helper_update_legacy_modeset_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_calc_timestamping_constants, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_modeset_disables, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_modeset_enables, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_fences, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_vblanks, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_flip_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_tail, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_tail_rpm, "", "");
KSYMTAB_FUNC(drm_atomic_helper_async_check, "", "");
KSYMTAB_FUNC(drm_atomic_helper_async_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_setup_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_dependencies, "", "");
KSYMTAB_FUNC(drm_atomic_helper_fake_vblank, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_hw_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_cleanup_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_prepare_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_unprepare_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_planes_on_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_planes_on_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_helper_cleanup_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_swap_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_update_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_set_config, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_all, "", "");
KSYMTAB_FUNC(drm_atomic_helper_shutdown, "", "");
KSYMTAB_FUNC(drm_atomic_helper_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_suspend, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_duplicated_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_resume, "", "");
KSYMTAB_FUNC(drm_atomic_helper_page_flip, "", "");
KSYMTAB_FUNC(drm_atomic_helper_page_flip_target, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_propagate_bus_fmt, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_margins_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_check, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_private_obj_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_bridge_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_bridge_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_reset, "", "");
KSYMTAB_FUNC(drm_bridge_connector_init, "_gpl", "");
KSYMTAB_FUNC(drm_helper_encoder_in_use, "", "");
KSYMTAB_FUNC(drm_helper_crtc_in_use, "", "");
KSYMTAB_FUNC(drm_helper_disable_unused_functions, "", "");
KSYMTAB_FUNC(drm_crtc_helper_set_mode, "", "");
KSYMTAB_FUNC(drm_crtc_helper_atomic_check, "", "");
KSYMTAB_FUNC(drm_crtc_helper_set_config, "", "");
KSYMTAB_FUNC(drm_helper_connector_dpms, "", "");
KSYMTAB_FUNC(drm_helper_resume_force_mode, "", "");
KSYMTAB_FUNC(drm_helper_force_disable_all, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_plane_damage, "", "");
KSYMTAB_FUNC(drm_atomic_helper_dirtyfb, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_iter_init, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_iter_next, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_merged, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_init, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_destroy, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_dpms, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_mode_fixup, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_prepare, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_commit, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_mode_set, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_detect, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_save, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_restore, "", "");
KSYMTAB_FUNC(drm_flip_work_queue, "", "");
KSYMTAB_FUNC(drm_flip_work_commit, "", "");
KSYMTAB_FUNC(drm_flip_work_init, "", "");
KSYMTAB_FUNC(drm_flip_work_cleanup, "", "");
KSYMTAB_FUNC(drm_format_conv_state_init, "", "");
KSYMTAB_FUNC(drm_format_conv_state_copy, "", "");
KSYMTAB_FUNC(drm_format_conv_state_reserve, "", "");
KSYMTAB_FUNC(drm_format_conv_state_release, "", "");
KSYMTAB_FUNC(drm_fb_clip_offset, "", "");
KSYMTAB_FUNC(drm_fb_memcpy, "", "");
KSYMTAB_FUNC(drm_fb_swab, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb332, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb565, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_xrgb1555, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb1555, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgba5551, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb888, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb8888, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_xrgb2101010, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb2101010, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_gray8, "", "");
KSYMTAB_FUNC(drm_fb_blit, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_mono, "", "");
KSYMTAB_FUNC(drm_fb_build_fourcc_list, "", "");
KSYMTAB_FUNC(drm_gem_plane_helper_prepare_fb, "_gpl", "");
KSYMTAB_FUNC(__drm_gem_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(__drm_gem_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(__drm_gem_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_begin_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_end_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_begin_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_end_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_fb_get_obj, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_destroy, "", "");
KSYMTAB_FUNC(drm_gem_fb_create_handle, "", "");
KSYMTAB_FUNC(drm_gem_fb_init_with_funcs, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create_with_funcs, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create_with_dirty, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_vmap, "", "");
KSYMTAB_FUNC(drm_gem_fb_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_fb_begin_cpu_access, "", "");
KSYMTAB_FUNC(drm_gem_fb_end_cpu_access, "", "");
KSYMTAB_FUNC(drm_gem_fb_afbc_init, "_gpl", "");
KSYMTAB_FUNC(drm_helper_move_panel_connectors_to_head, "", "");
KSYMTAB_FUNC(drm_helper_mode_fill_fb_struct, "", "");
KSYMTAB_FUNC(drm_crtc_init, "", "");
KSYMTAB_FUNC(drm_mode_config_helper_suspend, "", "");
KSYMTAB_FUNC(drm_mode_config_helper_resume, "", "");
KSYMTAB_FUNC(drm_plane_helper_update_primary, "", "");
KSYMTAB_FUNC(drm_plane_helper_disable_primary, "", "");
KSYMTAB_FUNC(drm_plane_helper_destroy, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_enable, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_reschedule, "", "");
KSYMTAB_FUNC(drm_helper_probe_detect, "", "");
KSYMTAB_FUNC(drm_helper_probe_single_connector_modes, "", "");
KSYMTAB_FUNC(drm_kms_helper_hotplug_event, "", "");
KSYMTAB_FUNC(drm_kms_helper_connector_hotplug_event, "", "");
KSYMTAB_FUNC(drm_kms_helper_is_poll_worker, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_disable, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_init, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_fini, "", "");
KSYMTAB_FUNC(drm_connector_helper_hpd_irq_event, "", "");
KSYMTAB_FUNC(drm_helper_hpd_irq_event, "", "");
KSYMTAB_FUNC(drm_crtc_helper_mode_valid_fixed, "", "");
KSYMTAB_FUNC(drm_connector_helper_get_modes_fixed, "", "");
KSYMTAB_FUNC(drm_connector_helper_get_modes, "", "");
KSYMTAB_FUNC(drm_connector_helper_tv_get_modes, "", "");
KSYMTAB_FUNC(drm_rect_intersect, "", "");
KSYMTAB_FUNC(drm_rect_clip_scaled, "", "");
KSYMTAB_FUNC(drm_rect_calc_hscale, "", "");
KSYMTAB_FUNC(drm_rect_calc_vscale, "", "");
KSYMTAB_FUNC(drm_rect_debug_print, "", "");
KSYMTAB_FUNC(drm_rect_rotate, "", "");
KSYMTAB_FUNC(drm_rect_rotate_inv, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_update_avg_times, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_alter_state, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_init, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_cleanup, "", "");
KSYMTAB_FUNC(drm_simple_encoder_init, "", "");
KSYMTAB_FUNC(__drmm_simple_encoder_alloc, "", "");
KSYMTAB_FUNC(drm_simple_display_pipe_attach_bridge, "", "");
KSYMTAB_FUNC(drm_simple_display_pipe_init, "", "");
KSYMTAB_FUNC(drm_bridge_is_panel, "", "");
KSYMTAB_FUNC(drm_panel_bridge_add, "", "");
KSYMTAB_FUNC(drm_panel_bridge_add_typed, "", "");
KSYMTAB_FUNC(drm_panel_bridge_remove, "", "");
KSYMTAB_FUNC(drm_panel_bridge_set_orientation, "", "");
KSYMTAB_FUNC(devm_drm_panel_bridge_add, "", "");
KSYMTAB_FUNC(devm_drm_panel_bridge_add_typed, "", "");
KSYMTAB_FUNC(drmm_panel_bridge_add, "", "");
KSYMTAB_FUNC(drm_panel_bridge_connector, "", "");
KSYMTAB_FUNC(devm_drm_of_get_bridge, "", "");
KSYMTAB_FUNC(drmm_of_get_bridge, "", "");
KSYMTAB_FUNC(drm_fbdev_generic_setup, "", "");
KSYMTAB_FUNC(drm_fb_helper_debug_enter, "", "");
KSYMTAB_FUNC(drm_fb_helper_debug_leave, "", "");
KSYMTAB_FUNC(drm_fb_helper_restore_fbdev_mode_unlocked, "", "");
KSYMTAB_FUNC(drm_fb_helper_blank, "", "");
KSYMTAB_FUNC(drm_fb_helper_prepare, "", "");
KSYMTAB_FUNC(drm_fb_helper_unprepare, "", "");
KSYMTAB_FUNC(drm_fb_helper_init, "", "");
KSYMTAB_FUNC(drm_fb_helper_alloc_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_release_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_unregister_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_fini, "", "");
KSYMTAB_FUNC(drm_fb_helper_damage_range, "", "");
KSYMTAB_FUNC(drm_fb_helper_damage_area, "", "");
KSYMTAB_FUNC(drm_fb_helper_deferred_io, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_suspend, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_suspend_unlocked, "", "");
KSYMTAB_FUNC(drm_fb_helper_setcmap, "", "");
KSYMTAB_FUNC(drm_fb_helper_ioctl, "", "");
KSYMTAB_FUNC(drm_fb_helper_check_var, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_par, "", "");
KSYMTAB_FUNC(drm_fb_helper_pan_display, "", "");
KSYMTAB_FUNC(drm_fb_helper_fill_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_initial_config, "", "");
KSYMTAB_FUNC(drm_fb_helper_hotplug_event, "", "");
KSYMTAB_FUNC(drm_fb_helper_lastclose, "", "");
KSYMTAB_FUNC(drm_fb_helper_output_poll_changed, "", "");

SYMBOL_CRC(drm_atomic_helper_check_modeset, 0xf0ce1750, "");
SYMBOL_CRC(drm_atomic_helper_check_wb_connector_state, 0xaf47084d, "");
SYMBOL_CRC(drm_atomic_helper_check_plane_state, 0xc043a03f, "");
SYMBOL_CRC(drm_atomic_helper_check_crtc_primary_plane, 0x1955c3f3, "");
SYMBOL_CRC(drm_atomic_helper_check_planes, 0x4bbcb44c, "");
SYMBOL_CRC(drm_atomic_helper_check, 0x1daa1381, "");
SYMBOL_CRC(drm_atomic_helper_update_legacy_modeset_state, 0xb9855b74, "");
SYMBOL_CRC(drm_atomic_helper_calc_timestamping_constants, 0xa4e48cc0, "");
SYMBOL_CRC(drm_atomic_helper_commit_modeset_disables, 0x1e759cee, "");
SYMBOL_CRC(drm_atomic_helper_commit_modeset_enables, 0x23d1530e, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_fences, 0x6cead587, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_vblanks, 0x0ea0b4e8, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_flip_done, 0xca86b1e2, "");
SYMBOL_CRC(drm_atomic_helper_commit_tail, 0x31d50e8f, "");
SYMBOL_CRC(drm_atomic_helper_commit_tail_rpm, 0xe2e27c77, "");
SYMBOL_CRC(drm_atomic_helper_async_check, 0x27eef3c6, "");
SYMBOL_CRC(drm_atomic_helper_async_commit, 0xfb094399, "");
SYMBOL_CRC(drm_atomic_helper_commit, 0x654c59fc, "");
SYMBOL_CRC(drm_atomic_helper_setup_commit, 0xe451a8c1, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_dependencies, 0x551cbec0, "");
SYMBOL_CRC(drm_atomic_helper_fake_vblank, 0x0dfd6f8c, "");
SYMBOL_CRC(drm_atomic_helper_commit_hw_done, 0x17f8a79e, "");
SYMBOL_CRC(drm_atomic_helper_commit_cleanup_done, 0xac602752, "");
SYMBOL_CRC(drm_atomic_helper_prepare_planes, 0x4eb94e05, "");
SYMBOL_CRC(drm_atomic_helper_unprepare_planes, 0x06b88f12, "");
SYMBOL_CRC(drm_atomic_helper_commit_planes, 0xf8cbbe6e, "");
SYMBOL_CRC(drm_atomic_helper_commit_planes_on_crtc, 0xcd0967c8, "");
SYMBOL_CRC(drm_atomic_helper_disable_planes_on_crtc, 0xb358ad33, "");
SYMBOL_CRC(drm_atomic_helper_cleanup_planes, 0xee006502, "");
SYMBOL_CRC(drm_atomic_helper_swap_state, 0x534eaf47, "");
SYMBOL_CRC(drm_atomic_helper_update_plane, 0xf207328c, "");
SYMBOL_CRC(drm_atomic_helper_disable_plane, 0xcc8d4f33, "");
SYMBOL_CRC(drm_atomic_helper_set_config, 0x5432412e, "");
SYMBOL_CRC(drm_atomic_helper_disable_all, 0x59aee9ca, "");
SYMBOL_CRC(drm_atomic_helper_shutdown, 0xbd40c769, "");
SYMBOL_CRC(drm_atomic_helper_duplicate_state, 0xe86bce2e, "");
SYMBOL_CRC(drm_atomic_helper_suspend, 0xeea9a03a, "");
SYMBOL_CRC(drm_atomic_helper_commit_duplicated_state, 0x66edbb20, "");
SYMBOL_CRC(drm_atomic_helper_resume, 0xa50105bf, "");
SYMBOL_CRC(drm_atomic_helper_page_flip, 0xd294ff08, "");
SYMBOL_CRC(drm_atomic_helper_page_flip_target, 0xb4906ecc, "");
SYMBOL_CRC(drm_atomic_helper_bridge_propagate_bus_fmt, 0x65c7eca8, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_state_reset, 0x8e6c8801, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_reset, 0xe55fe78f, "");
SYMBOL_CRC(drm_atomic_helper_crtc_reset, 0x598bb0c6, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_duplicate_state, 0x686e0e40, "");
SYMBOL_CRC(drm_atomic_helper_crtc_duplicate_state, 0x88d08a79, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_destroy_state, 0x7e3fb571, "");
SYMBOL_CRC(drm_atomic_helper_crtc_destroy_state, 0x9c62e2e1, "");
SYMBOL_CRC(__drm_atomic_helper_plane_state_reset, 0xd095fee9, "");
SYMBOL_CRC(__drm_atomic_helper_plane_reset, 0x640247b0, "");
SYMBOL_CRC(drm_atomic_helper_plane_reset, 0x69f1a941, "");
SYMBOL_CRC(__drm_atomic_helper_plane_duplicate_state, 0x53d1fbf8, "");
SYMBOL_CRC(drm_atomic_helper_plane_duplicate_state, 0xc530151e, "");
SYMBOL_CRC(__drm_atomic_helper_plane_destroy_state, 0x02704cdb, "");
SYMBOL_CRC(drm_atomic_helper_plane_destroy_state, 0x2181eac5, "");
SYMBOL_CRC(__drm_atomic_helper_connector_state_reset, 0x406fae56, "");
SYMBOL_CRC(__drm_atomic_helper_connector_reset, 0x35290899, "");
SYMBOL_CRC(drm_atomic_helper_connector_reset, 0x86ed6bae, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_margins_reset, 0x78f2b01d, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_reset, 0x3f7130dc, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_check, 0x4c7e3c4d, "");
SYMBOL_CRC(__drm_atomic_helper_connector_duplicate_state, 0x6702809d, "");
SYMBOL_CRC(drm_atomic_helper_connector_duplicate_state, 0x6a1ca864, "");
SYMBOL_CRC(__drm_atomic_helper_connector_destroy_state, 0xd29ace69, "");
SYMBOL_CRC(drm_atomic_helper_connector_destroy_state, 0x71e55b05, "");
SYMBOL_CRC(__drm_atomic_helper_private_obj_duplicate_state, 0x37a429bf, "");
SYMBOL_CRC(__drm_atomic_helper_bridge_duplicate_state, 0x466f101b, "");
SYMBOL_CRC(drm_atomic_helper_bridge_duplicate_state, 0x512afa02, "");
SYMBOL_CRC(drm_atomic_helper_bridge_destroy_state, 0x1275378b, "");
SYMBOL_CRC(__drm_atomic_helper_bridge_reset, 0xf31d1ec7, "");
SYMBOL_CRC(drm_atomic_helper_bridge_reset, 0x22c6a62e, "");
SYMBOL_CRC(drm_bridge_connector_init, 0xef12925b, "_gpl");
SYMBOL_CRC(drm_helper_encoder_in_use, 0xc0ed015c, "");
SYMBOL_CRC(drm_helper_crtc_in_use, 0x66e1634b, "");
SYMBOL_CRC(drm_helper_disable_unused_functions, 0xe59ea96d, "");
SYMBOL_CRC(drm_crtc_helper_set_mode, 0xc328898b, "");
SYMBOL_CRC(drm_crtc_helper_atomic_check, 0x07394a7b, "");
SYMBOL_CRC(drm_crtc_helper_set_config, 0xf865ae34, "");
SYMBOL_CRC(drm_helper_connector_dpms, 0x5f94b7ea, "");
SYMBOL_CRC(drm_helper_resume_force_mode, 0x8e9a96b5, "");
SYMBOL_CRC(drm_helper_force_disable_all, 0x726fabe5, "");
SYMBOL_CRC(drm_atomic_helper_check_plane_damage, 0x2e10fd96, "");
SYMBOL_CRC(drm_atomic_helper_dirtyfb, 0x1f83a56f, "");
SYMBOL_CRC(drm_atomic_helper_damage_iter_init, 0xa80acfb3, "");
SYMBOL_CRC(drm_atomic_helper_damage_iter_next, 0x6b5c2b06, "");
SYMBOL_CRC(drm_atomic_helper_damage_merged, 0xdd366024, "");
SYMBOL_CRC(drm_i2c_encoder_init, 0x79c2e3ef, "");
SYMBOL_CRC(drm_i2c_encoder_destroy, 0x1f2bcfaa, "");
SYMBOL_CRC(drm_i2c_encoder_dpms, 0x9c765b16, "");
SYMBOL_CRC(drm_i2c_encoder_mode_fixup, 0xdad444c6, "");
SYMBOL_CRC(drm_i2c_encoder_prepare, 0x34f1b223, "");
SYMBOL_CRC(drm_i2c_encoder_commit, 0xa9b28169, "");
SYMBOL_CRC(drm_i2c_encoder_mode_set, 0x32ec919d, "");
SYMBOL_CRC(drm_i2c_encoder_detect, 0xe3adc03a, "");
SYMBOL_CRC(drm_i2c_encoder_save, 0xc470a288, "");
SYMBOL_CRC(drm_i2c_encoder_restore, 0x44d7f7c6, "");
SYMBOL_CRC(drm_flip_work_queue, 0xf9a7bed1, "");
SYMBOL_CRC(drm_flip_work_commit, 0xdfe0e221, "");
SYMBOL_CRC(drm_flip_work_init, 0xa2fa32a8, "");
SYMBOL_CRC(drm_flip_work_cleanup, 0x0eef39ad, "");
SYMBOL_CRC(drm_format_conv_state_init, 0xf24700a0, "");
SYMBOL_CRC(drm_format_conv_state_copy, 0xeeffb81b, "");
SYMBOL_CRC(drm_format_conv_state_reserve, 0x84247d5d, "");
SYMBOL_CRC(drm_format_conv_state_release, 0x24e99aa5, "");
SYMBOL_CRC(drm_fb_clip_offset, 0xb6a6b711, "");
SYMBOL_CRC(drm_fb_memcpy, 0x9778e9b6, "");
SYMBOL_CRC(drm_fb_swab, 0x028aa43b, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb332, 0xc7bba485, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb565, 0x5c0f2003, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_xrgb1555, 0x750b1d52, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb1555, 0x56bba499, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgba5551, 0x7e4b02b3, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb888, 0x4353378f, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb8888, 0x65f5f94e, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_xrgb2101010, 0x0560145a, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb2101010, 0x66fccba5, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_gray8, 0x83799faf, "");
SYMBOL_CRC(drm_fb_blit, 0xd2305085, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_mono, 0xf825fd20, "");
SYMBOL_CRC(drm_fb_build_fourcc_list, 0x879e7ea8, "");
SYMBOL_CRC(drm_gem_plane_helper_prepare_fb, 0xa28d7971, "_gpl");
SYMBOL_CRC(__drm_gem_duplicate_shadow_plane_state, 0x05c5d9e9, "");
SYMBOL_CRC(drm_gem_duplicate_shadow_plane_state, 0xc4ca2b97, "");
SYMBOL_CRC(__drm_gem_destroy_shadow_plane_state, 0x8f7407e6, "");
SYMBOL_CRC(drm_gem_destroy_shadow_plane_state, 0xd04a863f, "");
SYMBOL_CRC(__drm_gem_reset_shadow_plane, 0x3752ca47, "");
SYMBOL_CRC(drm_gem_reset_shadow_plane, 0x19dd65cf, "");
SYMBOL_CRC(drm_gem_begin_shadow_fb_access, 0xf1468c57, "");
SYMBOL_CRC(drm_gem_end_shadow_fb_access, 0x29be98bd, "");
SYMBOL_CRC(drm_gem_simple_kms_begin_shadow_fb_access, 0x956bc3a0, "");
SYMBOL_CRC(drm_gem_simple_kms_end_shadow_fb_access, 0x46ac5305, "");
SYMBOL_CRC(drm_gem_simple_kms_reset_shadow_plane, 0x69156436, "");
SYMBOL_CRC(drm_gem_simple_kms_duplicate_shadow_plane_state, 0x4607e826, "");
SYMBOL_CRC(drm_gem_simple_kms_destroy_shadow_plane_state, 0x7bcf3c50, "");
SYMBOL_CRC(drm_gem_fb_get_obj, 0xcc46c851, "_gpl");
SYMBOL_CRC(drm_gem_fb_destroy, 0xc71af9d8, "");
SYMBOL_CRC(drm_gem_fb_create_handle, 0xca2027de, "");
SYMBOL_CRC(drm_gem_fb_init_with_funcs, 0x19851fbe, "_gpl");
SYMBOL_CRC(drm_gem_fb_create_with_funcs, 0x579fd786, "_gpl");
SYMBOL_CRC(drm_gem_fb_create, 0x5a68c901, "_gpl");
SYMBOL_CRC(drm_gem_fb_create_with_dirty, 0x446291a0, "_gpl");
SYMBOL_CRC(drm_gem_fb_vmap, 0x2e7b7b1d, "");
SYMBOL_CRC(drm_gem_fb_vunmap, 0x93759162, "");
SYMBOL_CRC(drm_gem_fb_begin_cpu_access, 0x26a0467e, "");
SYMBOL_CRC(drm_gem_fb_end_cpu_access, 0x0f7e2fe5, "");
SYMBOL_CRC(drm_gem_fb_afbc_init, 0x68ea4ddc, "_gpl");
SYMBOL_CRC(drm_helper_move_panel_connectors_to_head, 0x7d1880a2, "");
SYMBOL_CRC(drm_helper_mode_fill_fb_struct, 0x04118a95, "");
SYMBOL_CRC(drm_crtc_init, 0x837bff76, "");
SYMBOL_CRC(drm_mode_config_helper_suspend, 0x25f5faf2, "");
SYMBOL_CRC(drm_mode_config_helper_resume, 0xe1fe0bc3, "");
SYMBOL_CRC(drm_plane_helper_update_primary, 0x3c763abc, "");
SYMBOL_CRC(drm_plane_helper_disable_primary, 0xf85aadcd, "");
SYMBOL_CRC(drm_plane_helper_destroy, 0x15fcebd6, "");
SYMBOL_CRC(drm_kms_helper_poll_enable, 0xa4a421d8, "");
SYMBOL_CRC(drm_kms_helper_poll_reschedule, 0xa0c6bc7b, "");
SYMBOL_CRC(drm_helper_probe_detect, 0x2b41b4b5, "");
SYMBOL_CRC(drm_helper_probe_single_connector_modes, 0x40e81889, "");
SYMBOL_CRC(drm_kms_helper_hotplug_event, 0xf81e8af3, "");
SYMBOL_CRC(drm_kms_helper_connector_hotplug_event, 0xc45efc81, "");
SYMBOL_CRC(drm_kms_helper_is_poll_worker, 0x5a4734d1, "");
SYMBOL_CRC(drm_kms_helper_poll_disable, 0xbcde5ea9, "");
SYMBOL_CRC(drm_kms_helper_poll_init, 0x0e13003c, "");
SYMBOL_CRC(drm_kms_helper_poll_fini, 0x118129af, "");
SYMBOL_CRC(drm_connector_helper_hpd_irq_event, 0x42d3667f, "");
SYMBOL_CRC(drm_helper_hpd_irq_event, 0x87a1fb09, "");
SYMBOL_CRC(drm_crtc_helper_mode_valid_fixed, 0x258f6bf9, "");
SYMBOL_CRC(drm_connector_helper_get_modes_fixed, 0xbf3d6fc9, "");
SYMBOL_CRC(drm_connector_helper_get_modes, 0x3449abd7, "");
SYMBOL_CRC(drm_connector_helper_tv_get_modes, 0xd1180643, "");
SYMBOL_CRC(drm_rect_intersect, 0x871ab41a, "");
SYMBOL_CRC(drm_rect_clip_scaled, 0x99fd20aa, "");
SYMBOL_CRC(drm_rect_calc_hscale, 0x2d50570f, "");
SYMBOL_CRC(drm_rect_calc_vscale, 0x91fec1cc, "");
SYMBOL_CRC(drm_rect_debug_print, 0xcb2340b8, "");
SYMBOL_CRC(drm_rect_rotate, 0xb053adda, "");
SYMBOL_CRC(drm_rect_rotate_inv, 0x6e30ba8e, "");
SYMBOL_CRC(drm_self_refresh_helper_update_avg_times, 0x62e01604, "");
SYMBOL_CRC(drm_self_refresh_helper_alter_state, 0x4c1bb94d, "");
SYMBOL_CRC(drm_self_refresh_helper_init, 0x0e774b06, "");
SYMBOL_CRC(drm_self_refresh_helper_cleanup, 0xae5e0450, "");
SYMBOL_CRC(drm_simple_encoder_init, 0xd5a951d3, "");
SYMBOL_CRC(__drmm_simple_encoder_alloc, 0x8f2029a0, "");
SYMBOL_CRC(drm_simple_display_pipe_attach_bridge, 0xa5a696d2, "");
SYMBOL_CRC(drm_simple_display_pipe_init, 0xd932bd7a, "");
SYMBOL_CRC(drm_bridge_is_panel, 0xec2d6b10, "");
SYMBOL_CRC(drm_panel_bridge_add, 0x8879e0fd, "");
SYMBOL_CRC(drm_panel_bridge_add_typed, 0x4b509d93, "");
SYMBOL_CRC(drm_panel_bridge_remove, 0xcd9dc4ae, "");
SYMBOL_CRC(drm_panel_bridge_set_orientation, 0xde0bb74b, "");
SYMBOL_CRC(devm_drm_panel_bridge_add, 0xd60107b2, "");
SYMBOL_CRC(devm_drm_panel_bridge_add_typed, 0x0fd2790f, "");
SYMBOL_CRC(drmm_panel_bridge_add, 0xd9f53c09, "");
SYMBOL_CRC(drm_panel_bridge_connector, 0x65d16e90, "");
SYMBOL_CRC(devm_drm_of_get_bridge, 0xf828fbb2, "");
SYMBOL_CRC(drmm_of_get_bridge, 0x80e909e2, "");
SYMBOL_CRC(drm_fbdev_generic_setup, 0xe8e4b1eb, "");
SYMBOL_CRC(drm_fb_helper_debug_enter, 0xd61063d4, "");
SYMBOL_CRC(drm_fb_helper_debug_leave, 0xd3241916, "");
SYMBOL_CRC(drm_fb_helper_restore_fbdev_mode_unlocked, 0xadfac5bf, "");
SYMBOL_CRC(drm_fb_helper_blank, 0xa531cf30, "");
SYMBOL_CRC(drm_fb_helper_prepare, 0x233b0cfb, "");
SYMBOL_CRC(drm_fb_helper_unprepare, 0xbc105038, "");
SYMBOL_CRC(drm_fb_helper_init, 0xdb93c92d, "");
SYMBOL_CRC(drm_fb_helper_alloc_info, 0x5d82ac7b, "");
SYMBOL_CRC(drm_fb_helper_release_info, 0xd5a925ec, "");
SYMBOL_CRC(drm_fb_helper_unregister_info, 0x8df6769a, "");
SYMBOL_CRC(drm_fb_helper_fini, 0x68cea9de, "");
SYMBOL_CRC(drm_fb_helper_damage_range, 0x6620cd4c, "");
SYMBOL_CRC(drm_fb_helper_damage_area, 0xd0c6f9ff, "");
SYMBOL_CRC(drm_fb_helper_deferred_io, 0x6b62f11b, "");
SYMBOL_CRC(drm_fb_helper_set_suspend, 0x39840d17, "");
SYMBOL_CRC(drm_fb_helper_set_suspend_unlocked, 0x3b0de15e, "");
SYMBOL_CRC(drm_fb_helper_setcmap, 0xb139ba6b, "");
SYMBOL_CRC(drm_fb_helper_ioctl, 0xa88432a3, "");
SYMBOL_CRC(drm_fb_helper_check_var, 0x3b4b1c72, "");
SYMBOL_CRC(drm_fb_helper_set_par, 0x7ed141d0, "");
SYMBOL_CRC(drm_fb_helper_pan_display, 0x689e8ae6, "");
SYMBOL_CRC(drm_fb_helper_fill_info, 0xcfe04a2f, "");
SYMBOL_CRC(drm_fb_helper_initial_config, 0xc238ec92, "");
SYMBOL_CRC(drm_fb_helper_hotplug_event, 0xeb64196a, "");
SYMBOL_CRC(drm_fb_helper_lastclose, 0xe41c9ff4, "");
SYMBOL_CRC(drm_fb_helper_output_poll_changed, 0xdf75298f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf828c210, "unregister_framebuffer" },
	{ 0xfc134061, "drm_atomic_get_old_crtc_for_encoder" },
	{ 0x7761c872, "drm_framebuffer_cleanup" },
	{ 0x7e3277f8, "___drm_dbg" },
	{ 0xc66e92d2, "drm_client_register" },
	{ 0x70ff5174, "drm_writeback_prepare_job" },
	{ 0xf1b5340a, "drm_mode_vrefresh" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x8ef25a6d, "drm_panel_get_modes" },
	{ 0x424e435f, "drm_gem_vmap_unlocked" },
	{ 0x4c28373d, "try_module_get" },
	{ 0x9c3f9718, "drm_connector_list_update" },
	{ 0x97aa3027, "drm_bridge_add" },
	{ 0x4791e89c, "drm_bridge_chain_mode_valid" },
	{ 0x29f078d1, "drm_mode_legacy_fb_format" },
	{ 0x529f1e79, "unregister_sysrq_key" },
	{ 0xc2e8c178, "drm_connector_register" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xb8e799e4, "devm_kmalloc" },
	{ 0x88aff3e3, "drm_client_rotation" },
	{ 0x9d68c677, "drm_client_buffer_vmap" },
	{ 0x309c2802, "drm_panel_enable" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9eb91c39, "drm_framebuffer_init" },
	{ 0xb29ff5e7, "drm_mode_validate_driver" },
	{ 0x9c8b5e5b, "drm_atomic_add_affected_planes" },
	{ 0xd3457ac, "dma_buf_end_cpu_access" },
	{ 0xd67b6806, "drm_modeset_unlock_all" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa919cc67, "drm_mode_probed_add" },
	{ 0xd3b2cb10, "drm_atomic_add_affected_connectors" },
	{ 0xe3751de6, "drm_gem_vunmap_unlocked" },
	{ 0xb3422af8, "drm_bridge_hpd_enable" },
	{ 0xb80c351b, "drm_crtc_vblank_count" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x24819e5a, "rt_mutex_base_init" },
	{ 0x5616a11c, "finish_wait" },
	{ 0xbee2dcf7, "drm_modeset_lock_all" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x44afa01f, "drm_client_framebuffer_delete" },
	{ 0xd9b4753, "drm_mode_equal" },
	{ 0x82f7daa0, "drm_client_framebuffer_create" },
	{ 0xf47e8252, "drm_atomic_bridge_chain_enable" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0x3b37486f, "drm_mode_object_get" },
	{ 0x5dd1414, "drm_edid_override_connector_update" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb9cad492, "__drm_atomic_state_free" },
	{ 0xae1dfad2, "drm_driver_legacy_fb_format" },
	{ 0xd3942250, "drm_crtc_cleanup" },
	{ 0x7730deae, "drm_connector_list_iter_begin" },
	{ 0x93116a4e, "fb_deferred_io_init" },
	{ 0x538411ab, "drm_mode_set_config_internal" },
	{ 0xc0c2fff3, "fb_deferred_io_cleanup" },
	{ 0x88edf0a1, "prepare_to_wait_event" },
	{ 0x8e0a608f, "framebuffer_alloc" },
	{ 0x9bad3abd, "drm_encoder_cleanup" },
	{ 0xda125e37, "drm_connector_unregister" },
	{ 0x27ebd0ab, "drm_modeset_acquire_init" },
	{ 0xfdbc8533, "dma_fence_set_deadline" },
	{ 0xb3750192, "drm_edid_valid" },
	{ 0x2d6f7822, "drm_client_modeset_probe" },
	{ 0x8efd26f6, "drm_warn_on_modeset_not_all_locked" },
	{ 0x6caf7740, "drm_plane_get_damage_clips" },
	{ 0x4e444ac7, "devres_add" },
	{ 0x52a3841c, "dma_fence_wait_timeout" },
	{ 0xc282e465, "drm_add_modes_noedid" },
	{ 0x9a226dad, "drm_bridge_remove" },
	{ 0x2944f43, "drm_mode_object_put" },
	{ 0x2e1b06b6, "dev_driver_string" },
	{ 0xc2723899, "drm_crtc_vblank_get" },
	{ 0xc7e9d1b8, "drm_gem_object_lookup" },
	{ 0x41986ced, "drm_crtc_send_vblank_event" },
	{ 0x1dcc010f, "drm_connector_attach_encoder" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x2ed3c600, "drm_mode_debug_printmodeline" },
	{ 0x8aa9f07a, "fb_sys_write" },
	{ 0xb6d3ca8b, "drm_atomic_normalize_zpos" },
	{ 0xf2fbfd20, "drm_edid_connector_update" },
	{ 0xea6b8538, "drm_sysfs_hotplug_event" },
	{ 0x28107773, "drm_bridge_hpd_disable" },
	{ 0x9f56c48b, "sys_imageblit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x267cc7c9, "__drmm_add_action_or_reset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6822eaa5, "drm_crtc_vblank_reset" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x40d04664, "console_trylock" },
	{ 0xbe0ac699, "sys_fillrect" },
	{ 0xc2145e3f, "drm_connector_list_iter_end" },
	{ 0x95a366, "drm_atomic_set_crtc_for_plane" },
	{ 0xead431e1, "drm_bridge_edid_read" },
	{ 0xecb98a56, "drm_client_modeset_dpms" },
	{ 0xfbe1699d, "drm_mode_prune_invalid" },
	{ 0x65cfec1e, "drm_client_dev_hotplug" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xb708a9e9, "_dev_info" },
	{ 0x5b1f68c8, "dma_resv_get_singleton" },
	{ 0xb1c3a01a, "oops_in_progress" },
	{ 0x78782562, "drm_plane_cleanup" },
	{ 0x4575a0ca, "drm_mode_set_crtcinfo" },
	{ 0x5da4de2, "module_put" },
	{ 0xb02093d8, "dma_buf_begin_cpu_access" },
	{ 0x98b71c6, "fb_dealloc_cmap" },
	{ 0xdb5f61f8, "drm_atomic_get_crtc_state" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x3fc60742, "drm_client_init" },
	{ 0x717718d5, "drm_crtc_wait_one_vblank" },
	{ 0x24c0b991, "drm_crtc_next_vblank_start" },
	{ 0x775501d8, "__drmm_encoder_alloc" },
	{ 0xd7a9cf42, "drm_mode_validate_size" },
	{ 0x95cf2a7, "drm_modeset_lock" },
	{ 0x95a523c7, "drm_client_modeset_commit_locked" },
	{ 0x809ede8b, "drm_modeset_unlock" },
	{ 0xa7bec7d7, "drm_panel_disable" },
	{ 0x1c7b37e5, "drm_property_replace_blob" },
	{ 0x6910e4cd, "drm_format_info_min_pitch" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x833c057f, "drm_connector_init" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x9668c7e8, "devm_kfree" },
	{ 0x39eec6c3, "_dev_err" },
	{ 0xf012869d, "drm_writeback_cleanup_job" },
	{ 0xb30e4293, "drm_modeset_lock_all_ctx" },
	{ 0x7cc852f8, "i2c_unregister_device" },
	{ 0xe8a1b176, "drm_atomic_set_fb_for_plane" },
	{ 0x3165279, "__drm_universal_plane_alloc" },
	{ 0x1cce676f, "drm_connector_init_with_ddc" },
	{ 0xc6ab1e13, "drm_edid_connector_add_modes" },
	{ 0x60d633ea, "mutex_lock" },
	{ 0x74fc6fbd, "drm_format_info_block_width" },
	{ 0xfbaaf01e, "console_lock" },
	{ 0x9a69d8f0, "__devres_alloc_node" },
	{ 0x80e25612, "drm_edid_read" },
	{ 0xb44aa0a5, "drm_crtc_commit_wait" },
	{ 0x6f55f9d5, "drm_dev_has_vblank" },
	{ 0xc6917eed, "register_framebuffer" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0xcaad30ca, "__drm_atomic_helper_disable_plane" },
	{ 0xa3346184, "drm_connector_set_orientation_from_panel" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0x464c2c15, "drm_gem_handle_create" },
	{ 0x2842ca70, "drm_atomic_set_crtc_for_connector" },
	{ 0x129e2ba7, "drm_analog_tv_mode" },
	{ 0xd0a97907, "drm_crtc_init_with_planes" },
	{ 0x7a890c8, "fb_alloc_cmap" },
	{ 0x3d657361, "drm_mode_duplicate" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xf77555cd, "__memcpy_toio" },
	{ 0xc0844a04, "drm_crtc_vblank_put" },
	{ 0x642475f0, "i2c_new_client_device" },
	{ 0x4a35d30d, "drm_mode_set_name" },
	{ 0xc53929a0, "__drm_dev_dbg" },
	{ 0xa2e98925, "drm_plane_get_damage_clips_count" },
	{ 0x2b7bcc1e, "drm_atomic_commit" },
	{ 0x9ce050be, "drm_mode_copy" },
	{ 0x1f75553a, "fb_deferred_io_mmap" },
	{ 0x54482230, "drm_atomic_state_alloc" },
	{ 0xd84720f6, "drm_client_modeset_commit" },
	{ 0xdcb764ad, "memset" },
	{ 0x73837312, "_dev_warn" },
	{ 0x86f5a940, "drm_atomic_bridge_chain_post_disable" },
	{ 0x45fb39b4, "drm_connector_update_edid_property" },
	{ 0xb086393c, "fwnode_handle_get" },
	{ 0xe633a4cd, "drm_format_info_bpp" },
	{ 0xc631580a, "console_unlock" },
	{ 0xd4d5f871, "fb_set_suspend" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xf641e873, "drm_atomic_get_new_crtc_for_encoder" },
	{ 0xe8fb2c18, "drm_client_release" },
	{ 0x67c46b9f, "rt_spin_unlock" },
	{ 0xae277372, "__drm_crtc_commit_free" },
	{ 0x6b5fd420, "__drm_atomic_helper_set_config" },
	{ 0x8b9c5470, "mutex_trylock" },
	{ 0x56a56e06, "rt_spin_lock" },
	{ 0xd1ff7519, "drm_atomic_set_mode_prop_for_crtc" },
	{ 0xf45b2506, "drm_get_format_info" },
	{ 0xf44b51af, "drm_connector_cleanup" },
	{ 0x49174027, "drm_universal_plane_init" },
	{ 0x9b44ac61, "drm_any_plane_has_format" },
	{ 0x5392e5de, "sys_copyarea" },
	{ 0x24dbeb2e, "drm_connector_list_iter_next" },
	{ 0x2416ed18, "drm_modeset_acquire_fini" },
	{ 0xe636ace4, "drm_encoder_init" },
	{ 0x999e8297, "vfree" },
	{ 0x55a2b86c, "drm_object_property_get_default_value" },
	{ 0x64895b51, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xdfcc992c, "current_work" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x7a67dd53, "param_ops_bool" },
	{ 0x3ab56699, "drm_of_find_panel_or_bridge" },
	{ 0x75fc9ad, "drm_master_internal_acquire" },
	{ 0xe93e49c3, "devres_free" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x4589abb3, "drm_modeset_backoff" },
	{ 0xb113ad74, "drm_panel_prepare" },
	{ 0x1e36461, "drm_bridge_chain_mode_set" },
	{ 0x31a80604, "drm_client_buffer_vunmap" },
	{ 0xf1421d13, "drm_mode_sort" },
	{ 0xe0c76cf5, "fb_sys_read" },
	{ 0x76c4231e, "drm_atomic_get_plane_state" },
	{ 0x95944934, "drm_atomic_bridge_chain_check" },
	{ 0xe5be0fdc, "dma_fence_chain_init" },
	{ 0x3ad0d573, "register_sysrq_key" },
	{ 0x7244c284, "drm_property_blob_get" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x30618395, "drm_property_blob_put" },
	{ 0x5a789273, "drm_mode_destroy" },
	{ 0x209a7962, "drm_bridge_attach" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x1fc1f4de, "drm_set_preferred_mode" },
	{ 0xd777da17, "drm_atomic_bridge_chain_pre_enable" },
	{ 0xdcabc23, "drm_atomic_state_clear" },
	{ 0xe424d2f1, "drm_mode_config_reset" },
	{ 0x60675dcd, "drm_property_create_blob" },
	{ 0x55eb38da, "drm_format_info" },
	{ 0x7bac27f7, "kmalloc_trace" },
	{ 0x6985e367, "drm_modeset_drop_locks" },
	{ 0xb978001f, "framebuffer_release" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0x61d21cbf, "drm_atomic_bridge_chain_disable" },
	{ 0xa8b75c35, "drm_mode_create_from_cmdline_mode" },
	{ 0x59903bef, "drm_mode_validate_ycbcr420" },
	{ 0x982d09b3, "drm_format_info_block_height" },
	{ 0x272a09a, "param_ops_int" },
	{ 0xf85e898a, "drm_atomic_nonblocking_commit" },
	{ 0xd337c63e, "debugfs_create_dir" },
	{ 0x21ef374c, "try_wait_for_completion" },
	{ 0x698dfbff, "drm_master_internal_release" },
	{ 0xc5c18b7b, "drm_calc_timestamping_constants" },
	{ 0xcdb99cc9, "drm_mode_init" },
	{ 0x2bfbfebf, "__mutex_rt_init" },
	{ 0xfd60df2, "drm_get_connector_status_name" },
	{ 0x742af33e, "drm_panel_unprepare" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xef19ee8f, "kmalloc_caches" },
	{ 0xf182b02c, "drm_atomic_add_encoder_bridges" },
	{ 0xe4644578, "drm_atomic_get_connector_state" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x26d2a909, "drm_sysfs_connector_hotplug_event" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x4403a9c3, "drm_mode_get_hv_timing" },
	{ 0x3eee7372, "module_layout" },
};

MODULE_INFO(depends, "fb,drm,fb_sys_fops,sysimgblt,sysfillrect,syscopyarea");


MODULE_INFO(srcversion, "B691302735FEF891793A40E");
MODULE_INFO(rhelversion, "9.6");
