#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gem_shmem_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_free, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_put_pages, "", "");
KSYMTAB_FUNC(drm_gem_shmem_pin, "", "");
KSYMTAB_FUNC(drm_gem_shmem_unpin, "", "");
KSYMTAB_FUNC(drm_gem_shmem_vmap, "", "");
KSYMTAB_FUNC(drm_gem_shmem_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_shmem_madvise, "", "");
KSYMTAB_FUNC(drm_gem_shmem_purge, "", "");
KSYMTAB_FUNC(drm_gem_shmem_dumb_create, "_gpl", "");
KSYMTAB_DATA(drm_gem_shmem_vm_ops, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_mmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_print_info, "", "");
KSYMTAB_FUNC(drm_gem_shmem_get_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_get_pages_sgt, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_prime_import_sg_table, "_gpl", "");

SYMBOL_CRC(drm_gem_shmem_create, 0x3979526d, "_gpl");
SYMBOL_CRC(drm_gem_shmem_free, 0xe19143b9, "_gpl");
SYMBOL_CRC(drm_gem_shmem_put_pages, 0x65816998, "");
SYMBOL_CRC(drm_gem_shmem_pin, 0xdd0f23b1, "");
SYMBOL_CRC(drm_gem_shmem_unpin, 0x1fcd07d0, "");
SYMBOL_CRC(drm_gem_shmem_vmap, 0x2686da54, "");
SYMBOL_CRC(drm_gem_shmem_vunmap, 0xe6eff159, "");
SYMBOL_CRC(drm_gem_shmem_madvise, 0x46e6a920, "");
SYMBOL_CRC(drm_gem_shmem_purge, 0xcb733c82, "");
SYMBOL_CRC(drm_gem_shmem_dumb_create, 0x36b42933, "_gpl");
SYMBOL_CRC(drm_gem_shmem_vm_ops, 0xad08de00, "_gpl");
SYMBOL_CRC(drm_gem_shmem_mmap, 0x9ef79da0, "_gpl");
SYMBOL_CRC(drm_gem_shmem_print_info, 0xa26c55a4, "");
SYMBOL_CRC(drm_gem_shmem_get_sg_table, 0xcc9a0441, "_gpl");
SYMBOL_CRC(drm_gem_shmem_get_pages_sgt, 0xa75bdd49, "_gpl");
SYMBOL_CRC(drm_gem_shmem_prime_import_sg_table, 0xc200b2e8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xec9f9f6, "vmf_insert_pfn" },
	{ 0x25d19c6b, "ww_mutex_lock_interruptible" },
	{ 0xf5ed10b6, "drm_gem_get_pages" },
	{ 0x32cf9d76, "dma_buf_vmap" },
	{ 0x2c91e17c, "vm_get_page_prot" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x1201c76, "invalidate_mapping_pages" },
	{ 0x7310412f, "ww_mutex_unlock" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0xce1d6e15, "unmap_mapping_range" },
	{ 0x94961283, "vunmap" },
	{ 0xe5b92f30, "dma_buf_mmap" },
	{ 0x37a0cba, "kfree" },
	{ 0xc686dcce, "drm_gem_create_mmap_offset" },
	{ 0x1088b184, "drm_gem_object_init" },
	{ 0x2e1b06b6, "dev_driver_string" },
	{ 0xcb0df280, "drm_gem_private_object_init" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x31ce7717, "drm_gem_vm_close" },
	{ 0x7857c050, "drm_gem_vm_open" },
	{ 0x19a1152f, "down_write" },
	{ 0xaa785dec, "up_write" },
	{ 0x368152d2, "drm_gem_object_release" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0x5f94b60, "ww_mutex_lock" },
	{ 0x65a64a18, "vmap" },
	{ 0x464c2c15, "drm_gem_handle_create" },
	{ 0xc53929a0, "__drm_dev_dbg" },
	{ 0x6b265a92, "drm_prime_pages_to_sg" },
	{ 0x6a5a17e0, "dma_buf_vunmap" },
	{ 0x41f38a69, "shmem_truncate_range" },
	{ 0xd2d42a9f, "drm_printf" },
	{ 0x7b389c8a, "dma_map_sgtable" },
	{ 0xb44af9d6, "drm_gem_free_mmap_offset" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x11e1d880, "dma_unmap_sg_attrs" },
	{ 0x7bac27f7, "kmalloc_trace" },
	{ 0xc5fba2a9, "drm_gem_put_pages" },
	{ 0xaa521740, "drm_gem_private_object_fini" },
	{ 0xef19ee8f, "kmalloc_caches" },
	{ 0x604bee6c, "drm_prime_gem_destroy" },
	{ 0x3eee7372, "module_layout" },
};

MODULE_INFO(depends, "drm");


MODULE_INFO(srcversion, "0376228694C0E6761CA8C54");
MODULE_INFO(rhelversion, "9.6");
