#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x58cc27ee, "coresight_get_platform_data" },
	{ 0x6228c21f, "smp_call_function_single" },
	{ 0x5fe1a76, "etm_perf_symlink" },
	{ 0xb8e799e4, "devm_kmalloc" },
	{ 0x280d92ec, "coresight_loses_context_with_cpu" },
	{ 0x1a968b39, "platform_driver_unregister" },
	{ 0x1b2eb8a5, "coresight_disclaim_device_unlocked" },
	{ 0x882dcd74, "amba_driver_unregister" },
	{ 0x17f3b9dd, "cscfg_csdev_disable_active_config" },
	{ 0xa6acb122, "task_active_pid_ns" },
	{ 0x24819e5a, "rt_mutex_base_init" },
	{ 0x96848186, "scnprintf" },
	{ 0x5a0d7588, "coresight_register" },
	{ 0xd0178e28, "init_pid_ns" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0x18fb2caf, "cpus_read_unlock" },
	{ 0x31e40a9e, "__dynamic_dev_dbg" },
	{ 0x87f99b65, "cscfg_unregister_csdev" },
	{ 0xd3152e56, "coresight_enable" },
	{ 0xe6cab950, "__pm_runtime_set_status" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0x92997ed8, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x25dcc257, "coresight_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xae1e34de, "pm_runtime_enable" },
	{ 0xeaa99ed3, "coresight_claim_device_unlocked" },
	{ 0xb708a9e9, "_dev_info" },
	{ 0xe63bb519, "__amba_driver_register" },
	{ 0x444f1735, "cpu_pm_register_notifier" },
	{ 0xa04f945a, "cpus_read_lock" },
	{ 0x39eec6c3, "_dev_err" },
	{ 0xbbaea7c5, "__cpuhp_setup_state" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xeca1a8e2, "coresight_timeout" },
	{ 0xd9853609, "cscfg_csdev_reset_feats" },
	{ 0xdcb764ad, "memset" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xe40b1ee5, "cscfg_csdev_enable_active_config" },
	{ 0x67c46b9f, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x56a56e06, "rt_spin_lock" },
	{ 0xffb0c5f6, "__platform_driver_register" },
	{ 0x187af8cf, "cscfg_register_csdev" },
	{ 0x180a151, "devm_kasprintf" },
	{ 0xe20a4c35, "fwnode_property_present" },
	{ 0x4f98d766, "cpu_pm_unregister_notifier" },
	{ 0x7fc8f480, "__pm_runtime_resume" },
	{ 0xc2e1b47b, "devm_ioremap_resource" },
	{ 0xc4d10d2c, "perf_event_addr_filters_sync" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb0043d28, "cscfg_config_sysfs_get_active_cfg" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x98cf60b3, "strlen" },
	{ 0x272a09a, "param_ops_int" },
	{ 0x469cbb, "__pm_runtime_disable" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0xea90c90d, "__cpuhp_remove_state" },
	{ 0x35d119d5, "coresight_get_cpu" },
	{ 0xad97b897, "__pm_runtime_idle" },
	{ 0xbd8c4638, "__dev_fwnode" },
	{ 0x3eee7372, "module_layout" },
};

MODULE_INFO(depends, "coresight");

MODULE_ALIAS("acpi*:ARMHC500:*");
MODULE_ALIAS("amba:d???BB95D");
MODULE_ALIAS("amba:d???BB95E");
MODULE_ALIAS("amba:d???BB95A");
MODULE_ALIAS("amba:d???BB959");
MODULE_ALIAS("amba:d???BB9DA");
MODULE_ALIAS("amba:d???BBD05");
MODULE_ALIAS("amba:d???BBD0A");
MODULE_ALIAS("amba:d???BBD0C");
MODULE_ALIAS("amba:d???BBD41");
MODULE_ALIAS("amba:d???F0205");
MODULE_ALIAS("amba:d???F0211");
MODULE_ALIAS("amba:d???BB802");
MODULE_ALIAS("amba:d???BB803");
MODULE_ALIAS("amba:d???BB805");
MODULE_ALIAS("amba:d???BB804");
MODULE_ALIAS("amba:d???BBD0D");
MODULE_ALIAS("amba:d???CC0AF");
MODULE_ALIAS("amba:d???B6D01");
MODULE_ALIAS("amba:d???B6D02");

MODULE_INFO(srcversion, "3E0594DE574673070CC5368");
MODULE_INFO(rhelversion, "9.6");
