#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nand_extract_bits, "_gpl", "");
KSYMTAB_FUNC(nand_select_target, "_gpl", "");
KSYMTAB_FUNC(nand_deselect_target, "_gpl", "");
KSYMTAB_FUNC(nand_soft_waitrdy, "_gpl", "");
KSYMTAB_FUNC(nand_gpio_waitrdy, "_gpl", "");
KSYMTAB_FUNC(nand_read_page_op, "_gpl", "");
KSYMTAB_FUNC(nand_change_read_column_op, "_gpl", "");
KSYMTAB_FUNC(nand_read_oob_op, "_gpl", "");
KSYMTAB_FUNC(nand_prog_page_begin_op, "_gpl", "");
KSYMTAB_FUNC(nand_prog_page_end_op, "_gpl", "");
KSYMTAB_FUNC(nand_prog_page_op, "_gpl", "");
KSYMTAB_FUNC(nand_change_write_column_op, "_gpl", "");
KSYMTAB_FUNC(nand_readid_op, "_gpl", "");
KSYMTAB_FUNC(nand_status_op, "_gpl", "");
KSYMTAB_FUNC(nand_erase_op, "_gpl", "");
KSYMTAB_FUNC(nand_reset_op, "_gpl", "");
KSYMTAB_FUNC(nand_read_data_op, "_gpl", "");
KSYMTAB_FUNC(nand_write_data_op, "_gpl", "");
KSYMTAB_FUNC(nand_op_parser_exec_op, "_gpl", "");
KSYMTAB_FUNC(nand_subop_get_addr_start_off, "_gpl", "");
KSYMTAB_FUNC(nand_subop_get_num_addr_cyc, "_gpl", "");
KSYMTAB_FUNC(nand_subop_get_data_start_off, "_gpl", "");
KSYMTAB_FUNC(nand_subop_get_data_len, "_gpl", "");
KSYMTAB_FUNC(nand_reset, "_gpl", "");
KSYMTAB_FUNC(nand_check_erased_ecc_chunk, "", "");
KSYMTAB_FUNC(nand_read_page_raw, "", "");
KSYMTAB_FUNC(nand_monolithic_read_page_raw, "", "");
KSYMTAB_FUNC(nand_read_oob_std, "", "");
KSYMTAB_FUNC(nand_write_oob_std, "", "");
KSYMTAB_FUNC(nand_write_page_raw, "", "");
KSYMTAB_FUNC(nand_monolithic_write_page_raw, "", "");
KSYMTAB_FUNC(nand_decode_ext_id, "_gpl", "");
KSYMTAB_FUNC(rawnand_dt_parse_gpio_cs, "", "");
KSYMTAB_FUNC(rawnand_sw_hamming_init, "", "");
KSYMTAB_FUNC(rawnand_sw_hamming_calculate, "", "");
KSYMTAB_FUNC(rawnand_sw_hamming_correct, "", "");
KSYMTAB_FUNC(rawnand_sw_hamming_cleanup, "", "");
KSYMTAB_FUNC(rawnand_sw_bch_init, "", "");
KSYMTAB_FUNC(rawnand_sw_bch_correct, "", "");
KSYMTAB_FUNC(rawnand_sw_bch_cleanup, "", "");
KSYMTAB_FUNC(nand_ecc_choose_conf, "_gpl", "");
KSYMTAB_FUNC(nand_scan_with_ids, "", "");
KSYMTAB_FUNC(nand_cleanup, "_gpl", "");
KSYMTAB_FUNC(nand_wait_ready, "_gpl", "");
KSYMTAB_FUNC(nand_get_set_features_notsupp, "", "");
KSYMTAB_FUNC(nand_create_bbt, "", "");

SYMBOL_CRC(nand_extract_bits, 0x11091291, "_gpl");
SYMBOL_CRC(nand_select_target, 0xc63b3c19, "_gpl");
SYMBOL_CRC(nand_deselect_target, 0x312ff0b3, "_gpl");
SYMBOL_CRC(nand_soft_waitrdy, 0x3fd08661, "_gpl");
SYMBOL_CRC(nand_gpio_waitrdy, 0x50999ea1, "_gpl");
SYMBOL_CRC(nand_read_page_op, 0x3e0b086d, "_gpl");
SYMBOL_CRC(nand_change_read_column_op, 0xb9ac879c, "_gpl");
SYMBOL_CRC(nand_read_oob_op, 0xca6e6467, "_gpl");
SYMBOL_CRC(nand_prog_page_begin_op, 0xa2238e41, "_gpl");
SYMBOL_CRC(nand_prog_page_end_op, 0xb96de477, "_gpl");
SYMBOL_CRC(nand_prog_page_op, 0x734c7b6c, "_gpl");
SYMBOL_CRC(nand_change_write_column_op, 0x65bb32bb, "_gpl");
SYMBOL_CRC(nand_readid_op, 0x3152d5d9, "_gpl");
SYMBOL_CRC(nand_status_op, 0x272bed6d, "_gpl");
SYMBOL_CRC(nand_erase_op, 0xe84b5bce, "_gpl");
SYMBOL_CRC(nand_reset_op, 0xe0986209, "_gpl");
SYMBOL_CRC(nand_read_data_op, 0x5b494f05, "_gpl");
SYMBOL_CRC(nand_write_data_op, 0x6f2ac6dc, "_gpl");
SYMBOL_CRC(nand_op_parser_exec_op, 0x696e9cc2, "_gpl");
SYMBOL_CRC(nand_subop_get_addr_start_off, 0x2d368c4c, "_gpl");
SYMBOL_CRC(nand_subop_get_num_addr_cyc, 0x5632e63d, "_gpl");
SYMBOL_CRC(nand_subop_get_data_start_off, 0xd41ff2ac, "_gpl");
SYMBOL_CRC(nand_subop_get_data_len, 0xd3c672b8, "_gpl");
SYMBOL_CRC(nand_reset, 0xcef70c20, "_gpl");
SYMBOL_CRC(nand_check_erased_ecc_chunk, 0x8ecbb3b8, "");
SYMBOL_CRC(nand_read_page_raw, 0x2499ec6c, "");
SYMBOL_CRC(nand_monolithic_read_page_raw, 0xc598bb67, "");
SYMBOL_CRC(nand_read_oob_std, 0x53cf458f, "");
SYMBOL_CRC(nand_write_oob_std, 0xb67f6eb0, "");
SYMBOL_CRC(nand_write_page_raw, 0x26235904, "");
SYMBOL_CRC(nand_monolithic_write_page_raw, 0x660c3a5c, "");
SYMBOL_CRC(nand_decode_ext_id, 0xe9399de3, "_gpl");
SYMBOL_CRC(rawnand_dt_parse_gpio_cs, 0x1d69304d, "");
SYMBOL_CRC(rawnand_sw_hamming_init, 0xef2b0cdf, "");
SYMBOL_CRC(rawnand_sw_hamming_calculate, 0xf7a2086c, "");
SYMBOL_CRC(rawnand_sw_hamming_correct, 0xf981e82b, "");
SYMBOL_CRC(rawnand_sw_hamming_cleanup, 0x7c096e65, "");
SYMBOL_CRC(rawnand_sw_bch_init, 0x839fd9b5, "");
SYMBOL_CRC(rawnand_sw_bch_correct, 0x4a1baf84, "");
SYMBOL_CRC(rawnand_sw_bch_cleanup, 0x4b83a6ff, "");
SYMBOL_CRC(nand_ecc_choose_conf, 0x4cd4bce7, "_gpl");
SYMBOL_CRC(nand_scan_with_ids, 0x00cd2281, "");
SYMBOL_CRC(nand_cleanup, 0x5724bc8b, "_gpl");
SYMBOL_CRC(nand_wait_ready, 0xfd7b8e00, "_gpl");
SYMBOL_CRC(nand_get_set_features_notsupp, 0x687c4841, "");
SYMBOL_CRC(nand_create_bbt, 0x0285e042, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8c022d5d, "gpiod_get_value_cansleep" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xeb80212c, "mtd_read_oob" },
	{ 0xb8e799e4, "devm_kmalloc" },
	{ 0xf279f83e, "of_property_read_variable_u32_array" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x77bc13a0, "strim" },
	{ 0x71daa6ae, "gpiod_count" },
	{ 0x646a31cf, "nanddev_cleanup" },
	{ 0x24819e5a, "rt_mutex_base_init" },
	{ 0xe6a8aae2, "nand_get_large_page_hamming_ooblayout" },
	{ 0x4829a47e, "memcpy" },
	{ 0xe8f164ba, "nand_get_large_page_ooblayout" },
	{ 0x37a0cba, "kfree" },
	{ 0x152cb305, "gpiod_get_index_optional" },
	{ 0x8cce0f58, "nanddev_init" },
	{ 0xde273298, "mtd_ooblayout_set_eccbytes" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x31e40a9e, "__dynamic_dev_dbg" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0x92997ed8, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0x7f07fd28, "nand_ecc_is_strong_enough" },
	{ 0x94903718, "mtd_write_oob" },
	{ 0x3658ee67, "nand_get_small_page_ooblayout" },
	{ 0x60d633ea, "mutex_lock" },
	{ 0xea8b4ee1, "of_get_nand_ecc_user_config" },
	{ 0x5a921311, "strncmp" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0xcb685155, "of_property_count_elems_of_size" },
	{ 0x512a53f2, "of_property_read_string" },
	{ 0x7557d596, "of_find_property" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x7b2d6b2e, "mtd_read" },
	{ 0xcb2b1802, "mtd_ooblayout_count_freebytes" },
	{ 0x6fcb87a1, "touch_softlockup_watchdog" },
	{ 0xdcb764ad, "memset" },
	{ 0x83d3d3cb, "of_property_read_u64_index" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x8b20f236, "mtd_ooblayout_set_databytes" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x6da467cb, "pfn_is_map_memory" },
	{ 0x999e8297, "vfree" },
	{ 0x64895b51, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xdf8c695a, "__ndelay" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xbf9a0872, "mtd_ooblayout_find_eccregion" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x60057cfd, "mtd_ooblayout_get_databytes" },
	{ 0x7bac27f7, "kmalloc_trace" },
	{ 0x81188c30, "match_string" },
	{ 0xb5c0ec6d, "mtd_ooblayout_get_eccbytes" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x8dca4cd0, "nanddev_mtd_max_bad_blocks" },
	{ 0x2bfbfebf, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xef19ee8f, "kmalloc_caches" },
	{ 0x3eee7372, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "0A7D5DDC1D5C2D35DE0E6E4");
MODULE_INFO(rhelversion, "9.6");
