#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(am65_cpts_ns_gettime, "_gpl", "");
KSYMTAB_FUNC(am65_cpts_estf_enable, "_gpl", "");
KSYMTAB_FUNC(am65_cpts_estf_disable, "_gpl", "");
KSYMTAB_FUNC(am65_cpts_rx_enable, "_gpl", "");
KSYMTAB_FUNC(am65_cpts_tx_timestamp, "_gpl", "");
KSYMTAB_FUNC(am65_cpts_prep_tx_timestamp, "_gpl", "");
KSYMTAB_FUNC(am65_cpts_phc_index, "_gpl", "");
KSYMTAB_FUNC(am65_cpts_release, "_gpl", "");
KSYMTAB_FUNC(am65_cpts_create, "_gpl", "");
KSYMTAB_FUNC(am65_cpts_suspend, "_gpl", "");
KSYMTAB_FUNC(am65_cpts_resume, "_gpl", "");

SYMBOL_CRC(am65_cpts_ns_gettime, 0x405b51c2, "_gpl");
SYMBOL_CRC(am65_cpts_estf_enable, 0xbfc83e4d, "_gpl");
SYMBOL_CRC(am65_cpts_estf_disable, 0xb60b988a, "_gpl");
SYMBOL_CRC(am65_cpts_rx_enable, 0x91fd3558, "_gpl");
SYMBOL_CRC(am65_cpts_tx_timestamp, 0x21f95aa7, "_gpl");
SYMBOL_CRC(am65_cpts_prep_tx_timestamp, 0xe81979b9, "_gpl");
SYMBOL_CRC(am65_cpts_phc_index, 0xfca9b9d9, "_gpl");
SYMBOL_CRC(am65_cpts_release, 0x6ab9a4a1, "_gpl");
SYMBOL_CRC(am65_cpts_create, 0x0ce0f883, "_gpl");
SYMBOL_CRC(am65_cpts_suspend, 0x828c824a, "_gpl");
SYMBOL_CRC(am65_cpts_resume, 0xe0cbdf78, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x56a56e06, "rt_spin_lock" },
	{ 0x67c46b9f, "rt_spin_unlock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xaedbbd5, "dev_kfree_skb_any_reason" },
	{ 0x31e40a9e, "__dynamic_dev_dbg" },
	{ 0xe2c37e2e, "skb_tstamp_tx" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x45756d47, "of_clk_del_provider" },
	{ 0x5f21800e, "clk_hw_unregister_mux" },
	{ 0xffb0c5f6, "__platform_driver_register" },
	{ 0x1a968b39, "platform_driver_unregister" },
	{ 0xf5dba54d, "ptp_classify_raw" },
	{ 0xa49bd3c5, "ptp_parse_header" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xea33120d, "skb_queue_tail" },
	{ 0xc1611cc0, "ptp_schedule_worker" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x66cc4d3e, "of_get_child_by_name" },
	{ 0xf5bc7093, "of_clk_get_parent_count" },
	{ 0xb8e799e4, "devm_kmalloc" },
	{ 0x5e8dad4b, "of_clk_parent_fill" },
	{ 0x180a151, "devm_kasprintf" },
	{ 0xe797454c, "__clk_hw_register_mux" },
	{ 0x83d2a7e0, "of_clk_hw_simple_get" },
	{ 0x5b32ce6a, "of_clk_add_hw_provider" },
	{ 0xcdc9236c, "__devm_add_action" },
	{ 0x39eec6c3, "_dev_err" },
	{ 0xfd019a50, "ptp_clock_unregister" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x60d633ea, "mutex_lock" },
	{ 0x64895b51, "mutex_unlock" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0x815588a6, "clk_enable" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xaec50d39, "ptp_clock_event" },
	{ 0x1e1e140e, "ns_to_timespec64" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x5d112304, "__memcpy_fromio" },
	{ 0xd690c300, "of_irq_get_byname" },
	{ 0xf279f83e, "of_property_read_variable_u32_array" },
	{ 0x24819e5a, "rt_mutex_base_init" },
	{ 0x2bfbfebf, "__mutex_rt_init" },
	{ 0xa7e8376, "devm_get_clk_from_child" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x4829a47e, "memcpy" },
	{ 0x10e76716, "ptp_clock_register" },
	{ 0x1020b4db, "ptp_clock_index" },
	{ 0x7d411144, "devm_request_threaded_irq" },
	{ 0xb708a9e9, "_dev_info" },
	{ 0x8ab2fb7b, "dev_err_probe" },
	{ 0xd33732e2, "devm_platform_ioremap_resource_byname" },
	{ 0x3eee7372, "module_layout" },
};

MODULE_INFO(depends, "ptp");

MODULE_ALIAS("of:N*T*Cti,am65-cpts");
MODULE_ALIAS("of:N*T*Cti,am65-cptsC*");
MODULE_ALIAS("of:N*T*Cti,j721e-cpts");
MODULE_ALIAS("of:N*T*Cti,j721e-cptsC*");

MODULE_INFO(srcversion, "9C66B1F3B2603D0CAC1B6B1");
MODULE_INFO(rhelversion, "9.6");
