#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(admin_timeout, "_gpl", "");
KSYMTAB_DATA(nvme_io_timeout, "_gpl", "");
KSYMTAB_DATA(nvme_wq, "_gpl", "");
KSYMTAB_DATA(nvme_reset_wq, "_gpl", "");
KSYMTAB_DATA(nvme_delete_wq, "_gpl", "");
KSYMTAB_FUNC(nvme_try_sched_reset, "_gpl", "");
KSYMTAB_FUNC(nvme_reset_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_delete_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_rq, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_batch_req, "_gpl", "");
KSYMTAB_FUNC(nvme_host_path_error, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_request, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_tagset, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_admin_tagset, "_gpl", "");
KSYMTAB_FUNC(nvme_change_ctrl_state, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_reset, "_gpl", "");
KSYMTAB_FUNC(nvme_put_ns, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_init_request, "_gpl", "");
KSYMTAB_FUNC(nvme_fail_nonready_command, "_gpl", "");
KSYMTAB_FUNC(__nvme_check_ready, "_gpl", "");
KSYMTAB_FUNC(nvme_cleanup_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_setup_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_execute_rq, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(__nvme_submit_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_submit_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_command_effects, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_passthru_start, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_passthru_end, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_stop_keep_alive, "_gpl", "");
KSYMTAB_FUNC(nvme_set_features, "_gpl", "");
KSYMTAB_FUNC(nvme_get_features, "_gpl", "");
KSYMTAB_FUNC(nvme_set_queue_count, "_gpl", "");
KSYMTAB_FUNC(nvme_disable_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_enable_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_init_ctrl_finish, "_gpl", "");
KSYMTAB_FUNC(nvme_find_get_ns, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_remove_namespaces, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_async_event, "_gpl", "");
KSYMTAB_FUNC(nvme_alloc_admin_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_remove_admin_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_alloc_io_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_remove_io_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_stop_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_start_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_uninit_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_init_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_add_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_mark_namespaces_dead, "_gpl", "");
KSYMTAB_FUNC(nvme_unfreeze, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_freeze_timeout, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_freeze, "_gpl", "");
KSYMTAB_FUNC(nvme_start_freeze, "_gpl", "");
KSYMTAB_FUNC(nvme_quiesce_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_unquiesce_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_quiesce_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvme_unquiesce_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvme_sync_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_sync_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_ctrl_from_file, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_DATA(nvme_dev_attrs_group, "_gpl", "");
KSYMTAB_FUNC(nvme_get_opcode_str, "_gpl", "");
KSYMTAB_FUNC(nvme_get_admin_opcode_str, "_gpl", "");
KSYMTAB_FUNC(nvme_get_fabrics_opcode_str, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nvme_sq, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(nvme_mpath_start_request, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_negotiate, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_wait, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_init_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_stop, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_free, "_gpl", "");

SYMBOL_CRC(admin_timeout, 0xd45434ee, "_gpl");
SYMBOL_CRC(nvme_io_timeout, 0x813cf212, "_gpl");
SYMBOL_CRC(nvme_wq, 0x64b62862, "_gpl");
SYMBOL_CRC(nvme_reset_wq, 0x49224181, "_gpl");
SYMBOL_CRC(nvme_delete_wq, 0xd58bbbcb, "_gpl");
SYMBOL_CRC(nvme_try_sched_reset, 0x0e0a4184, "_gpl");
SYMBOL_CRC(nvme_reset_ctrl, 0x4f633f45, "_gpl");
SYMBOL_CRC(nvme_delete_ctrl, 0x1b7192f9, "_gpl");
SYMBOL_CRC(nvme_complete_rq, 0x36b1864e, "_gpl");
SYMBOL_CRC(nvme_complete_batch_req, 0xd9db639d, "_gpl");
SYMBOL_CRC(nvme_host_path_error, 0xe2dd1634, "_gpl");
SYMBOL_CRC(nvme_cancel_request, 0xf7da5886, "_gpl");
SYMBOL_CRC(nvme_cancel_tagset, 0x4a76551a, "_gpl");
SYMBOL_CRC(nvme_cancel_admin_tagset, 0x8c82657c, "_gpl");
SYMBOL_CRC(nvme_change_ctrl_state, 0xfe710646, "_gpl");
SYMBOL_CRC(nvme_wait_reset, 0xb3e84644, "_gpl");
SYMBOL_CRC(nvme_put_ns, 0xc48ed2c1, "_gpl");
SYMBOL_CRC(nvme_init_request, 0xcb23fd90, "_gpl");
SYMBOL_CRC(nvme_fail_nonready_command, 0xbd1c5e70, "_gpl");
SYMBOL_CRC(__nvme_check_ready, 0x762f46f8, "_gpl");
SYMBOL_CRC(nvme_cleanup_cmd, 0xda7fa8f3, "_gpl");
SYMBOL_CRC(nvme_setup_cmd, 0x277e2fa1, "_gpl");
SYMBOL_CRC(nvme_execute_rq, 0x5478ca1c, "_gpl");
SYMBOL_CRC(__nvme_submit_sync_cmd, 0xf9be1245, "_gpl");
SYMBOL_CRC(nvme_submit_sync_cmd, 0x78bac0e7, "_gpl");
SYMBOL_CRC(nvme_command_effects, 0xbf8a6671, "_gpl");
SYMBOL_CRC(nvme_passthru_start, 0x2dfa7be7, "_gpl");
SYMBOL_CRC(nvme_passthru_end, 0x9f8154c1, "_gpl");
SYMBOL_CRC(nvme_stop_keep_alive, 0xa423f956, "_gpl");
SYMBOL_CRC(nvme_set_features, 0xe814aa4c, "_gpl");
SYMBOL_CRC(nvme_get_features, 0xd865abca, "_gpl");
SYMBOL_CRC(nvme_set_queue_count, 0x111efff7, "_gpl");
SYMBOL_CRC(nvme_disable_ctrl, 0x4a95aa3b, "_gpl");
SYMBOL_CRC(nvme_enable_ctrl, 0xe14b331f, "_gpl");
SYMBOL_CRC(nvme_init_ctrl_finish, 0xa0f03e66, "_gpl");
SYMBOL_CRC(nvme_find_get_ns, 0xcf591131, "_gpl");
SYMBOL_CRC(nvme_remove_namespaces, 0x76ecab0a, "_gpl");
SYMBOL_CRC(nvme_complete_async_event, 0x9cfd667e, "_gpl");
SYMBOL_CRC(nvme_alloc_admin_tag_set, 0x096a85ba, "_gpl");
SYMBOL_CRC(nvme_remove_admin_tag_set, 0x6fec08df, "_gpl");
SYMBOL_CRC(nvme_alloc_io_tag_set, 0x716b3095, "_gpl");
SYMBOL_CRC(nvme_remove_io_tag_set, 0x69e95fe2, "_gpl");
SYMBOL_CRC(nvme_stop_ctrl, 0x971427e9, "_gpl");
SYMBOL_CRC(nvme_start_ctrl, 0x9b50c6f0, "_gpl");
SYMBOL_CRC(nvme_uninit_ctrl, 0xd218b7d1, "_gpl");
SYMBOL_CRC(nvme_init_ctrl, 0x65c49432, "_gpl");
SYMBOL_CRC(nvme_add_ctrl, 0x8e8c17cb, "_gpl");
SYMBOL_CRC(nvme_mark_namespaces_dead, 0xf7050f32, "_gpl");
SYMBOL_CRC(nvme_unfreeze, 0x61f2ddfb, "_gpl");
SYMBOL_CRC(nvme_wait_freeze_timeout, 0x316f26a7, "_gpl");
SYMBOL_CRC(nvme_wait_freeze, 0xc3e307e8, "_gpl");
SYMBOL_CRC(nvme_start_freeze, 0x3323ddbd, "_gpl");
SYMBOL_CRC(nvme_quiesce_io_queues, 0x19d00d27, "_gpl");
SYMBOL_CRC(nvme_unquiesce_io_queues, 0xb31de33b, "_gpl");
SYMBOL_CRC(nvme_quiesce_admin_queue, 0x68c0675d, "_gpl");
SYMBOL_CRC(nvme_unquiesce_admin_queue, 0xc9055fb2, "_gpl");
SYMBOL_CRC(nvme_sync_io_queues, 0xc6d640b7, "_gpl");
SYMBOL_CRC(nvme_sync_queues, 0xe52b7aee, "_gpl");
SYMBOL_CRC(nvme_ctrl_from_file, 0x466458ae, "_gpl");
SYMBOL_CRC(nvme_dev_attrs_group, 0x4cf15e2b, "_gpl");
SYMBOL_CRC(nvme_get_opcode_str, 0xedb8efd2, "_gpl");
SYMBOL_CRC(nvme_get_admin_opcode_str, 0xe1edd5b5, "_gpl");
SYMBOL_CRC(nvme_get_fabrics_opcode_str, 0xa7b9633b, "_gpl");
SYMBOL_CRC(__tracepoint_nvme_sq, 0x8e7ec2b6, "_gpl");
SYMBOL_CRC(__traceiter_nvme_sq, 0x9c169e46, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nvme_sq, 0x11abc494, "_gpl");
SYMBOL_CRC(nvme_mpath_start_request, 0xfd21a9a2, "_gpl");
SYMBOL_CRC(nvme_auth_negotiate, 0x554862c6, "_gpl");
SYMBOL_CRC(nvme_auth_wait, 0xe3d324af, "_gpl");
SYMBOL_CRC(nvme_auth_init_ctrl, 0xe259fd3d, "_gpl");
SYMBOL_CRC(nvme_auth_stop, 0x1d33daa4, "_gpl");
SYMBOL_CRC(nvme_auth_free, 0x60e83fd0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x208ddcbd, "set_capacity_and_notify" },
	{ 0x2207a3a1, "bio_associate_blkg" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x43b2b11, "set_disk_ro" },
	{ 0xf2090f95, "__blk_alloc_disk" },
	{ 0x6613b007, "ida_alloc_range" },
	{ 0x4c28373d, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xd72b4f8d, "bio_integrity_map_user" },
	{ 0xa8192f29, "ida_destroy" },
	{ 0x28321952, "device_remove_file_self" },
	{ 0xe153b73, "param_ops_uint" },
	{ 0xfebbed89, "param_ops_ulong" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x57b48964, "dev_set_name" },
	{ 0x1bb9d1eb, "bio_split_to_limits" },
	{ 0x525d0aa3, "trace_seq_printf" },
	{ 0x92b49050, "dev_pm_qos_expose_latency_tolerance" },
	{ 0xb267c03e, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd401f544, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xdc93b92e, "blk_mq_tagset_wait_completed_request" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xb83b4f5e, "cdev_device_del" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x24819e5a, "rt_mutex_base_init" },
	{ 0x5616a11c, "finish_wait" },
	{ 0x68269f65, "queue_limits_stack_bdev" },
	{ 0x93ee8a9, "trace_event_printf" },
	{ 0xf9edc603, "nvme_auth_transform_key" },
	{ 0x8fc79712, "device_initialize" },
	{ 0xb5bda65d, "blk_mq_unquiesce_queue" },
	{ 0x5511feab, "blk_mq_quiesce_queue" },
	{ 0xb14b3421, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0xca2b6eae, "nvme_auth_gen_shared_secret" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0xae04012c, "__vmalloc" },
	{ 0x997f05b7, "__traceiter_block_bio_remap" },
	{ 0xf3bd9cd4, "__traceiter_block_bio_complete" },
	{ 0xa8694ecd, "kblockd_schedule_work" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x6e425e46, "bpf_trace_run2" },
	{ 0x88edf0a1, "prepare_to_wait_event" },
	{ 0x470f22be, "disk_uevent" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0x1344e378, "__wake_up" },
	{ 0xbd13b179, "event_triggers_call" },
	{ 0x28705c56, "synchronize_srcu" },
	{ 0xcea422c8, "param_ops_byte" },
	{ 0x66f7b349, "kmem_cache_create" },
	{ 0xa4a2bf89, "get_device" },
	{ 0xa95cd52f, "blk_mq_end_request" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xffadbd86, "__blk_mq_alloc_disk" },
	{ 0x31e40a9e, "__dynamic_dev_dbg" },
	{ 0x7df5abe5, "mempool_free" },
	{ 0x916758a3, "node_states" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xb320e877, "blk_mq_delay_kick_requeue_list" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xaaa6e45, "blk_mq_alloc_tag_set" },
	{ 0xe9f757a0, "blk_rq_is_poll" },
	{ 0x9d4a38cc, "trace_event_buffer_commit" },
	{ 0xc660b937, "crypto_destroy_tfm" },
	{ 0x1b5f4377, "trace_seq_putc" },
	{ 0x92997ed8, "_printk" },
	{ 0x580448e6, "mempool_create" },
	{ 0x29c8062, "put_disk" },
	{ 0x989af830, "crypto_alloc_kpp" },
	{ 0xad73608e, "cdev_device_add" },
	{ 0xa598623d, "dev_pm_qos_update_user_latency_tolerance" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8fe50355, "nvme_auth_free_key" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x7f56a588, "blk_execute_rq" },
	{ 0xfd5e5fd6, "put_device" },
	{ 0x72c99bb5, "trace_event_ignore_this_pid" },
	{ 0xc442bb43, "blk_mq_unquiesce_tagset" },
	{ 0xa916b694, "strnlen" },
	{ 0xa7d41146, "kmalloc_node_trace" },
	{ 0xe45fb4e1, "mempool_alloc" },
	{ 0x29b03db8, "blk_mq_free_request" },
	{ 0x618911fc, "numa_node" },
	{ 0x7d3dd12f, "__free_pages" },
	{ 0xb708a9e9, "_dev_info" },
	{ 0x328a14e2, "blk_rq_map_kern" },
	{ 0xc6cbbc89, "capable" },
	{ 0x5da4de2, "module_put" },
	{ 0xef3350c, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xdd666009, "nvme_auth_gen_pubkey" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xeb8af18c, "blk_rq_poll" },
	{ 0x46c47fb6, "__node_distance" },
	{ 0xe314c412, "blk_mq_quiesce_tagset" },
	{ 0xc0a5ad9f, "kobject_uevent_env" },
	{ 0x62498c0, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x2683a71b, "init_srcu_struct" },
	{ 0xcca25e63, "perf_trace_run_bpf_submit" },
	{ 0x39eec6c3, "_dev_err" },
	{ 0xdadfafdc, "blk_revalidate_disk_zones" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x3c928093, "crypto_shash_setkey" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x79de05fd, "device_add" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x4ac343f3, "blk_rq_map_user_io" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0xf564e9d5, "sysfs_remove_link" },
	{ 0xd24c9de5, "blk_execute_rq_nowait" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x7aa8822f, "__srcu_read_lock" },
	{ 0x1633db4f, "set_capacity" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x7c16328c, "submit_bio_noacct" },
	{ 0xe45f1327, "xa_load" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x60d633ea, "mutex_lock" },
	{ 0xb7cc0c4d, "blk_sync_queue" },
	{ 0x98144118, "bdev_start_io_acct" },
	{ 0x5a921311, "strncmp" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x674c5bc1, "nvme_auth_hmac_name" },
	{ 0x5b30f878, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xe631d7a3, "blk_mq_alloc_request_hctx" },
	{ 0xa316f994, "blk_mq_alloc_request" },
	{ 0xcb149792, "ida_free" },
	{ 0x7d71b0ea, "crypto_shash_update" },
	{ 0xb88a7445, "class_unregister" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xfe1f7cc5, "blk_mq_free_tag_set" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x4a33adc8, "del_gendisk" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9cb6c94, "cleanup_srcu_struct" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x51641162, "opal_unlock_from_suspend" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x22e5d1de, "nvme_auth_augmented_challenge" },
	{ 0x42feebc5, "blk_set_stacking_limits" },
	{ 0x1804e824, "blk_mq_freeze_queue_wait_timeout" },
	{ 0xc17759da, "blk_put_queue" },
	{ 0xa1b05acc, "bpf_trace_run1" },
	{ 0x6f6967af, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x815fda83, "sed_ioctl" },
	{ 0xdcb764ad, "memset" },
	{ 0x73837312, "_dev_warn" },
	{ 0xe54d9c80, "blk_mq_wait_quiesce_done" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x51873876, "nvme_auth_get_seqnum" },
	{ 0x4335ef68, "__init_waitqueue_head" },
	{ 0x67c46b9f, "rt_spin_unlock" },
	{ 0x909c7701, "blk_rq_unmap_user" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xece3e96a, "bdev_disk_changed" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x56a56e06, "rt_spin_lock" },
	{ 0xcbfb33e4, "init_opal_dev" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x28da7fd0, "nvme_auth_generate_key" },
	{ 0xce746ea8, "xa_erase" },
	{ 0xddc2f88, "bpf_trace_run3" },
	{ 0xc9bb48ac, "nvme_auth_dhgroup_name" },
	{ 0xcde77bcc, "free_opal_dev" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xf52e814b, "blk_mq_complete_request" },
	{ 0xaf015318, "blk_mq_freeze_queue" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xf6771f23, "trace_event_buffer_reserve" },
	{ 0x92be7ac4, "crypto_shash_final" },
	{ 0x64895b51, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x7a67dd53, "param_ops_bool" },
	{ 0x72ac6804, "blk_mq_destroy_queue" },
	{ 0x19ea6d38, "xa_destroy" },
	{ 0x2fb2977f, "blk_freeze_queue_start" },
	{ 0xe1313bbd, "dev_pm_qos_hide_latency_tolerance" },
	{ 0x4b9b2030, "xa_find" },
	{ 0xeb199a38, "alloc_pages" },
	{ 0x528e3b74, "mempool_destroy" },
	{ 0x655c182b, "blk_mq_alloc_queue" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa65f3c8c, "__tracepoint_block_bio_complete" },
	{ 0x2b349d4, "xa_store" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xab014c8e, "__srcu_read_unlock" },
	{ 0xae64f1dd, "__tracepoint_block_bio_remap" },
	{ 0xd6b0bb12, "blk_mq_unfreeze_queue" },
	{ 0x8b067797, "blk_mq_tagset_busy_iter" },
	{ 0xf0ccf2d4, "nvme_auth_dhgroup_kpp" },
	{ 0x9d754f70, "queue_limits_commit_update" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xb5f84747, "xa_find_after" },
	{ 0x7bac27f7, "kmalloc_trace" },
	{ 0x1fcda071, "blk_mark_disk_dead" },
	{ 0x98cf60b3, "strlen" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x4d8db6e2, "crypto_alloc_shash" },
	{ 0x32160821, "blk_mq_freeze_queue_wait" },
	{ 0x4abbf020, "nvme_auth_gen_privkey" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x18f8163b, "blk_mq_requeue_request" },
	{ 0x2bfbfebf, "__mutex_rt_init" },
	{ 0x9f9c66b4, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x68f8135, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xf7e6497a, "bdev_end_io_acct" },
	{ 0xef19ee8f, "kmalloc_caches" },
	{ 0xa1e0623e, "blk_steal_bios" },
	{ 0x7f63a1d8, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x3eee7372, "module_layout" },
};

MODULE_INFO(depends, "nvme-auth");


MODULE_INFO(srcversion, "C3C01C6A242EF006ED6B14F");
MODULE_INFO(rhelversion, "9.6");
