#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvmf_get_address, "_gpl", "");
KSYMTAB_FUNC(nvmf_reg_read32, "_gpl", "");
KSYMTAB_FUNC(nvmf_reg_read64, "_gpl", "");
KSYMTAB_FUNC(nvmf_reg_write32, "_gpl", "");
KSYMTAB_FUNC(nvmf_subsystem_reset, "_gpl", "");
KSYMTAB_FUNC(nvmf_connect_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvmf_connect_io_queue, "_gpl", "");
KSYMTAB_FUNC(nvmf_should_reconnect, "_gpl", "");
KSYMTAB_FUNC(nvmf_register_transport, "_gpl", "");
KSYMTAB_FUNC(nvmf_unregister_transport, "_gpl", "");
KSYMTAB_FUNC(nvmf_set_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvmf_map_queues, "_gpl", "");
KSYMTAB_FUNC(nvmf_ip_options_match, "_gpl", "");
KSYMTAB_FUNC(nvmf_free_options, "_gpl", "");

SYMBOL_CRC(nvmf_get_address, 0x6b60cb89, "_gpl");
SYMBOL_CRC(nvmf_reg_read32, 0x1ada7149, "_gpl");
SYMBOL_CRC(nvmf_reg_read64, 0x4f8a129c, "_gpl");
SYMBOL_CRC(nvmf_reg_write32, 0x538c9758, "_gpl");
SYMBOL_CRC(nvmf_subsystem_reset, 0xff16db1f, "_gpl");
SYMBOL_CRC(nvmf_connect_admin_queue, 0x04484dc4, "_gpl");
SYMBOL_CRC(nvmf_connect_io_queue, 0x1baa6e0f, "_gpl");
SYMBOL_CRC(nvmf_should_reconnect, 0x1163a1dc, "_gpl");
SYMBOL_CRC(nvmf_register_transport, 0xfd121502, "_gpl");
SYMBOL_CRC(nvmf_unregister_transport, 0xba1fe272, "_gpl");
SYMBOL_CRC(nvmf_set_io_queues, 0xa6a799f3, "_gpl");
SYMBOL_CRC(nvmf_map_queues, 0xc321c951, "_gpl");
SYMBOL_CRC(nvmf_ip_options_match, 0xb3480381, "_gpl");
SYMBOL_CRC(nvmf_free_options, 0x64aadce8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4c28373d, "try_module_get" },
	{ 0x51725846, "misc_deregister" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x96848186, "scnprintf" },
	{ 0x37a0cba, "kfree" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xfd5e5fd6, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xb708a9e9, "_dev_info" },
	{ 0x5da4de2, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x538e47a3, "key_put" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x69e683de, "uuid_gen" },
	{ 0x19a1152f, "down_write" },
	{ 0x39eec6c3, "_dev_err" },
	{ 0xaa785dec, "up_write" },
	{ 0x4e3567f7, "match_int" },
	{ 0xf0291b5f, "device_create" },
	{ 0x60d633ea, "mutex_lock" },
	{ 0x5a921311, "strncmp" },
	{ 0x93162863, "seq_putc" },
	{ 0xb88a7445, "class_unregister" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xf9be1245, "__nvme_submit_sync_cmd" },
	{ 0xe0a4184, "nvme_try_sched_reset" },
	{ 0xdcb764ad, "memset" },
	{ 0x73837312, "_dev_warn" },
	{ 0xc83b49d3, "misc_register" },
	{ 0xe3d324af, "nvme_auth_wait" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xc99a7352, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x75f4bd30, "seq_read" },
	{ 0x85df9b6c, "strsep" },
	{ 0x64895b51, "mutex_unlock" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x44e9a829, "match_token" },
	{ 0x1419a139, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x930eb4b8, "seq_printf" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0xacf4d843, "match_strdup" },
	{ 0x2b77362c, "seq_puts" },
	{ 0x643ab280, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xb3e84644, "nvme_wait_reset" },
	{ 0x7bac27f7, "kmalloc_trace" },
	{ 0x98cf60b3, "strlen" },
	{ 0xedb07fe1, "single_open" },
	{ 0x76a89eaa, "up_read" },
	{ 0x9f9c66b4, "class_register" },
	{ 0xef19ee8f, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x554862c6, "nvme_auth_negotiate" },
	{ 0x3eee7372, "module_layout" },
};

MODULE_INFO(depends, "nvme-core");


MODULE_INFO(srcversion, "0477BCE7376D93EBFFDF668");
MODULE_INFO(rhelversion, "9.6");
