#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ptp_clock_register, "", "");
KSYMTAB_FUNC(ptp_clock_unregister, "", "");
KSYMTAB_FUNC(ptp_clock_event, "", "");
KSYMTAB_FUNC(ptp_clock_index, "", "");
KSYMTAB_FUNC(ptp_find_pin, "", "");
KSYMTAB_FUNC(ptp_find_pin_unlocked, "", "");
KSYMTAB_FUNC(ptp_schedule_worker, "", "");
KSYMTAB_FUNC(ptp_cancel_worker_sync, "", "");

SYMBOL_CRC(ptp_clock_register, 0x10e76716, "");
SYMBOL_CRC(ptp_clock_unregister, 0xfd019a50, "");
SYMBOL_CRC(ptp_clock_event, 0xaec50d39, "");
SYMBOL_CRC(ptp_clock_index, 0x1020b4db, "");
SYMBOL_CRC(ptp_find_pin, 0xe5ec0423, "");
SYMBOL_CRC(ptp_find_pin_unlocked, 0xbf6e1e93, "");
SYMBOL_CRC(ptp_schedule_worker, 0xc1611cc0, "");
SYMBOL_CRC(ptp_cancel_worker_sync, 0xb0944bef, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6613b007, "ida_alloc_range" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xccc59b93, "kthread_create_worker" },
	{ 0xa8192f29, "ida_destroy" },
	{ 0xf49d5299, "kthread_cancel_delayed_work_sync" },
	{ 0x57b48964, "dev_set_name" },
	{ 0x2903010c, "kthread_delayed_work_timer_fn" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x24819e5a, "rt_mutex_base_init" },
	{ 0xcc685dd7, "pps_register_source" },
	{ 0x5616a11c, "finish_wait" },
	{ 0x168fdc71, "class_destroy" },
	{ 0x8fc79712, "device_initialize" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x30b24a8b, "device_for_each_child" },
	{ 0x88edf0a1, "prepare_to_wait_event" },
	{ 0x1344e378, "__wake_up" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xfd5e5fd6, "put_device" },
	{ 0xaff20929, "device_for_each_child_reverse" },
	{ 0xb708a9e9, "_dev_info" },
	{ 0xbc3f2cb0, "timecounter_cyc2time" },
	{ 0xc6cbbc89, "capable" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x45e3183d, "kthread_mod_delayed_work" },
	{ 0x39eec6c3, "_dev_err" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xffe242a6, "class_create" },
	{ 0xc1729532, "pps_event" },
	{ 0x60d633ea, "mutex_lock" },
	{ 0xcb149792, "ida_free" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x3ee155b4, "mutex_lock_interruptible" },
	{ 0x1e1e140e, "ns_to_timespec64" },
	{ 0xdcb764ad, "memset" },
	{ 0x4335ef68, "__init_waitqueue_head" },
	{ 0x21ebdf3f, "pps_unregister_source" },
	{ 0x67c46b9f, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x56a56e06, "rt_spin_lock" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xe5dbad09, "kthread_destroy_worker" },
	{ 0x64895b51, "mutex_unlock" },
	{ 0x1a9b4bf6, "posix_clock_register" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xd891839c, "kthread_queue_delayed_work" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xc32874e4, "ktime_get_snapshot" },
	{ 0x2d9020ad, "posix_clock_unregister" },
	{ 0x7bac27f7, "kmalloc_trace" },
	{ 0x2bfbfebf, "__mutex_rt_init" },
	{ 0x862258db, "timecounter_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xef19ee8f, "kmalloc_caches" },
	{ 0x3eee7372, "module_layout" },
};

MODULE_INFO(depends, "pps_core");


MODULE_INFO(srcversion, "7E217A13F3F3600A3AD6CE4");
MODULE_INFO(rhelversion, "9.6");
