#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vhost_work_init, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_init, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_start, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_stop, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_flush, "_gpl", "");
KSYMTAB_FUNC(vhost_work_queue, "_gpl", "");
KSYMTAB_FUNC(vhost_has_work, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_queue, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_is_setup, "_gpl", "");
KSYMTAB_FUNC(vhost_exceeds_weight, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_init, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_check_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_has_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_set_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_reset_owner_prepare, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_reset_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_stop, "_gpl", "");
KSYMTAB_FUNC(vhost_clear_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_cleanup, "_gpl", "");
KSYMTAB_FUNC(vhost_chr_write_iter, "", "");
KSYMTAB_FUNC(vhost_chr_poll, "", "");
KSYMTAB_FUNC(vhost_chr_read_iter, "_gpl", "");
KSYMTAB_FUNC(vq_meta_prefetch, "_gpl", "");
KSYMTAB_FUNC(vhost_log_access_ok, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_access_ok, "_gpl", "");
KSYMTAB_FUNC(vhost_vring_ioctl, "_gpl", "");
KSYMTAB_FUNC(vhost_init_device_iotlb, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_ioctl, "_gpl", "");
KSYMTAB_FUNC(vhost_log_write, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_init_access, "_gpl", "");
KSYMTAB_FUNC(vhost_get_vq_desc, "_gpl", "");
KSYMTAB_FUNC(vhost_discard_vq_desc, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used_n, "_gpl", "");
KSYMTAB_FUNC(vhost_signal, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used_and_signal, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used_and_signal_n, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_avail_empty, "_gpl", "");
KSYMTAB_FUNC(vhost_enable_notify, "_gpl", "");
KSYMTAB_FUNC(vhost_disable_notify, "_gpl", "");
KSYMTAB_FUNC(vhost_new_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_enqueue_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_dequeue_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_set_backend_features, "_gpl", "");

SYMBOL_CRC(vhost_work_init, 0xa909cfc5, "_gpl");
SYMBOL_CRC(vhost_poll_init, 0x73dbeba4, "_gpl");
SYMBOL_CRC(vhost_poll_start, 0xc6dad4a9, "_gpl");
SYMBOL_CRC(vhost_poll_stop, 0xfdd0c12f, "_gpl");
SYMBOL_CRC(vhost_dev_flush, 0xdddf655d, "_gpl");
SYMBOL_CRC(vhost_work_queue, 0x895a551a, "_gpl");
SYMBOL_CRC(vhost_has_work, 0xa2efd581, "_gpl");
SYMBOL_CRC(vhost_poll_queue, 0xb6e16ad4, "_gpl");
SYMBOL_CRC(vhost_vq_is_setup, 0x9ef18e59, "_gpl");
SYMBOL_CRC(vhost_exceeds_weight, 0x57d93869, "_gpl");
SYMBOL_CRC(vhost_dev_init, 0xc0484f60, "_gpl");
SYMBOL_CRC(vhost_dev_check_owner, 0x9984d688, "_gpl");
SYMBOL_CRC(vhost_dev_has_owner, 0xad355b53, "_gpl");
SYMBOL_CRC(vhost_dev_set_owner, 0xee273c0b, "_gpl");
SYMBOL_CRC(vhost_dev_reset_owner_prepare, 0xfd2b3e45, "_gpl");
SYMBOL_CRC(vhost_dev_reset_owner, 0xb7e7ca6e, "_gpl");
SYMBOL_CRC(vhost_dev_stop, 0x7dc18b30, "_gpl");
SYMBOL_CRC(vhost_clear_msg, 0x7a0455c0, "_gpl");
SYMBOL_CRC(vhost_dev_cleanup, 0xaf2d5d19, "_gpl");
SYMBOL_CRC(vhost_chr_write_iter, 0xc808e8e1, "");
SYMBOL_CRC(vhost_chr_poll, 0x77904dc5, "");
SYMBOL_CRC(vhost_chr_read_iter, 0xffecb8ac, "_gpl");
SYMBOL_CRC(vq_meta_prefetch, 0xe9664c65, "_gpl");
SYMBOL_CRC(vhost_log_access_ok, 0x74bb7f23, "_gpl");
SYMBOL_CRC(vhost_vq_access_ok, 0x66555850, "_gpl");
SYMBOL_CRC(vhost_vring_ioctl, 0x4d75cc6e, "_gpl");
SYMBOL_CRC(vhost_init_device_iotlb, 0x92d5caa7, "_gpl");
SYMBOL_CRC(vhost_dev_ioctl, 0x147a8681, "_gpl");
SYMBOL_CRC(vhost_log_write, 0x4af435b5, "_gpl");
SYMBOL_CRC(vhost_vq_init_access, 0x32b2ffef, "_gpl");
SYMBOL_CRC(vhost_get_vq_desc, 0x738ba36f, "_gpl");
SYMBOL_CRC(vhost_discard_vq_desc, 0x46b4f1ed, "_gpl");
SYMBOL_CRC(vhost_add_used, 0x287d12a4, "_gpl");
SYMBOL_CRC(vhost_add_used_n, 0x0f89ec33, "_gpl");
SYMBOL_CRC(vhost_signal, 0x4a23ca19, "_gpl");
SYMBOL_CRC(vhost_add_used_and_signal, 0x97c0e436, "_gpl");
SYMBOL_CRC(vhost_add_used_and_signal_n, 0x957d0e25, "_gpl");
SYMBOL_CRC(vhost_vq_avail_empty, 0x448a3d1e, "_gpl");
SYMBOL_CRC(vhost_enable_notify, 0x432fd1eb, "_gpl");
SYMBOL_CRC(vhost_disable_notify, 0x34459485, "_gpl");
SYMBOL_CRC(vhost_new_msg, 0x847956e7, "_gpl");
SYMBOL_CRC(vhost_enqueue_msg, 0x891c2fa6, "_gpl");
SYMBOL_CRC(vhost_dequeue_msg, 0xccfbfae2, "_gpl");
SYMBOL_CRC(vhost_set_backend_features, 0xb4694710, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x887eea87, "add_wait_queue" },
	{ 0x8f7c80e9, "remove_wait_queue" },
	{ 0xa6257a2f, "complete" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x12c30d5e, "wake_up_process" },
	{ 0xdcb764ad, "memset" },
	{ 0x5ad301b4, "cgroup_attach_task_all" },
	{ 0xde69e801, "mmput" },
	{ 0xa2f4527b, "__mmdrop" },
	{ 0xc577832d, "vhost_iotlb_alloc" },
	{ 0x60d633ea, "mutex_lock" },
	{ 0x64895b51, "mutex_unlock" },
	{ 0xa24517eb, "vhost_iotlb_free" },
	{ 0x56a56e06, "rt_spin_lock" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x67c46b9f, "rt_spin_unlock" },
	{ 0x1344e378, "__wake_up" },
	{ 0x24819e5a, "rt_mutex_base_init" },
	{ 0x2bfbfebf, "__mutex_rt_init" },
	{ 0x4335ef68, "__init_waitqueue_head" },
	{ 0x7bd20163, "pin_user_pages_fast" },
	{ 0x49608959, "migrate_disable" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x2747eafb, "unpin_user_pages_dirty_lock" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x83cebb18, "kthread_use_mm" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xddb1cd7, "llist_reverse_order" },
	{ 0x461b4e00, "kthread_unuse_mm" },
	{ 0x1000e51, "schedule" },
	{ 0xef19ee8f, "kmalloc_caches" },
	{ 0x7bac27f7, "kmalloc_trace" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x37a0cba, "kfree" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0xc8085282, "fput" },
	{ 0x58e401af, "kthread_stop" },
	{ 0x69e872f9, "vhost_iotlb_itree_first" },
	{ 0x18c07c81, "iov_iter_init" },
	{ 0xe804d74e, "_copy_from_iter" },
	{ 0xd06b07d7, "iov_iter_revert" },
	{ 0xc10e997, "eventfd_signal_mask" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xdf89d9df, "_copy_to_iter" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xadc5ddfd, "prepare_to_wait" },
	{ 0x5616a11c, "finish_wait" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x46f131c3, "get_task_mm" },
	{ 0x5bcaaa65, "kthread_create_on_node" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x38ff875f, "vhost_iotlb_add_range" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x6bec0e66, "vhost_iotlb_del_range" },
	{ 0xccb3524a, "iov_iter_advance" },
	{ 0xfa0851ba, "eventfd_fget" },
	{ 0x272a09a, "param_ops_int" },
	{ 0x41d0bddc, "param_ops_ushort" },
	{ 0x3eee7372, "module_layout" },
};

MODULE_INFO(depends, "vhost_iotlb");


MODULE_INFO(srcversion, "A06B65E43EBA4F51635802B");
MODULE_INFO(rhelversion, "9.6");
