#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip6_tnl_parse_tlv_enc_lim, "", "");
KSYMTAB_FUNC(ip6_tnl_get_cap, "", "");
KSYMTAB_FUNC(ip6_tnl_rcv_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_rcv, "", "");
KSYMTAB_FUNC(ip6_tnl_xmit_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_xmit, "", "");
KSYMTAB_FUNC(ip6_tnl_change_mtu, "", "");
KSYMTAB_FUNC(ip6_tnl_get_iflink, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_add_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_del_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_get_link_net, "", "");

SYMBOL_CRC(ip6_tnl_parse_tlv_enc_lim, 0x68923b56, "");
SYMBOL_CRC(ip6_tnl_get_cap, 0x7b3b21fb, "");
SYMBOL_CRC(ip6_tnl_rcv_ctl, 0x6e89e4a5, "_gpl");
SYMBOL_CRC(ip6_tnl_rcv, 0x36e61b90, "");
SYMBOL_CRC(ip6_tnl_xmit_ctl, 0x1df740a2, "_gpl");
SYMBOL_CRC(ip6_tnl_xmit, 0x93593933, "");
SYMBOL_CRC(ip6_tnl_change_mtu, 0x7f52408a, "");
SYMBOL_CRC(ip6_tnl_get_iflink, 0xc319cf94, "");
SYMBOL_CRC(ip6_tnl_encap_add_ops, 0x563970dd, "");
SYMBOL_CRC(ip6_tnl_encap_del_ops, 0xfa3a5cfe, "");
SYMBOL_CRC(ip6_tnl_encap_setup, 0x41042627, "_gpl");
SYMBOL_CRC(ip6_tnl_get_link_net, 0xc4787247, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x8c4fb9bb, "ipv6_chk_addr_and_flags" },
	{ 0x20ee4a1e, "dev_get_by_index_rcu" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0xaeea6a8f, "ip6tun_encaps" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0xf1b7402a, "register_pernet_device" },
	{ 0x31d9c7e5, "xfrm6_tunnel_register" },
	{ 0xc6db19a8, "rtnl_link_register" },
	{ 0xc7110c70, "xfrm6_tunnel_deregister" },
	{ 0xcd1d3e5b, "unregister_pernet_device" },
	{ 0xf00a075f, "nla_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc09a1d11, "unregister_netdevice_queue" },
	{ 0xdcb764ad, "memset" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x4fa68b99, "rt6_lookup" },
	{ 0x991d4121, "dst_release" },
	{ 0xb09691fd, "__dev_get_by_index" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x8834ef97, "ip_tunnel_header_ops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0x21bc69b5, "init_net" },
	{ 0x2fe53ab5, "alloc_netdev_mqs" },
	{ 0x1b5a3b1c, "register_netdev" },
	{ 0xa916b694, "strnlen" },
	{ 0x4829a47e, "memcpy" },
	{ 0x17d4e2d4, "free_netdev" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x6b7ba93c, "rtnl_link_unregister" },
	{ 0x3750f386, "__get_hash_from_flowi6" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xd9b1a06e, "gro_cells_init" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x6ae210ec, "__pskb_pull_tail" },
	{ 0x5ea315d9, "register_netdevice" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3e903560, "ip_tunnel_netlink_encap_parms" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4597f478, "netdev_state_change" },
	{ 0x53c168c6, "make_kuid" },
	{ 0xf749975e, "ip6_redirect" },
	{ 0x3c11ecb5, "ip6_update_pmtu" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x4bb88b81, "dst_cache_get" },
	{ 0x965c9f8d, "ip6_route_output_flags" },
	{ 0xbd0b957f, "xfrm_lookup" },
	{ 0x7e9207d9, "skb_scrub_packet" },
	{ 0xb2576b10, "skb_realloc_headroom" },
	{ 0x7bbfe923, "skb_set_owner_w" },
	{ 0xe46544a9, "consume_skb" },
	{ 0x768b3ab1, "ipv6_push_frag_opts" },
	{ 0xd25b70fa, "skb_push" },
	{ 0xf81ffe1d, "ip6_local_out" },
	{ 0xfd5be573, "dst_cache_set_ip6" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x64836f15, "skb_copy_bits" },
	{ 0xf2ad8f25, "ip6_dst_hoplimit" },
	{ 0x70d25a74, "ipv6_dev_get_saddr" },
	{ 0x808945ec, "neigh_destroy" },
	{ 0x1c373b63, "skb_clone" },
	{ 0x40891f87, "skb_pull" },
	{ 0xaebde6e1, "__icmpv6_send" },
	{ 0xf8629924, "sk_skb_reason_drop" },
	{ 0x5129baa9, "gro_cells_receive" },
	{ 0xd1b438af, "eth_type_trans" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xd73a6d66, "ip_route_output_flow" },
	{ 0xcdcffc59, "ip_route_input_noref" },
	{ 0xc5d70a91, "__icmp_send" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x186dedf0, "iptunnel_handle_offloads" },
	{ 0x29e05596, "icmpv6_ndo_send" },
	{ 0x9da04ec2, "icmp_ndo_send" },
	{ 0x3bfbcdd5, "__iptunnel_pull_header" },
	{ 0xe769e037, "metadata_dst_alloc" },
	{ 0x735c3514, "__xfrm_policy_check" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x746753f2, "ns_capable" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x695ef669, "dev_get_tstats64" },
	{ 0x7a67dd53, "param_ops_bool" },
	{ 0x3eee7372, "module_layout" },
};

MODULE_INFO(depends, "ipv6,tunnel6");


MODULE_INFO(srcversion, "52868A34B91E56416374099");
MODULE_INFO(rhelversion, "9.6");
