#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tipc_nl_sk_walk, "", "");
KSYMTAB_FUNC(tipc_dump_start, "", "");
KSYMTAB_FUNC(tipc_dump_done, "", "");
KSYMTAB_FUNC(tipc_sk_fill_sock_diag, "", "");

SYMBOL_CRC(tipc_nl_sk_walk, 0xe56c9a07, "");
SYMBOL_CRC(tipc_dump_start, 0x72023490, "");
SYMBOL_CRC(tipc_dump_done, 0x34344371, "");
SYMBOL_CRC(tipc_sk_fill_sock_diag, 0x228b825d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x117b0608, "netlink_net_capable" },
	{ 0x200b2041, "in6addr_any" },
	{ 0xe914e41e, "strcpy" },
	{ 0xaa0c318b, "vscnprintf" },
	{ 0x4a55bb64, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x2d07be80, "bpf_trace_run4" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x7a7911ec, "__nlmsg_put" },
	{ 0x86763525, "idr_find" },
	{ 0x718632b8, "skb_put" },
	{ 0xb4869a54, "register_net_sysctl" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xf2ad8f25, "ip6_dst_hoplimit" },
	{ 0xb500e864, "trace_output_call" },
	{ 0xe46544a9, "consume_skb" },
	{ 0xa3249ab1, "dev_add_pack" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd401f544, "trace_raw_output_prep" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0x1262cb8d, "udp_sock_create4" },
	{ 0x951a2773, "crypto_has_alg" },
	{ 0xca9360b5, "rb_next" },
	{ 0x24819e5a, "rt_mutex_base_init" },
	{ 0x93ee8a9, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0xdfe8254c, "__ip_dev_find" },
	{ 0x4c307353, "dst_cache_set_ip4" },
	{ 0x4b2c4750, "udp_tunnel6_xmit_skb" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xdad97fd8, "genlmsg_put" },
	{ 0x5f350d05, "___pskb_trim" },
	{ 0xb14b3421, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x887eea87, "add_wait_queue" },
	{ 0x5c43f025, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xd1009980, "crypto_alloc_aead" },
	{ 0xff1ffd2c, "__tracepoint_sk_data_ready" },
	{ 0x98327d0b, "netdev_warn" },
	{ 0xfa842343, "crypto_aead_setauthsize" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xde782bdc, "crypto_aead_decrypt" },
	{ 0xbd13b179, "event_triggers_call" },
	{ 0xc4d19403, "kernel_accept" },
	{ 0x44532adf, "__module_get" },
	{ 0xd73a6d66, "ip_route_output_flow" },
	{ 0x26254574, "rhashtable_walk_enter" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x9980b936, "__pskb_copy_fclone" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x16cd338e, "pskb_expand_head" },
	{ 0x6801fb61, "register_pernet_subsys" },
	{ 0xc0a04475, "put_cmsg" },
	{ 0xdf4b6954, "skb_queue_purge_reason" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x9d4a38cc, "trace_event_buffer_commit" },
	{ 0xc660b937, "crypto_destroy_tfm" },
	{ 0xd1b438af, "eth_type_trans" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0x1d8c79a5, "proto_unregister" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x895cb2d1, "sock_register" },
	{ 0x3c7b8680, "ipv6_dev_find" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x72c99bb5, "trace_event_ignore_this_pid" },
	{ 0xa916b694, "strnlen" },
	{ 0xa166d097, "__alloc_skb" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xef79c4f6, "rt_write_unlock" },
	{ 0xa417b67e, "sk_reset_timer" },
	{ 0x9f984513, "strrchr" },
	{ 0xb0508e4b, "skb_try_coalesce" },
	{ 0xdbd7710c, "proto_register" },
	{ 0xb1895b8, "skb_copy_expand" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x2e3a8bc4, "__wake_up_sync_key" },
	{ 0xea33120d, "skb_queue_tail" },
	{ 0x5da4de2, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0xd2a224cc, "idr_remove" },
	{ 0xdfdb74e1, "crypto_aead_setkey" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0xb09691fd, "__dev_get_by_index" },
	{ 0xcca25e63, "perf_trace_run_bpf_submit" },
	{ 0x90d99c0a, "__traceiter_sk_data_ready" },
	{ 0x21bc69b5, "init_net" },
	{ 0xc0d3ac8d, "ipv6_stub" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x40891f87, "skb_pull" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x555a3ed5, "idr_alloc" },
	{ 0xa07a37f0, "memchr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x826b25be, "crypto_aead_encrypt" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0xf8629924, "sk_skb_reason_drop" },
	{ 0xdfbcae98, "netlink_unicast" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x9773e060, "dev_remove_pack" },
	{ 0x41960511, "sk_free" },
	{ 0x1e6d26a8, "strstr" },
	{ 0xb828e0b9, "kernel_sock_shutdown" },
	{ 0x447f96bf, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0xd25b70fa, "skb_push" },
	{ 0x4bb88b81, "dst_cache_get" },
	{ 0xbe274755, "sock_no_listen" },
	{ 0xf00a075f, "nla_put" },
	{ 0x28037216, "proc_doulongvec_minmax" },
	{ 0x5b30f878, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x5530b9e3, "iov_iter_kvec" },
	{ 0xfa81184f, "ip_mc_join_group" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xdd9ab762, "rhashtable_walk_start_check" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0xcd1d3e5b, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xebaea4f8, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x40c6eb70, "skb_copy_datagram_iter" },
	{ 0xb444daf7, "rhashtable_walk_stop" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x6464f94d, "sk_alloc" },
	{ 0x1553ec39, "idr_destroy" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0x54ab8510, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xdcb764ad, "memset" },
	{ 0x305a302f, "kfree_skb_partial" },
	{ 0xa7dfdc28, "rht_bucket_nested_insert" },
	{ 0x4a4209f8, "timer_shutdown_sync" },
	{ 0x153c7d83, "udp_tunnel_sock_release" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6ff607b6, "crypto_get_default_rng" },
	{ 0xed18292a, "sock_no_mmap" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0x6ae210ec, "__pskb_pull_tail" },
	{ 0x2c4677f3, "sock_no_sendpage" },
	{ 0x8ac6e3ec, "netif_rx" },
	{ 0xece784c2, "rb_first" },
	{ 0x668402aa, "crypto_put_default_rng" },
	{ 0xb3ca9a37, "rhashtable_destroy" },
	{ 0x67c46b9f, "rt_spin_unlock" },
	{ 0x2bfdf647, "setup_udp_tunnel_sock" },
	{ 0x98c04247, "udp_sock_create6" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x5a7b87bc, "skb_trim" },
	{ 0x56a56e06, "rt_spin_lock" },
	{ 0x7609a9e9, "skb_cow_data" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xddc2f88, "bpf_trace_run3" },
	{ 0xdc27ab9a, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x44ab7583, "sock_rfree" },
	{ 0x64834a31, "rt_read_lock" },
	{ 0x454d2acc, "sock_i_ino" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x14c59b93, "kernel_listen" },
	{ 0xb06aad9d, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xf6771f23, "trace_event_buffer_reserve" },
	{ 0xc8ae7a3e, "dev_nit_active" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x7678896f, "sock_create_kern" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0xe152a236, "rt_spin_trylock_bh" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xfd5be573, "dst_cache_set_ip6" },
	{ 0xc2024bb0, "pskb_put" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xe091c977, "list_sort" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x1e899cfd, "rt_read_unlock" },
	{ 0xee91879b, "rb_first_postorder" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xef980096, "udp_tunnel_xmit_skb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xb8408f21, "sock_recvmsg" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x52851f0a, "skb_copy" },
	{ 0x1c373b63, "skb_clone" },
	{ 0x632a1fb4, "dev_get_by_name" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x6a693dc2, "rt_write_lock" },
	{ 0xe804d74e, "_copy_from_iter" },
	{ 0xf383799e, "sock_release" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x8f7c80e9, "remove_wait_queue" },
	{ 0x4e68e9be, "rb_next_postorder" },
	{ 0x663c2507, "rhashtable_walk_next" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xd87b4635, "crypto_default_rng" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xcf94eaf, "sk_stop_timer" },
	{ 0xda1874ef, "unregister_net_sysctl_table" },
	{ 0x831980e7, "genl_unregister_family" },
	{ 0xfd863517, "from_kuid_munged" },
	{ 0x7bac27f7, "kmalloc_trace" },
	{ 0x98cf60b3, "strlen" },
	{ 0x82faf550, "__nla_parse" },
	{ 0xd06b07d7, "iov_iter_revert" },
	{ 0x349cba85, "strchr" },
	{ 0x1d6016ea, "genl_register_family" },
	{ 0xfc2c1de6, "kernel_sendmsg" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x184d8d5c, "skb_to_sgvec" },
	{ 0x963f311a, "rhashtable_walk_exit" },
	{ 0xf1b7402a, "register_pernet_device" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x5c5a3ebe, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xef19ee8f, "kmalloc_caches" },
	{ 0xd8a364c3, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x4367bfec, "proc_dointvec_minmax" },
	{ 0x3eee7372, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel,ipv6");


MODULE_INFO(srcversion, "27AFE6C59385FC62672BF2F");
MODULE_INFO(rhelversion, "9.6");
