#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(bcma_find_core_unit, "_gpl", "");
KSYMTAB_FUNC(bcma_core_irq, "", "");
KSYMTAB_FUNC(__bcma_driver_register, "_gpl", "");
KSYMTAB_FUNC(bcma_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(bcma_core_is_enabled, "_gpl", "");
KSYMTAB_FUNC(bcma_core_disable, "_gpl", "");
KSYMTAB_FUNC(bcma_core_enable, "_gpl", "");
KSYMTAB_FUNC(bcma_core_set_clockmode, "_gpl", "");
KSYMTAB_FUNC(bcma_core_pll_ctl, "_gpl", "");
KSYMTAB_FUNC(bcma_core_dma_translation, "", "");
KSYMTAB_FUNC(bcma_chipco_get_alp_clock, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_gpio_out, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_gpio_outen, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_gpio_control, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_pll_read, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_pll_write, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_pll_maskset, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_chipctl_maskset, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_regctl_maskset, "_gpl", "");
KSYMTAB_FUNC(bcma_pmu_get_bus_clock, "_gpl", "");
KSYMTAB_FUNC(bcma_pmu_spuravoid_pllupdate, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_b_mii_write, "_gpl", "");
KSYMTAB_FUNC(bcma_core_pci_power_save, "_gpl", "");
KSYMTAB_FUNC(bcma_host_pci_up, "_gpl", "");
KSYMTAB_FUNC(bcma_host_pci_down, "_gpl", "");
KSYMTAB_FUNC(bcma_host_pci_irq_ctl, "_gpl", "");

SYMBOL_CRC(bcma_find_core_unit, 0x88e6742b, "_gpl");
SYMBOL_CRC(bcma_core_irq, 0xa7024a33, "");
SYMBOL_CRC(__bcma_driver_register, 0x420354c3, "_gpl");
SYMBOL_CRC(bcma_driver_unregister, 0xeb9f52ca, "_gpl");
SYMBOL_CRC(bcma_core_is_enabled, 0x4cc6fcdb, "_gpl");
SYMBOL_CRC(bcma_core_disable, 0x5e6dfa27, "_gpl");
SYMBOL_CRC(bcma_core_enable, 0x28c75364, "_gpl");
SYMBOL_CRC(bcma_core_set_clockmode, 0x1174e083, "_gpl");
SYMBOL_CRC(bcma_core_pll_ctl, 0x3eab5273, "_gpl");
SYMBOL_CRC(bcma_core_dma_translation, 0x37fc3dea, "");
SYMBOL_CRC(bcma_chipco_get_alp_clock, 0x756c562a, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_out, 0xf8025a8c, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_outen, 0xd809cf7d, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_control, 0x13ef124d, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_read, 0x1d114821, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_write, 0x1cfe9f0a, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_maskset, 0xec302010, "_gpl");
SYMBOL_CRC(bcma_chipco_chipctl_maskset, 0x61b2d2c4, "_gpl");
SYMBOL_CRC(bcma_chipco_regctl_maskset, 0x588c920d, "_gpl");
SYMBOL_CRC(bcma_pmu_get_bus_clock, 0x7d5c7429, "_gpl");
SYMBOL_CRC(bcma_pmu_spuravoid_pllupdate, 0x8fa50fc7, "_gpl");
SYMBOL_CRC(bcma_chipco_b_mii_write, 0x1df3715b, "_gpl");
SYMBOL_CRC(bcma_core_pci_power_save, 0xeeea42c3, "_gpl");
SYMBOL_CRC(bcma_host_pci_up, 0x1ce2a21a, "_gpl");
SYMBOL_CRC(bcma_host_pci_down, 0x9b631ba7, "_gpl");
SYMBOL_CRC(bcma_host_pci_irq_ctl, 0xc1fdda08, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x1e186904, "pci_enable_device" },
	{ 0x57b48964, "dev_set_name" },
	{ 0x369b67ac, "pci_iomap" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x57f764bc, "of_address_to_resource" },
	{ 0xe32948b5, "device_unregister" },
	{ 0x24819e5a, "rt_mutex_base_init" },
	{ 0xc5d5e193, "of_platform_default_populate" },
	{ 0xac9c69f2, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0x8fc79712, "device_initialize" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x83eb1896, "pci_request_regions" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0xa4a2bf89, "get_device" },
	{ 0x62376606, "of_irq_parse_one" },
	{ 0x31e40a9e, "__dynamic_dev_dbg" },
	{ 0xe09d907c, "pci_unregister_driver" },
	{ 0x66c2d489, "pci_read_config_dword" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0x92997ed8, "_printk" },
	{ 0x223f2f4e, "of_irq_parse_raw" },
	{ 0xc2581131, "of_get_next_child" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xfd5e5fd6, "put_device" },
	{ 0xb708a9e9, "_dev_info" },
	{ 0x19b965b5, "gpiochip_get_data" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xe54579e4, "bus_unregister" },
	{ 0x39eec6c3, "_dev_err" },
	{ 0x79de05fd, "device_add" },
	{ 0xf4cf5415, "platform_device_unregister" },
	{ 0x60d633ea, "mutex_lock" },
	{ 0x736d5a06, "driver_unregister" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x449b42de, "pci_iounmap" },
	{ 0xdcb764ad, "memset" },
	{ 0x73837312, "_dev_warn" },
	{ 0xdbabfed, "pci_set_master" },
	{ 0x67c46b9f, "rt_spin_unlock" },
	{ 0x56a56e06, "rt_spin_lock" },
	{ 0xd3318e78, "gpiochip_add_data_with_key" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xce223b61, "gpiochip_remove" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7c64379d, "platform_device_register_full" },
	{ 0x64895b51, "mutex_unlock" },
	{ 0xa0922d46, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1e68aa6c, "pci_disable_device" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0xfd06b769, "pcie_set_readrq" },
	{ 0x7bac27f7, "kmalloc_trace" },
	{ 0x6a2d74f3, "irq_create_of_mapping" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0xd642820, "of_dma_configure_id" },
	{ 0x1f4dece5, "driver_register" },
	{ 0x2bfbfebf, "__mutex_rt_init" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xbd8c4638, "__dev_fwnode" },
	{ 0xa4fa4f6b, "pci_write_config_dword" },
	{ 0xef19ee8f, "kmalloc_caches" },
	{ 0x432e384c, "bus_register" },
	{ 0x3eee7372, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000014E4d00000576sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004313sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8D8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004331sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004353sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004357sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004358sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004359sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004360sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv00001028sd00000016bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv00001028sd00000018bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv0000105Bsd0000E092bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv0000103Csd0000804Abc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043A0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043A9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043AAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043B1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004727sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8DBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8DCsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "25C521496BAEF4FC1986235");
MODULE_INFO(rhelversion, "9.6");
