#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6eeda24a, "crypto_alloc_ahash" },
	{ 0xa5048abf, "__host1x_client_init" },
	{ 0x39a0381a, "devm_platform_ioremap_resource" },
	{ 0xb8e799e4, "devm_kmalloc" },
	{ 0x1a968b39, "platform_driver_unregister" },
	{ 0x3696b1e, "host1x_job_pin" },
	{ 0x3be4e02a, "crypto_engine_unregister_aead" },
	{ 0xf5ca60d7, "crypto_shash_tfm_digest" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x24819e5a, "rt_mutex_base_init" },
	{ 0x6d863fc6, "crypto_ahash_setkey" },
	{ 0x4829a47e, "memcpy" },
	{ 0x46187e1d, "host1x_syncpt_request" },
	{ 0x997c8947, "crypto_finalize_skcipher_request" },
	{ 0x37a0cba, "kfree" },
	{ 0x7dc135ed, "host1x_job_put" },
	{ 0x4d329f0b, "crypto_engine_exit" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0x31e40a9e, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xb74c4ce3, "host1x_job_unpin" },
	{ 0xc660b937, "crypto_destroy_tfm" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0xc15cf997, "crypto_engine_register_skcipher" },
	{ 0x6141c26f, "crypto_finalize_hash_request" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe3ff81fc, "crypto_engine_unregister_skcipher" },
	{ 0x9790c41f, "host1x_syncpt_put" },
	{ 0xa3e271fd, "crypto_transfer_hash_request_to_engine" },
	{ 0x39eec6c3, "_dev_err" },
	{ 0x3c928093, "crypto_shash_setkey" },
	{ 0x6ebdaa5c, "host1x_job_submit" },
	{ 0x60d633ea, "mutex_lock" },
	{ 0xbd9e7ce5, "dma_alloc_attrs" },
	{ 0x296d9623, "crypto_engine_start" },
	{ 0xd685617c, "crypto_engine_register_aead" },
	{ 0x52ed499b, "host1x_device_init" },
	{ 0x81f356d6, "crypto_engine_unregister_ahash" },
	{ 0xc9e5b257, "__host1x_client_register" },
	{ 0xcac5acca, "crypto_ahash_finup" },
	{ 0x7f49fe22, "crypto_engine_stop" },
	{ 0xdcb764ad, "memset" },
	{ 0x73837312, "_dev_warn" },
	{ 0x9973d733, "device_get_match_data" },
	{ 0x1bc6239f, "crypto_transfer_aead_request_to_engine" },
	{ 0x11ab3090, "host1x_driver_unregister" },
	{ 0x6eaaea2b, "crypto_ahash_digest" },
	{ 0xd5c7f1a6, "host1x_syncpt_wait" },
	{ 0x84791cb3, "host1x_syncpt_get" },
	{ 0xb73376ff, "crypto_ahash_final" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0x37846cba, "host1x_job_alloc" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xffb0c5f6, "__platform_driver_register" },
	{ 0x511f55ac, "dma_set_coherent_mask" },
	{ 0xc62611e1, "scatterwalk_map_and_copy" },
	{ 0xc7034440, "host1x_client_unregister" },
	{ 0xae16f51f, "crypto_finalize_aead_request" },
	{ 0x50344d2e, "dma_free_attrs" },
	{ 0x7b389c8a, "dma_map_sgtable" },
	{ 0x64895b51, "mutex_unlock" },
	{ 0xa852c67e, "host1x_channel_request" },
	{ 0x6a904483, "crypto_engine_alloc_init" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe861dc52, "host1x_device_exit" },
	{ 0xe09d129c, "crypto_transfer_skcipher_request_to_engine" },
	{ 0x37640521, "host1x_job_add_gather" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x2db926e9, "dma_set_mask" },
	{ 0xaa0c5dca, "host1x_driver_register_full" },
	{ 0xca8e0285, "dma_get_sgtable_attrs" },
	{ 0xbb805d0b, "host1x_channel_put" },
	{ 0x8ab2fb7b, "dev_err_probe" },
	{ 0xee15d3a0, "devm_clk_get_enabled" },
	{ 0x11e1d880, "dma_unmap_sg_attrs" },
	{ 0x7bac27f7, "kmalloc_trace" },
	{ 0x4d8db6e2, "crypto_alloc_shash" },
	{ 0x93f5bea6, "crypto_engine_register_ahash" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0xef19ee8f, "kmalloc_caches" },
	{ 0x17a00f25, "host1x_syncpt_id" },
	{ 0x3eee7372, "module_layout" },
};

MODULE_INFO(depends, "host1x,crypto_engine");

MODULE_ALIAS("of:N*T*Cnvidia,tegra234-se-aes");
MODULE_ALIAS("of:N*T*Cnvidia,tegra234-se-aesC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra234-se-hash");
MODULE_ALIAS("of:N*T*Cnvidia,tegra234-se-hashC*");

MODULE_INFO(srcversion, "2452D85258E9B7F8B659228");
MODULE_INFO(rhelversion, "9.6");
