#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe1fe0bc3, "drm_mode_config_helper_resume" },
	{ 0x25f5faf2, "drm_mode_config_helper_suspend" },
	{ 0xbd40c769, "drm_atomic_helper_shutdown" },
	{ 0xedc03953, "iounmap" },
	{ 0xa0922d46, "pci_release_regions" },
	{ 0x37a0cba, "kfree" },
	{ 0xdbdf6c92, "ioport_resource" },
	{ 0x1035c7c2, "__release_region" },
	{ 0x5071a8b3, "drm_dev_unplug" },
	{ 0x4d62ac11, "drm_dev_put" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0xdca8c3d4, "logic_outb" },
	{ 0x5a68c901, "drm_gem_fb_create" },
	{ 0xe09d907c, "pci_unregister_driver" },
	{ 0xfbb641ae, "drm_add_edid_modes" },
	{ 0xc282e465, "drm_add_modes_noedid" },
	{ 0x1fc1f4de, "drm_set_preferred_mode" },
	{ 0xd642f3f6, "video_firmware_drivers_only" },
	{ 0xac9c69f2, "__pci_register_driver" },
	{ 0x7e3277f8, "___drm_dbg" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0xf18300ad, "logic_inb" },
	{ 0x6d73c95f, "logic_outw" },
	{ 0x2e2c4ddc, "logic_inw" },
	{ 0x85927f7c, "pci_request_region" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x85bd1608, "__request_region" },
	{ 0x92997ed8, "_printk" },
	{ 0x833c057f, "drm_connector_init" },
	{ 0x9b9de1c1, "drm_edid_header_is_valid" },
	{ 0xaecf14f7, "drm_do_get_edid" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb1ffca5d, "drm_connector_attach_edid_property" },
	{ 0x45fb39b4, "drm_connector_update_edid_property" },
	{ 0xcdd66f67, "drm_aperture_remove_conflicting_pci_framebuffers" },
	{ 0x8514564e, "drm_dev_alloc" },
	{ 0xbb3c6b84, "pcim_enable_device" },
	{ 0x9e08e762, "drmm_kmalloc" },
	{ 0x493296d9, "drmm_vram_helper_init" },
	{ 0xae64d6d7, "drmm_mode_config_init" },
	{ 0xd932bd7a, "drm_simple_display_pipe_init" },
	{ 0xe424d2f1, "drm_mode_config_reset" },
	{ 0xdb20ca78, "drm_dev_register" },
	{ 0xe8e4b1eb, "drm_fbdev_generic_setup" },
	{ 0xe141687c, "drm_gem_vram_offset" },
	{ 0xd1c9e9d0, "drm_dev_enter" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0x86ed6bae, "drm_atomic_helper_connector_reset" },
	{ 0x40e81889, "drm_helper_probe_single_connector_modes" },
	{ 0xf44b51af, "drm_connector_cleanup" },
	{ 0x6a1ca864, "drm_atomic_helper_connector_duplicate_state" },
	{ 0x71e55b05, "drm_atomic_helper_connector_destroy_state" },
	{ 0x34327fa1, "drm_vram_mm_debugfs_init" },
	{ 0x95debfe6, "drm_gem_vram_driver_dumb_create" },
	{ 0x31c52c5f, "drm_gem_ttm_dumb_map_offset" },
	{ 0x51d7877a, "drm_vram_helper_mode_valid" },
	{ 0x1daa1381, "drm_atomic_helper_check" },
	{ 0x654c59fc, "drm_atomic_helper_commit" },
	{ 0x2babfce7, "drm_gem_vram_simple_display_pipe_prepare_fb" },
	{ 0xe159d2df, "drm_gem_vram_simple_display_pipe_cleanup_fb" },
	{ 0xe9a44f12, "noop_llseek" },
	{ 0x646035d8, "drm_read" },
	{ 0x8aa9c3d7, "drm_poll" },
	{ 0xcde294f8, "drm_ioctl" },
	{ 0x50eee1da, "drm_gem_mmap" },
	{ 0xc79d2189, "drm_open" },
	{ 0xaafc8354, "drm_release" },
	{ 0x272a09a, "param_ops_int" },
	{ 0x3eee7372, "module_layout" },
};

MODULE_INFO(depends, "drm_kms_helper,drm,drm_vram_helper,drm_ttm_helper");

MODULE_ALIAS("pci:v00001234d00001111sv00001AF4sd00001100bc*sc*i*");
MODULE_ALIAS("pci:v00001234d00001111sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00004321d00001111sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "FF723D1DFAD815C41F05258");
MODULE_INFO(rhelversion, "9.6");
