#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tmc_free_sg_table, "_gpl", "");
KSYMTAB_FUNC(tmc_alloc_sg_table, "_gpl", "");
KSYMTAB_FUNC(tmc_sg_table_sync_data_range, "_gpl", "");
KSYMTAB_FUNC(tmc_sg_table_sync_table, "_gpl", "");
KSYMTAB_FUNC(tmc_sg_table_get_data, "_gpl", "");
KSYMTAB_FUNC(tmc_etr_get_catu_device, "_gpl", "");
KSYMTAB_FUNC(tmc_etr_set_catu_ops, "_gpl", "");
KSYMTAB_FUNC(tmc_etr_remove_catu_ops, "_gpl", "");

SYMBOL_CRC(tmc_free_sg_table, 0x2edbb10c, "_gpl");
SYMBOL_CRC(tmc_alloc_sg_table, 0xa65dd99f, "_gpl");
SYMBOL_CRC(tmc_sg_table_sync_data_range, 0x6b9bf7c6, "_gpl");
SYMBOL_CRC(tmc_sg_table_sync_table, 0xa0988f62, "_gpl");
SYMBOL_CRC(tmc_sg_table_get_data, 0xb977dc8c, "_gpl");
SYMBOL_CRC(tmc_etr_get_catu_device, 0xb6d64e3a, "_gpl");
SYMBOL_CRC(tmc_etr_set_catu_ops, 0x3e74de02, "_gpl");
SYMBOL_CRC(tmc_etr_remove_catu_ops, 0x04a264a1, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x58cc27ee, "coresight_get_platform_data" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x51725846, "misc_deregister" },
	{ 0x86763525, "idr_find" },
	{ 0xb8e799e4, "devm_kmalloc" },
	{ 0x1b2eb8a5, "coresight_disclaim_device_unlocked" },
	{ 0x882dcd74, "amba_driver_unregister" },
	{ 0x24819e5a, "rt_mutex_base_init" },
	{ 0xe46f84de, "dma_unmap_page_attrs" },
	{ 0x96848186, "scnprintf" },
	{ 0xac4cc5b8, "dma_free_pages" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x5a0d7588, "coresight_register" },
	{ 0x4829a47e, "memcpy" },
	{ 0x94961283, "vunmap" },
	{ 0x37a0cba, "kfree" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x31e40a9e, "__dynamic_dev_dbg" },
	{ 0xc8c0fc7e, "dma_map_page_attrs" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0x92997ed8, "_printk" },
	{ 0xc5d19366, "dma_alloc_pages" },
	{ 0x25dcc257, "coresight_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xa7d41146, "kmalloc_node_trace" },
	{ 0x618911fc, "numa_node" },
	{ 0x7d3dd12f, "__free_pages" },
	{ 0x93470475, "fwnode_property_read_u32_array" },
	{ 0xb708a9e9, "_dev_info" },
	{ 0xe63bb519, "__amba_driver_register" },
	{ 0x1333b4d1, "coresight_claim_device" },
	{ 0x4a44a793, "iommu_get_domain_for_dev" },
	{ 0xd2a224cc, "idr_remove" },
	{ 0x9590cb58, "__dma_sync_single_for_cpu" },
	{ 0x39eec6c3, "_dev_err" },
	{ 0x555a3ed5, "idr_alloc" },
	{ 0x60d633ea, "mutex_lock" },
	{ 0x65a64a18, "vmap" },
	{ 0xeca1a8e2, "coresight_timeout" },
	{ 0xdcb764ad, "memset" },
	{ 0x73837312, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xc83b49d3, "misc_register" },
	{ 0xd2883d74, "__alloc_pages" },
	{ 0x67c46b9f, "rt_spin_unlock" },
	{ 0x56a56e06, "rt_spin_lock" },
	{ 0xc6725e50, "nonseekable_open" },
	{ 0x511f55ac, "dma_set_coherent_mask" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xe20a4c35, "fwnode_property_present" },
	{ 0x7fc8f480, "__pm_runtime_resume" },
	{ 0x64895b51, "mutex_unlock" },
	{ 0x6105320c, "__dma_sync_single_for_device" },
	{ 0xc2e1b47b, "devm_ioremap_resource" },
	{ 0xc33777ab, "perf_get_aux" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x2db926e9, "dma_set_mask" },
	{ 0x7bac27f7, "kmalloc_trace" },
	{ 0x2d84a6df, "perf_aux_output_flag" },
	{ 0x9a5bb566, "coresight_alloc_device_name" },
	{ 0xecfb329f, "coresight_barrier_pkt" },
	{ 0x2bfbfebf, "__mutex_rt_init" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0xad97b897, "__pm_runtime_idle" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xef19ee8f, "kmalloc_caches" },
	{ 0xfd36c908, "coresight_disclaim_device" },
	{ 0x3eee7372, "module_layout" },
};

MODULE_INFO(depends, "coresight");

MODULE_ALIAS("amba:d???BB961");
MODULE_ALIAS("amba:d???BB9E8");
MODULE_ALIAS("amba:d???BB9E9");
MODULE_ALIAS("amba:d???BB9EA");

MODULE_INFO(srcversion, "EAE21FBF7A48EFFEFF1C924");
MODULE_INFO(rhelversion, "9.6");
