#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(iommufd_device_bind, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_has_group, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_unbind, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_to_ictx, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_to_id, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_attach, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_replace, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_detach, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_create, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_destroy, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_detach, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_attach, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_replace, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_unpin_pages, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_pin_pages, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_rw, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_get, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_from_file, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_from_fd, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_put, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_vfio_compat_ioas_get_id, "_gpl", "IOMMUFD_VFIO");
KSYMTAB_FUNC(iommufd_vfio_compat_set_no_iommu, "_gpl", "IOMMUFD_VFIO");
KSYMTAB_FUNC(iommufd_vfio_compat_ioas_create, "_gpl", "IOMMUFD_VFIO");

SYMBOL_CRC(iommufd_device_bind, 0xd6846cc3, "_gpl");
SYMBOL_CRC(iommufd_ctx_has_group, 0x992483b9, "_gpl");
SYMBOL_CRC(iommufd_device_unbind, 0xb312dd88, "_gpl");
SYMBOL_CRC(iommufd_device_to_ictx, 0xabbc13b8, "_gpl");
SYMBOL_CRC(iommufd_device_to_id, 0xa55ac274, "_gpl");
SYMBOL_CRC(iommufd_device_attach, 0x04a54ae1, "_gpl");
SYMBOL_CRC(iommufd_device_replace, 0x07b64d2a, "_gpl");
SYMBOL_CRC(iommufd_device_detach, 0x37f03ea2, "_gpl");
SYMBOL_CRC(iommufd_access_create, 0x7dd11343, "_gpl");
SYMBOL_CRC(iommufd_access_destroy, 0x773fcbc0, "_gpl");
SYMBOL_CRC(iommufd_access_detach, 0xbac4a6bf, "_gpl");
SYMBOL_CRC(iommufd_access_attach, 0xa2101da7, "_gpl");
SYMBOL_CRC(iommufd_access_replace, 0x1fbcb8a2, "_gpl");
SYMBOL_CRC(iommufd_access_unpin_pages, 0xfb343037, "_gpl");
SYMBOL_CRC(iommufd_access_pin_pages, 0x789824f6, "_gpl");
SYMBOL_CRC(iommufd_access_rw, 0x80c8837f, "_gpl");
SYMBOL_CRC(iommufd_ctx_get, 0xf65fb5cf, "_gpl");
SYMBOL_CRC(iommufd_ctx_from_file, 0x8bf4bdb5, "_gpl");
SYMBOL_CRC(iommufd_ctx_from_fd, 0x9d64d397, "_gpl");
SYMBOL_CRC(iommufd_ctx_put, 0xcc117bbf, "_gpl");
SYMBOL_CRC(iommufd_vfio_compat_ioas_get_id, 0xb189a653, "_gpl");
SYMBOL_CRC(iommufd_vfio_compat_set_no_iommu, 0x1da08686, "_gpl");
SYMBOL_CRC(iommufd_vfio_compat_ioas_create, 0x7f570767, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7bd20163, "pin_user_pages_fast" },
	{ 0x680bea5b, "iova_bitmap_free" },
	{ 0x995df012, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x1217c23c, "__init_rwsem" },
	{ 0x51725846, "misc_deregister" },
	{ 0xe8af0659, "iommu_device_claim_dma_owner" },
	{ 0x181d3f24, "iopf_free_group" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x71e37b6b, "iommu_group_get" },
	{ 0x91fefc86, "pin_user_pages_remote" },
	{ 0x33c24fc0, "iommu_iova_to_phys" },
	{ 0x24819e5a, "rt_mutex_base_init" },
	{ 0x5616a11c, "finish_wait" },
	{ 0xaad76c30, "__mmap_lock_do_trace_acquire_returned" },
	{ 0x9977217d, "fget" },
	{ 0x8c331cc2, "__put_task_struct" },
	{ 0xfeed61d5, "__xas_next" },
	{ 0xd1e449aa, "xas_find" },
	{ 0xc1ffbea0, "iommu_dev_disable_feature" },
	{ 0x8a773474, "unpin_user_pages" },
	{ 0x28aaa2c1, "fd_install" },
	{ 0xec7177de, "iopf_group_response" },
	{ 0xbfc1d1a, "check_zeroed_user" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x2031b9cb, "unpin_user_page_range_dirty_lock" },
	{ 0x11901d60, "__account_locked_vm" },
	{ 0x88edf0a1, "prepare_to_wait_event" },
	{ 0xbe118c52, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0x1344e378, "__wake_up" },
	{ 0xc7a03a8, "iova_bitmap_alloc" },
	{ 0x89485687, "iommu_group_put" },
	{ 0x5efdd68b, "__tracepoint_mmap_lock_released" },
	{ 0xefdd9665, "iommu_group_replace_domain" },
	{ 0xa44a1307, "interval_tree_iter_first" },
	{ 0x83cebb18, "kthread_use_mm" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0xc8b22de7, "iommu_detach_group_handle" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x3c0a17cc, "iommu_detach_group" },
	{ 0x4261f7af, "iommu_paging_domain_alloc" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7429297b, "interval_tree_span_iter_next" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xccd64774, "iommu_dev_enable_feature" },
	{ 0xc6cbbc89, "capable" },
	{ 0x6fff261f, "__arch_clear_user" },
	{ 0xaad06d2, "__xa_alloc" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x6e7943ec, "iommu_group_id" },
	{ 0xc8085282, "fput" },
	{ 0x19a1152f, "down_write" },
	{ 0x10fb3edb, "iommu_domain_free" },
	{ 0xaa785dec, "up_write" },
	{ 0x318d912c, "iommu_get_msi_cookie" },
	{ 0x17107c00, "xas_store" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0xfc144011, "iommu_unmap" },
	{ 0xe45f1327, "xa_load" },
	{ 0xd96babb4, "interval_tree_iter_next" },
	{ 0x93756f3c, "xas_load" },
	{ 0x60d633ea, "mutex_lock" },
	{ 0x611565b4, "iova_bitmap_for_each" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0xff27f97d, "iommu_attach_handle_get" },
	{ 0xaef5677d, "iommu_replace_group_handle" },
	{ 0xd6033790, "iommu_device_release_dma_owner" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xdcb764ad, "memset" },
	{ 0x73837312, "_dev_warn" },
	{ 0xc83b49d3, "misc_register" },
	{ 0x41c57adb, "unpin_user_page" },
	{ 0x4335ef68, "__init_waitqueue_head" },
	{ 0x67c46b9f, "rt_spin_unlock" },
	{ 0x18921f01, "iommu_put_resv_regions" },
	{ 0xc99a7352, "down_read" },
	{ 0xa2f4527b, "__mmdrop" },
	{ 0x56a56e06, "rt_spin_lock" },
	{ 0x638aeacc, "__xa_cmpxchg" },
	{ 0xc6725e50, "nonseekable_open" },
	{ 0xce746ea8, "xa_erase" },
	{ 0x818bcb59, "__mmap_lock_do_trace_start_locking" },
	{ 0x52b719b3, "iommu_get_resv_regions" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xde69e801, "mmput" },
	{ 0x64895b51, "mutex_unlock" },
	{ 0x7a67dd53, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x4b9b2030, "xa_find" },
	{ 0xc1e6986e, "interval_tree_span_iter_first" },
	{ 0xbd628752, "__tracepoint_mmap_lock_start_locking" },
	{ 0x5feca5d4, "__mmap_lock_do_trace_released" },
	{ 0x2b349d4, "xa_store" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x38c8b672, "set_page_dirty_lock" },
	{ 0xf86f559e, "device_iommu_capable" },
	{ 0x28ac8c13, "xas_nomem" },
	{ 0x585a6399, "iommu_map" },
	{ 0x28652f5e, "free_uid" },
	{ 0xdab5a1eb, "interval_tree_insert" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x461b4e00, "kthread_unuse_mm" },
	{ 0x76517f03, "interval_tree_span_iter_advance" },
	{ 0x93a75e58, "iommu_attach_group_handle" },
	{ 0x7bac27f7, "kmalloc_trace" },
	{ 0xb5f84747, "xa_find_after" },
	{ 0x94160518, "__put_task_struct_rcu_cb" },
	{ 0xdb664447, "iommu_attach_group" },
	{ 0x6d49c8ed, "iommu_group_has_isolated_msi" },
	{ 0x76a89eaa, "up_read" },
	{ 0x2bfbfebf, "__mutex_rt_init" },
	{ 0x9b53e14, "interval_tree_remove" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x13c14cba, "pci_bus_type" },
	{ 0xef19ee8f, "kmalloc_caches" },
	{ 0x3eee7372, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "D06B1E82DC103F08D455125");
MODULE_INFO(rhelversion, "9.6");
