#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(media_device_register_entity, "_gpl", "");
KSYMTAB_FUNC(media_device_unregister_entity, "_gpl", "");
KSYMTAB_FUNC(media_device_init, "_gpl", "");
KSYMTAB_FUNC(media_device_cleanup, "_gpl", "");
KSYMTAB_FUNC(__media_device_register, "_gpl", "");
KSYMTAB_FUNC(media_device_register_entity_notify, "_gpl", "");
KSYMTAB_FUNC(media_device_unregister_entity_notify, "_gpl", "");
KSYMTAB_FUNC(media_device_unregister, "_gpl", "");
KSYMTAB_FUNC(media_device_pci_init, "_gpl", "");
KSYMTAB_FUNC(__media_device_usb_init, "_gpl", "");
KSYMTAB_FUNC(media_entity_enum_init, "_gpl", "");
KSYMTAB_FUNC(media_entity_enum_cleanup, "_gpl", "");
KSYMTAB_FUNC(media_entity_pads_init, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_init, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_cleanup, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_start, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_next, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_alloc_start, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_pad_iter_next, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_entity_iter_init, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_entity_iter_cleanup, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_entity_iter_next, "_gpl", "");
KSYMTAB_FUNC(media_get_pad_index, "_gpl", "");
KSYMTAB_FUNC(media_create_pad_link, "_gpl", "");
KSYMTAB_FUNC(media_create_pad_links, "_gpl", "");
KSYMTAB_FUNC(__media_entity_remove_links, "_gpl", "");
KSYMTAB_FUNC(media_entity_remove_links, "_gpl", "");
KSYMTAB_FUNC(__media_entity_setup_link, "_gpl", "");
KSYMTAB_FUNC(media_entity_setup_link, "_gpl", "");
KSYMTAB_FUNC(media_entity_find_link, "_gpl", "");
KSYMTAB_FUNC(media_pad_remote_pad_first, "_gpl", "");
KSYMTAB_FUNC(media_entity_remote_pad_unique, "_gpl", "");
KSYMTAB_FUNC(media_pad_remote_pad_unique, "_gpl", "");
KSYMTAB_FUNC(media_entity_get_fwnode_pad, "_gpl", "");
KSYMTAB_FUNC(media_entity_pipeline, "_gpl", "");
KSYMTAB_FUNC(media_pad_pipeline, "_gpl", "");
KSYMTAB_FUNC(media_devnode_create, "_gpl", "");
KSYMTAB_FUNC(media_devnode_remove, "_gpl", "");
KSYMTAB_FUNC(media_create_intf_link, "_gpl", "");
KSYMTAB_FUNC(__media_remove_intf_link, "_gpl", "");
KSYMTAB_FUNC(media_remove_intf_link, "_gpl", "");
KSYMTAB_FUNC(__media_remove_intf_links, "_gpl", "");
KSYMTAB_FUNC(media_remove_intf_links, "_gpl", "");
KSYMTAB_FUNC(media_create_ancillary_link, "_gpl", "");
KSYMTAB_FUNC(__media_entity_next_link, "_gpl", "");
KSYMTAB_FUNC(media_request_put, "_gpl", "");
KSYMTAB_FUNC(media_request_get_by_fd, "_gpl", "");
KSYMTAB_FUNC(media_request_object_find, "_gpl", "");
KSYMTAB_FUNC(media_request_object_put, "_gpl", "");
KSYMTAB_FUNC(media_request_object_init, "_gpl", "");
KSYMTAB_FUNC(media_request_object_bind, "_gpl", "");
KSYMTAB_FUNC(media_request_object_unbind, "_gpl", "");
KSYMTAB_FUNC(media_request_object_complete, "_gpl", "");
KSYMTAB_FUNC(media_device_usb_allocate, "_gpl", "");
KSYMTAB_FUNC(media_device_delete, "_gpl", "");

SYMBOL_CRC(media_device_register_entity, 0xcf27bf35, "_gpl");
SYMBOL_CRC(media_device_unregister_entity, 0x02631896, "_gpl");
SYMBOL_CRC(media_device_init, 0xdb1664f0, "_gpl");
SYMBOL_CRC(media_device_cleanup, 0x27796a3f, "_gpl");
SYMBOL_CRC(__media_device_register, 0x47d9c259, "_gpl");
SYMBOL_CRC(media_device_register_entity_notify, 0x13bcb48d, "_gpl");
SYMBOL_CRC(media_device_unregister_entity_notify, 0x17d1b450, "_gpl");
SYMBOL_CRC(media_device_unregister, 0xe16ac2a0, "_gpl");
SYMBOL_CRC(media_device_pci_init, 0x2cdc35c4, "_gpl");
SYMBOL_CRC(__media_device_usb_init, 0xc03aa0cb, "_gpl");
SYMBOL_CRC(media_entity_enum_init, 0x21b45bae, "_gpl");
SYMBOL_CRC(media_entity_enum_cleanup, 0xe5ceecd6, "_gpl");
SYMBOL_CRC(media_entity_pads_init, 0x39378c0a, "_gpl");
SYMBOL_CRC(media_graph_walk_init, 0x724f5fcb, "_gpl");
SYMBOL_CRC(media_graph_walk_cleanup, 0x56dbbc5f, "_gpl");
SYMBOL_CRC(media_graph_walk_start, 0x1abe8ef3, "_gpl");
SYMBOL_CRC(media_graph_walk_next, 0xbcea36a9, "_gpl");
SYMBOL_CRC(__media_pipeline_start, 0x23ba97ef, "_gpl");
SYMBOL_CRC(media_pipeline_start, 0x051bb408, "_gpl");
SYMBOL_CRC(__media_pipeline_stop, 0xfa24196d, "_gpl");
SYMBOL_CRC(media_pipeline_stop, 0x5099b18e, "_gpl");
SYMBOL_CRC(media_pipeline_alloc_start, 0x738772db, "_gpl");
SYMBOL_CRC(__media_pipeline_pad_iter_next, 0x25483a53, "_gpl");
SYMBOL_CRC(media_pipeline_entity_iter_init, 0x945e7809, "_gpl");
SYMBOL_CRC(media_pipeline_entity_iter_cleanup, 0x65dd67e0, "_gpl");
SYMBOL_CRC(__media_pipeline_entity_iter_next, 0xe52fea4a, "_gpl");
SYMBOL_CRC(media_get_pad_index, 0x958fbfbf, "_gpl");
SYMBOL_CRC(media_create_pad_link, 0x5a8ce491, "_gpl");
SYMBOL_CRC(media_create_pad_links, 0x93c7fc10, "_gpl");
SYMBOL_CRC(__media_entity_remove_links, 0xe516e4b1, "_gpl");
SYMBOL_CRC(media_entity_remove_links, 0x6620b94e, "_gpl");
SYMBOL_CRC(__media_entity_setup_link, 0x2e45888c, "_gpl");
SYMBOL_CRC(media_entity_setup_link, 0x97ad9d30, "_gpl");
SYMBOL_CRC(media_entity_find_link, 0xa4a3bfa9, "_gpl");
SYMBOL_CRC(media_pad_remote_pad_first, 0x04e62b1b, "_gpl");
SYMBOL_CRC(media_entity_remote_pad_unique, 0x1360cdc6, "_gpl");
SYMBOL_CRC(media_pad_remote_pad_unique, 0xfa7f6b13, "_gpl");
SYMBOL_CRC(media_entity_get_fwnode_pad, 0xf5d78f70, "_gpl");
SYMBOL_CRC(media_entity_pipeline, 0x7d3c1df3, "_gpl");
SYMBOL_CRC(media_pad_pipeline, 0xea86b1cb, "_gpl");
SYMBOL_CRC(media_devnode_create, 0x9a5fcab1, "_gpl");
SYMBOL_CRC(media_devnode_remove, 0x36786bec, "_gpl");
SYMBOL_CRC(media_create_intf_link, 0xb4e32108, "_gpl");
SYMBOL_CRC(__media_remove_intf_link, 0x6a87040b, "_gpl");
SYMBOL_CRC(media_remove_intf_link, 0x1e4e7c06, "_gpl");
SYMBOL_CRC(__media_remove_intf_links, 0x5bf77c86, "_gpl");
SYMBOL_CRC(media_remove_intf_links, 0x7676a556, "_gpl");
SYMBOL_CRC(media_create_ancillary_link, 0x4d3f0a04, "_gpl");
SYMBOL_CRC(__media_entity_next_link, 0x9305143f, "_gpl");
SYMBOL_CRC(media_request_put, 0xad2198e1, "_gpl");
SYMBOL_CRC(media_request_get_by_fd, 0xcbafb921, "_gpl");
SYMBOL_CRC(media_request_object_find, 0x789ccca2, "_gpl");
SYMBOL_CRC(media_request_object_put, 0xed29953b, "_gpl");
SYMBOL_CRC(media_request_object_init, 0xc82b0ecd, "_gpl");
SYMBOL_CRC(media_request_object_bind, 0x712c4a40, "_gpl");
SYMBOL_CRC(media_request_object_unbind, 0x26c21ed8, "_gpl");
SYMBOL_CRC(media_request_object_complete, 0x26928318, "_gpl");
SYMBOL_CRC(media_device_usb_allocate, 0x69446cc6, "_gpl");
SYMBOL_CRC(media_device_delete, 0x3a598dac, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc8dcc62a, "krealloc" },
	{ 0x6613b007, "ida_alloc_range" },
	{ 0x4c28373d, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x995df012, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xa8192f29, "ida_destroy" },
	{ 0x57b48964, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xb83b4f5e, "cdev_device_del" },
	{ 0x24819e5a, "rt_mutex_base_init" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x8fc79712, "device_initialize" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x28aaa2c1, "fd_install" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1344e378, "__wake_up" },
	{ 0xa4a2bf89, "get_device" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x31e40a9e, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x92997ed8, "_printk" },
	{ 0xad73608e, "cdev_device_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xfd5e5fd6, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xe02f99d9, "fwnode_graph_parse_endpoint" },
	{ 0x5da4de2, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x5b6a8c44, "device_create_file" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xe54579e4, "bus_unregister" },
	{ 0xc8085282, "fput" },
	{ 0x39eec6c3, "_dev_err" },
	{ 0x60d633ea, "mutex_lock" },
	{ 0xcb149792, "ida_free" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xdcb764ad, "memset" },
	{ 0x73837312, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x4335ef68, "__init_waitqueue_head" },
	{ 0x67c46b9f, "rt_spin_unlock" },
	{ 0x56a56e06, "rt_spin_lock" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x64895b51, "mutex_unlock" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x4c08adb7, "platform_bus_type" },
	{ 0x97e40b7, "kobject_set_name" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x7bac27f7, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0x2bfbfebf, "__mutex_rt_init" },
	{ 0x68f8135, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x13c14cba, "pci_bus_type" },
	{ 0xef19ee8f, "kmalloc_caches" },
	{ 0x16f51e2a, "device_remove_file" },
	{ 0x432e384c, "bus_register" },
	{ 0x3eee7372, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "53E3D798C82384C14394313");
MODULE_INFO(rhelversion, "9.6");
