#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(stmmac_bus_clks_config, "_gpl", "");
KSYMTAB_FUNC(stmmac_init_tstamp_counter, "_gpl", "");
KSYMTAB_FUNC(stmmac_dvr_probe, "_gpl", "");
KSYMTAB_FUNC(stmmac_dvr_remove, "_gpl", "");
KSYMTAB_FUNC(stmmac_suspend, "_gpl", "");
KSYMTAB_FUNC(stmmac_resume, "_gpl", "");
KSYMTAB_FUNC(stmmac_set_mac_addr, "_gpl", "");
KSYMTAB_FUNC(stmmac_get_mac_addr, "_gpl", "");

SYMBOL_CRC(stmmac_bus_clks_config, 0xd8738dc0, "_gpl");
SYMBOL_CRC(stmmac_init_tstamp_counter, 0x0ba679d3, "_gpl");
SYMBOL_CRC(stmmac_dvr_probe, 0xa73c047a, "_gpl");
SYMBOL_CRC(stmmac_dvr_remove, 0x1af934d5, "_gpl");
SYMBOL_CRC(stmmac_suspend, 0x6bd3056c, "_gpl");
SYMBOL_CRC(stmmac_resume, 0x0c67c01d, "_gpl");
SYMBOL_CRC(stmmac_set_mac_addr, 0xd1cc24db, "_gpl");
SYMBOL_CRC(stmmac_get_mac_addr, 0x92d778bb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6f85bda0, "mdiobus_alloc_size" },
	{ 0x8b7a698b, "__tracepoint_xdp_exception" },
	{ 0x38fc8333, "xsk_tx_completed" },
	{ 0x5fa78380, "napi_alloc_skb" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x6d06f38d, "xp_alloc" },
	{ 0xf90f5393, "device_set_wakeup_enable" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb5ca91e9, "bpf_prog_put" },
	{ 0x8a538cdc, "device_set_wakeup_capable" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x627934f, "xp_dma_map" },
	{ 0x64836f15, "skb_copy_bits" },
	{ 0x495231ea, "mul_u64_u64_div_u64" },
	{ 0xb8e799e4, "devm_kmalloc" },
	{ 0xc6d3a1cc, "eth_mac_addr" },
	{ 0x718632b8, "skb_put" },
	{ 0xe2c37e2e, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xbab6b6d4, "netdev_update_features" },
	{ 0xe46544a9, "consume_skb" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x9fcb4eeb, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xfcaed96, "hrtimer_try_to_cancel" },
	{ 0xd016bc06, "bpf_warn_invalid_xdp_action" },
	{ 0x2f40ec30, "unregister_netdev" },
	{ 0x9a5a1ba, "xdp_convert_zc_to_xdp_frame" },
	{ 0xf4c08f60, "xdp_features_set_redirect_target" },
	{ 0x24819e5a, "rt_mutex_base_init" },
	{ 0x2e599779, "gpiod_set_value_cansleep" },
	{ 0xe46f84de, "dma_unmap_page_attrs" },
	{ 0x390e9fc0, "hrtimer_init" },
	{ 0xced77b2e, "skb_add_rx_frag" },
	{ 0xaf2aa4f7, "get_device_system_crosststamp" },
	{ 0x1020b4db, "ptp_clock_index" },
	{ 0xc2bff6bb, "phy_attached_info" },
	{ 0x4829a47e, "memcpy" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x37a0cba, "kfree" },
	{ 0x25eeda7b, "seq_lseek" },
	{ 0xfd61d64f, "page_pool_destroy" },
	{ 0x1b9f88c5, "xdp_do_redirect" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x98327d0b, "netdev_warn" },
	{ 0xbf2149e1, "devm_gpiod_get_optional" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x1344e378, "__wake_up" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0x90b75d62, "flow_rule_match_ipv4_addrs" },
	{ 0xe70922f7, "xdp_rxq_info_unreg_mem_model" },
	{ 0xf1809c90, "__netif_napi_del" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x851f57ba, "netdev_err" },
	{ 0xcb8f9cd2, "phylink_limit_mac_speed" },
	{ 0x65628879, "phylink_create" },
	{ 0x4278d56a, "phylink_expects_phy" },
	{ 0x2e1b06b6, "dev_driver_string" },
	{ 0x5adbe8f5, "pinctrl_pm_select_default_state" },
	{ 0x3e12510c, "xdp_rxq_info_reg_mem_model" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xd1b438af, "eth_type_trans" },
	{ 0xe6cab950, "__pm_runtime_set_status" },
	{ 0xc8c0fc7e, "dma_map_page_attrs" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0xb26d4e7e, "napi_complete_done" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x6ecf02e1, "__devm_alloc_percpu" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xe38e2f66, "pm_wakeup_dev_event" },
	{ 0x243eab38, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xed452737, "__napi_schedule" },
	{ 0xae1e34de, "pm_runtime_enable" },
	{ 0xcb886166, "xsk_set_rx_need_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0x6fa426d2, "phylink_ethtool_nway_reset" },
	{ 0x2d7b1c9e, "netif_device_detach" },
	{ 0x41caf293, "device_property_read_u32_array" },
	{ 0xe3fe98f1, "xpcs_config_eee" },
	{ 0x16ca1a8a, "phylink_suspend" },
	{ 0xef79c4f6, "rt_write_unlock" },
	{ 0xb708a9e9, "_dev_info" },
	{ 0x404de74d, "xpcs_create_mdiodev" },
	{ 0x1cfbad60, "napi_gro_receive" },
	{ 0x927896b2, "netif_device_attach" },
	{ 0xdd298ec1, "xdp_features_clear_redirect_target" },
	{ 0x73c1803d, "phylink_ethtool_get_eee" },
	{ 0x55e31703, "ethtool_convert_link_mode_to_legacy_u32" },
	{ 0x7485c308, "netdev_pick_tx" },
	{ 0xed46be04, "phy_init_eee" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xfffe340c, "xp_raw_get_dma" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xdd2bb958, "xdp_rxq_info_is_reg" },
	{ 0xa4a5f672, "devm_alloc_etherdev_mqs" },
	{ 0x9fbda453, "flow_block_cb_setup_simple" },
	{ 0x4a52c8f3, "flow_rule_match_basic" },
	{ 0x5d0c4dcc, "phylink_speed_up" },
	{ 0x52918ef5, "dev_open" },
	{ 0x9590cb58, "__dma_sync_single_for_cpu" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0xcea4261d, "__irq_apply_affinity_hint" },
	{ 0x39eec6c3, "_dev_err" },
	{ 0xba41e52c, "xpcs_destroy" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x208eecce, "pinctrl_pm_select_sleep_state" },
	{ 0x40891f87, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xfcfd50f1, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x10e76716, "ptp_clock_register" },
	{ 0xd3a15d5, "xsk_tx_peek_desc" },
	{ 0x75080a60, "__of_mdiobus_register" },
	{ 0xf132c528, "__traceiter_xdp_exception" },
	{ 0x5302d36c, "netif_set_real_num_tx_queues" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x572cb7bb, "netif_set_real_num_rx_queues" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x983276da, "phylink_disconnect_phy" },
	{ 0x5efc9a8c, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x60d633ea, "mutex_lock" },
	{ 0xf8fe5642, "phylink_ethtool_get_pauseparam" },
	{ 0xbd9e7ce5, "dma_alloc_attrs" },
	{ 0xc817c6b, "debugfs_remove" },
	{ 0x6d19dbb7, "napi_enable" },
	{ 0xdce7e2dd, "xsk_clear_rx_need_wakeup" },
	{ 0xa1a16e36, "xpcs_get_interfaces" },
	{ 0x9b8b1250, "xsk_uses_need_wakeup" },
	{ 0x1b5a3b1c, "register_netdev" },
	{ 0x771764a7, "xsk_get_pool_from_qid" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0x911fcd6c, "phylink_start" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x591b4b96, "mdiobus_free" },
	{ 0x24f39c39, "reset_control_reset" },
	{ 0xc0a8f4be, "phylink_resume" },
	{ 0x4ad626e8, "phylink_generic_validate" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x4159ae8d, "ethtool_op_get_link" },
	{ 0x15c4e3e2, "phylink_ethtool_set_pauseparam" },
	{ 0xb6bcee9d, "phylink_ethtool_set_eee" },
	{ 0x8213956, "phylink_ethtool_get_wol" },
	{ 0xc465a101, "netif_tx_wake_queue" },
	{ 0x58a9893e, "fwnode_get_phy_node" },
	{ 0x1e1e140e, "ns_to_timespec64" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0xf1717a90, "page_pool_create" },
	{ 0xdcb764ad, "memset" },
	{ 0x73837312, "_dev_warn" },
	{ 0xea51f94e, "flow_rule_match_ports" },
	{ 0x6da64bd8, "phylink_fwnode_phy_connect" },
	{ 0xf1bb8389, "hrtimer_start_range_ns" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xaec50d39, "ptp_clock_event" },
	{ 0xdcb0a2c0, "phylink_stop" },
	{ 0x315aa85d, "netif_schedule_queue" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xa01b19b1, "fwnode_get_named_child_node" },
	{ 0x4335ef68, "__init_waitqueue_head" },
	{ 0xfd019a50, "ptp_clock_unregister" },
	{ 0x2c9805dd, "xp_dma_unmap" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x67c46b9f, "rt_spin_unlock" },
	{ 0x651b28ce, "xpcs_get_an_mode" },
	{ 0x56a56e06, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x4fc20ee0, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x77d10633, "xdp_return_frame_rx_napi" },
	{ 0xcae8f8c3, "netdev_alert" },
	{ 0x511f55ac, "dma_set_coherent_mask" },
	{ 0x75f4bd30, "seq_read" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x9084ff88, "mdiobus_unregister" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0xd170e4d2, "phylink_ethtool_ksettings_set" },
	{ 0x64834a31, "rt_read_lock" },
	{ 0xf502b318, "debugfs_rename" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xdef78c37, "debugfs_create_file" },
	{ 0xe256d0d6, "xsk_set_tx_need_wakeup" },
	{ 0x50344d2e, "dma_free_attrs" },
	{ 0x7fc8f480, "__pm_runtime_resume" },
	{ 0x825c7340, "phylink_get_eee_err" },
	{ 0x64895b51, "mutex_unlock" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x6105320c, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x6dc3a1d7, "xp_set_rxq_info" },
	{ 0xd2db350, "flow_rule_match_vlan" },
	{ 0x5449cc10, "xdp_rxq_info_unreg" },
	{ 0x3c081676, "page_pool_alloc_pages" },
	{ 0xda223122, "__xdp_rxq_info_reg" },
	{ 0x1e899cfd, "rt_read_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xad236cd2, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x930eb4b8, "seq_printf" },
	{ 0x59e0695d, "phylink_speed_down" },
	{ 0x102a8a78, "mdiobus_get_phy" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x3b6437eb, "netif_carrier_on" },
	{ 0x6a693dc2, "rt_write_lock" },
	{ 0x4ea25709, "dql_reset" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xf3083a1d, "phylink_destroy" },
	{ 0xe6020f33, "phylink_ethtool_ksettings_get" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x4370bcf7, "hrtimer_cancel" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0x2bd67383, "xp_free" },
	{ 0x643ab280, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x2db926e9, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x62104126, "phylink_ethtool_set_wol" },
	{ 0x8ab2fb7b, "dev_err_probe" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0x7bac27f7, "kmalloc_trace" },
	{ 0x84a868c4, "xdp_master_redirect" },
	{ 0xcbeeaa72, "xp_raw_get_data" },
	{ 0xde66f4a7, "phylink_mii_ioctl" },
	{ 0x60a56b50, "napi_schedule_prep" },
	{ 0xff70222, "napi_disable" },
	{ 0xaedbbd5, "dev_kfree_skb_any_reason" },
	{ 0x37cf5045, "eth_header_parse_protocol" },
	{ 0x272a09a, "param_ops_int" },
	{ 0xedb07fe1, "single_open" },
	{ 0x469cbb, "__pm_runtime_disable" },
	{ 0xd337c63e, "debugfs_create_dir" },
	{ 0x815588a6, "clk_enable" },
	{ 0xcc418b48, "skb_clone_tx_timestamp" },
	{ 0x2bfbfebf, "__mutex_rt_init" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0xad97b897, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0x530f269, "ethtool_op_get_ts_info" },
	{ 0x59afe6d7, "xsk_tx_release" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xbd8c4638, "__dev_fwnode" },
	{ 0xef19ee8f, "kmalloc_caches" },
	{ 0x6c84e7a3, "netdev_info" },
	{ 0x7ca75ded, "page_pool_put_unrefed_page" },
	{ 0x292285d, "phylink_connect_phy" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x3eee7372, "module_layout" },
};

MODULE_INFO(depends, "ptp,phylink,pcs_xpcs");


MODULE_INFO(srcversion, "7182F11C86F90D684550414");
MODULE_INFO(rhelversion, "9.6");
