#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ipvlan_count_rx, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_new, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_delete, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_setup, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_register, "_gpl", "");

SYMBOL_CRC(ipvlan_count_rx, 0x61d1a166, "_gpl");
SYMBOL_CRC(ipvlan_link_new, 0x0c3024f2, "_gpl");
SYMBOL_CRC(ipvlan_link_delete, 0x6d00a068, "_gpl");
SYMBOL_CRC(ipvlan_link_setup, 0x3d7f4cd3, "_gpl");
SYMBOL_CRC(ipvlan_link_register, 0xe1a0a6ff, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc5fd6428, "__do_once_done" },
	{ 0x5e9db44d, "ip6_route_input_lookup" },
	{ 0x6613b007, "ida_alloc_range" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0xfc384890, "dev_pre_changeaddr_notify" },
	{ 0xc70d22bd, "dev_mc_sync" },
	{ 0xa8192f29, "ida_destroy" },
	{ 0x6be6d4f1, "netdev_is_rx_handler_busy" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xbab6b6d4, "netdev_update_features" },
	{ 0xe46544a9, "consume_skb" },
	{ 0xf81ffe1d, "ip6_local_out" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x24819e5a, "rt_mutex_base_init" },
	{ 0x68558432, "dev_uc_sync" },
	{ 0xc6db19a8, "rtnl_link_register" },
	{ 0x7cfa77c6, "netif_inherit_tso_max" },
	{ 0x8f65c6c1, "eth_header_cache" },
	{ 0x37a0cba, "kfree" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xd73a6d66, "ip_route_output_flow" },
	{ 0xc09a1d11, "unregister_netdevice_queue" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xd5fb3d59, "dev_uc_unsync" },
	{ 0x57c6d7e9, "ether_setup" },
	{ 0x851f57ba, "netdev_err" },
	{ 0xe97fcd0e, "netdev_upper_dev_link" },
	{ 0x6801fb61, "register_pernet_subsys" },
	{ 0xc0b550e1, "netdev_core_stats_alloc" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xb45a0a2b, "eth_header_parse" },
	{ 0x9e09a78d, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xed5dd340, "eth_header_cache_update" },
	{ 0x92ed267b, "nf_register_net_hooks" },
	{ 0x965c9f8d, "ip6_route_output_flags" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xcdcffc59, "ip_route_input_noref" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xb09691fd, "__dev_get_by_index" },
	{ 0x6b7ba93c, "rtnl_link_unregister" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x40891f87, "skb_pull" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf8629924, "sk_skb_reason_drop" },
	{ 0x8ac3aba3, "netif_stacked_transfer_operstate" },
	{ 0xc3d27584, "netdev_upper_dev_unlink" },
	{ 0xf00a075f, "nla_put" },
	{ 0xcb149792, "ida_free" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x746753f2, "ns_capable" },
	{ 0x6491b444, "nf_unregister_net_hooks" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x4159ae8d, "ethtool_op_get_link" },
	{ 0x9d72981, "__ethtool_get_link_ksettings" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x54ab8510, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0xdcb764ad, "memset" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6ae210ec, "__pskb_pull_tail" },
	{ 0x8ac6e3ec, "netif_rx" },
	{ 0x67c46b9f, "rt_spin_unlock" },
	{ 0x56a56e06, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x7e9207d9, "skb_scrub_packet" },
	{ 0x47c65bfc, "unregister_inet6addr_validator_notifier" },
	{ 0xb06aad9d, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xb7377913, "vlan_vid_add" },
	{ 0xb283115f, "call_netdevice_notifiers" },
	{ 0xfa909027, "vlan_vid_del" },
	{ 0xd11c1049, "dev_set_allmulti" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x1c373b63, "skb_clone" },
	{ 0x991d4121, "dst_release" },
	{ 0xcfe78c0d, "netdev_rx_handler_register" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xab63baa5, "unregister_inetaddr_validator_notifier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x10b49582, "ip_local_out" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x7bac27f7, "kmalloc_trace" },
	{ 0xc32c71af, "register_inetaddr_validator_notifier" },
	{ 0x56551058, "dev_mc_unsync" },
	{ 0x8de610c, "dev_change_flags" },
	{ 0x783b6a25, "dev_forward_skb" },
	{ 0xef19ee8f, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0xa77bfd29, "register_inet6addr_validator_notifier" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x5ea315d9, "register_netdevice" },
	{ 0x3eee7372, "module_layout" },
};

MODULE_INFO(depends, "ipv6");


MODULE_INFO(srcversion, "DC426A50787DA41CE361D7B");
MODULE_INFO(rhelversion, "9.6");
