#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(macvlan_common_setup, "_gpl", "");
KSYMTAB_FUNC(macvlan_common_newlink, "_gpl", "");
KSYMTAB_FUNC(macvlan_dellink, "_gpl", "");
KSYMTAB_FUNC(macvlan_link_register, "_gpl", "");

SYMBOL_CRC(macvlan_common_setup, 0xde34241e, "_gpl");
SYMBOL_CRC(macvlan_common_newlink, 0xbdc42055, "_gpl");
SYMBOL_CRC(macvlan_dellink, 0x7eb174fc, "_gpl");
SYMBOL_CRC(macvlan_link_register, 0xf901a615, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x57c6d7e9, "ether_setup" },
	{ 0x9d72981, "__ethtool_get_link_ksettings" },
	{ 0x23b34903, "ethtool_get_ts_info_by_layer" },
	{ 0x21bc69b5, "init_net" },
	{ 0xb1853e9b, "generic_hwtstamp_set_lower" },
	{ 0xf99c260, "generic_hwtstamp_get_lower" },
	{ 0x2010c01c, "dev_mc_del" },
	{ 0x5db8060b, "dev_uc_del" },
	{ 0x4d0f12b8, "dev_mc_add_excl" },
	{ 0x8113e393, "dev_uc_add_excl" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0xfa909027, "vlan_vid_del" },
	{ 0xb7377913, "vlan_vid_add" },
	{ 0xd11c1049, "dev_set_allmulti" },
	{ 0xf4cdcb5c, "dev_set_promiscuity" },
	{ 0xd5fb3d59, "dev_uc_unsync" },
	{ 0x56551058, "dev_mc_unsync" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xef19ee8f, "kmalloc_caches" },
	{ 0x7bac27f7, "kmalloc_trace" },
	{ 0xc6db19a8, "rtnl_link_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x6b7ba93c, "rtnl_link_unregister" },
	{ 0xf00a075f, "nla_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6be6d4f1, "netdev_is_rx_handler_busy" },
	{ 0xdcb764ad, "memset" },
	{ 0x24819e5a, "rt_mutex_base_init" },
	{ 0xcfe78c0d, "netdev_rx_handler_register" },
	{ 0x37a0cba, "kfree" },
	{ 0xc73b494c, "dev_uc_add" },
	{ 0x85e2918e, "dev_set_mac_address" },
	{ 0xb283115f, "call_netdevice_notifiers" },
	{ 0x7cfa77c6, "netif_inherit_tso_max" },
	{ 0xbab6b6d4, "netdev_update_features" },
	{ 0x8ac3aba3, "netif_stacked_transfer_operstate" },
	{ 0x66471a36, "dev_set_mtu" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xc09a1d11, "unregister_netdevice_queue" },
	{ 0xc3d27584, "netdev_upper_dev_unlink" },
	{ 0x68558432, "dev_uc_sync" },
	{ 0xc70d22bd, "dev_mc_sync" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x1c373b63, "skb_clone" },
	{ 0x8ac6e3ec, "netif_rx" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0xa1162441, "__dev_forward_skb" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x56a56e06, "rt_spin_lock" },
	{ 0x67c46b9f, "rt_spin_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe46544a9, "consume_skb" },
	{ 0x9e09a78d, "netdev_rx_handler_unregister" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xf8629924, "sk_skb_reason_drop" },
	{ 0x4829a47e, "memcpy" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xb09691fd, "__dev_get_by_index" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5ea315d9, "register_netdevice" },
	{ 0xe97fcd0e, "netdev_upper_dev_link" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xac370028, "linkwatch_fire_event" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc0b550e1, "netdev_core_stats_alloc" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0xe91b777d, "__netif_rx" },
	{ 0xb06aad9d, "__dev_queue_xmit" },
	{ 0x783b6a25, "dev_forward_skb" },
	{ 0x9487c762, "ip_check_defrag" },
	{ 0x711e0b49, "passthru_features_check" },
	{ 0x39a5f949, "eth_validate_addr" },
	{ 0xf05ed8b7, "ndo_dflt_fdb_dump" },
	{ 0xb45a0a2b, "eth_header_parse" },
	{ 0x8f65c6c1, "eth_header_cache" },
	{ 0xed5dd340, "eth_header_cache_update" },
	{ 0x4159ae8d, "ethtool_op_get_link" },
	{ 0x3eee7372, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "4A709F56BF6115152F7F51F");
MODULE_INFO(rhelversion, "9.6");
