#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tun_ptr_free, "_gpl", "");
KSYMTAB_FUNC(tun_get_socket, "_gpl", "");
KSYMTAB_FUNC(tun_get_tx_ring, "_gpl", "");

SYMBOL_CRC(tun_ptr_free, 0x4099f919, "_gpl");
SYMBOL_CRC(tun_get_socket, 0x4466f568, "_gpl");
SYMBOL_CRC(tun_get_tx_ring, 0x58b7c3c2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xa916b694, "strnlen" },
	{ 0x4829a47e, "memcpy" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3ac792f7, "fasync_helper" },
	{ 0x648b3d3c, "__f_setown" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x6c84e7a3, "netdev_info" },
	{ 0x56a56e06, "rt_spin_lock" },
	{ 0x67c46b9f, "rt_spin_unlock" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x7d09c704, "netif_receive_skb" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xf00a075f, "nla_put" },
	{ 0xecf4dd9e, "from_kgid_munged" },
	{ 0xfd863517, "from_kuid_munged" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xef19ee8f, "kmalloc_caches" },
	{ 0x7bac27f7, "kmalloc_trace" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x7d601f90, "bpf_prog_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x695ef669, "dev_get_tstats64" },
	{ 0x3c3c50f9, "netif_tx_stop_all_queues" },
	{ 0x92997ed8, "_printk" },
	{ 0xc6db19a8, "rtnl_link_register" },
	{ 0xc83b49d3, "misc_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x51725846, "misc_deregister" },
	{ 0x6b7ba93c, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xf8629924, "sk_skb_reason_drop" },
	{ 0xfcfd50f1, "xdp_return_frame" },
	{ 0x2e3a8bc4, "__wake_up_sync_key" },
	{ 0x4c90a0de, "kill_fasync" },
	{ 0x3b6437eb, "netif_carrier_on" },
	{ 0xad236cd2, "netif_carrier_off" },
	{ 0xb5ca91e9, "bpf_prog_put" },
	{ 0x9283912e, "build_skb" },
	{ 0x718632b8, "skb_put" },
	{ 0x7bbfe923, "skb_set_owner_w" },
	{ 0x6464f94d, "sk_alloc" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x24819e5a, "rt_mutex_base_init" },
	{ 0x2bfbfebf, "__mutex_rt_init" },
	{ 0x4335ef68, "__init_waitqueue_head" },
	{ 0x7f415da8, "sock_init_data_uid" },
	{ 0x41960511, "sk_free" },
	{ 0x1cfbad60, "napi_gro_receive" },
	{ 0xb26d4e7e, "napi_complete_done" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x887eea87, "add_wait_queue" },
	{ 0x8f7c80e9, "remove_wait_queue" },
	{ 0x1000e51, "schedule" },
	{ 0xdf4b6954, "skb_queue_purge_reason" },
	{ 0xff70222, "napi_disable" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x5449cc10, "xdp_rxq_info_unreg" },
	{ 0xf1809c90, "__netif_napi_del" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x5da4de2, "module_put" },
	{ 0xfccb0ac2, "napi_get_frags" },
	{ 0xbaca5ebc, "iov_iter_single_seg_count" },
	{ 0x16cd338e, "pskb_expand_head" },
	{ 0x91a488ac, "__netdev_alloc_frag_align" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0x50097088, "security_tun_dev_free_security" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x8a9b78c3, "sk_filter_trim_cap" },
	{ 0x49608959, "migrate_disable" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xcc418b48, "skb_clone_tx_timestamp" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xdaa4ebce, "skb_copy_ubufs" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xc0b550e1, "netdev_core_stats_alloc" },
	{ 0x6d2ab6a8, "skb_tx_error" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x8761c87b, "rps_needed" },
	{ 0xe2c37e2e, "skb_tstamp_tx" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x5f350d05, "___pskb_trim" },
	{ 0x92971090, "__skb_get_hash_symmetric_net" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x5302d36c, "netif_set_real_num_tx_queues" },
	{ 0x572cb7bb, "netif_set_real_num_rx_queues" },
	{ 0xc09a1d11, "unregister_netdevice_queue" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x4597f478, "netdev_state_change" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0x58eaf6a9, "__skb_flow_dissect" },
	{ 0xde050fd4, "skb_partial_csum_set" },
	{ 0x6ae210ec, "__pskb_pull_tail" },
	{ 0x930eb4b8, "seq_printf" },
	{ 0x9be7bde4, "security_tun_dev_attach" },
	{ 0xdd2bb958, "xdp_rxq_info_is_reg" },
	{ 0xda223122, "__xdp_rxq_info_reg" },
	{ 0x3e12510c, "xdp_rxq_info_reg_mem_model" },
	{ 0x9fcb4eeb, "netif_napi_add_weight" },
	{ 0x6d19dbb7, "napi_enable" },
	{ 0xebaea4f8, "lock_sock_nested" },
	{ 0xbe7516af, "sk_attach_filter" },
	{ 0xd8a364c3, "release_sock" },
	{ 0x9bba7eab, "__dev_get_by_name" },
	{ 0x746753f2, "ns_capable" },
	{ 0xda3d10a8, "security_tun_dev_open" },
	{ 0xc6cbbc89, "capable" },
	{ 0x39461d6a, "in_egroup_p" },
	{ 0x4f1cd128, "security_tun_dev_create" },
	{ 0x2fe53ab5, "alloc_netdev_mqs" },
	{ 0x8834ef97, "ip_tunnel_header_ops" },
	{ 0x5ea315d9, "register_netdevice" },
	{ 0xc465a101, "netif_tx_wake_queue" },
	{ 0x57c6d7e9, "ether_setup" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x17d4e2d4, "free_netdev" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x438610bd, "security_tun_dev_alloc_security" },
	{ 0xdcb764ad, "memset" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xd62ecd49, "rps_sock_flow_table" },
	{ 0x56802ae8, "rps_cpu_mask" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xdf89d9df, "_copy_to_iter" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x40c6eb70, "skb_copy_datagram_iter" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0xccb3524a, "iov_iter_advance" },
	{ 0x851f57ba, "netdev_err" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xe46544a9, "consume_skb" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x2f5605ca, "sock_recv_errqueue" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xedca88d9, "bpf_prog_get_type_dev" },
	{ 0x1b9f88c5, "xdp_do_redirect" },
	{ 0xd016bc06, "bpf_warn_invalid_xdp_action" },
	{ 0x8b7a698b, "__tracepoint_xdp_exception" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0xf132c528, "__traceiter_xdp_exception" },
	{ 0x77d10633, "xdp_return_frame_rx_napi" },
	{ 0x9a5a1ba, "xdp_convert_zc_to_xdp_frame" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x14d23873, "__page_frag_cache_drain" },
	{ 0xd1b438af, "eth_type_trans" },
	{ 0x84a868c4, "xdp_master_redirect" },
	{ 0x208d2c73, "do_xdp_generic" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x5cf5bd89, "__folio_put" },
	{ 0x27fb84a5, "__put_devmap_managed_page_refs" },
	{ 0x7ac51f91, "skb_page_frag_refill" },
	{ 0x472efc5d, "copy_page_from_iter" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xe804d74e, "_copy_from_iter" },
	{ 0xbbcec555, "iov_iter_npages" },
	{ 0x60d633ea, "mutex_lock" },
	{ 0xe4e14a73, "skb_copy_datagram_from_iter" },
	{ 0xf3d9b6f9, "sock_alloc_send_pskb" },
	{ 0xd89c4328, "zerocopy_sg_from_iter" },
	{ 0x64895b51, "mutex_unlock" },
	{ 0xd25b70fa, "skb_push" },
	{ 0xd77d416f, "eth_get_headlen" },
	{ 0x4c95a49, "napi_gro_frags" },
	{ 0xd06b07d7, "iov_iter_revert" },
	{ 0x60a56b50, "napi_schedule_prep" },
	{ 0xed452737, "__napi_schedule" },
	{ 0xe969aed9, "get_net_ns" },
	{ 0x97378d9a, "open_related_ns" },
	{ 0x75d26bda, "dev_get_mac_address" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x64acb8d2, "make_kgid" },
	{ 0x34f3484e, "security_tun_dev_attach_queue" },
	{ 0xbab6b6d4, "netdev_update_features" },
	{ 0x2a9b4b68, "dev_set_mac_address_user" },
	{ 0x53c168c6, "make_kuid" },
	{ 0xb6c5292f, "init_user_ns" },
	{ 0xe33b7bc9, "from_kuid" },
	{ 0xf363be81, "sk_detach_filter" },
	{ 0xb283115f, "call_netdevice_notifiers" },
	{ 0x44532adf, "__module_get" },
	{ 0x2fdba7d, "from_kgid" },
	{ 0x4159ae8d, "ethtool_op_get_link" },
	{ 0x530f269, "ethtool_op_get_ts_info" },
	{ 0x711e0b49, "passthru_features_check" },
	{ 0xc6d3a1cc, "eth_mac_addr" },
	{ 0x39a5f949, "eth_validate_addr" },
	{ 0x3eee7372, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "B4264757A94033474468135");
MODULE_INFO(rhelversion, "9.6");
