#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vxlan_fdb_find_uc, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_replay, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(vxlan_dev_create, "_gpl", "");

SYMBOL_CRC(vxlan_fdb_find_uc, 0xc178d22c, "_gpl");
SYMBOL_CRC(vxlan_fdb_replay, 0x4fca45dc, "_gpl");
SYMBOL_CRC(vxlan_fdb_clear_offload, 0x3e719bfc, "_gpl");
SYMBOL_CRC(vxlan_dev_create, 0xed0ee697, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x200b2041, "in6addr_any" },
	{ 0x53fb6db, "__skb_checksum_complete" },
	{ 0x5f0cf820, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x64836f15, "skb_copy_bits" },
	{ 0x7a7911ec, "__nlmsg_put" },
	{ 0x25319e4c, "netdev_adjacent_change_commit" },
	{ 0xc6d3a1cc, "eth_mac_addr" },
	{ 0x718632b8, "skb_put" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4855897a, "call_switchdev_notifiers" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xf2ad8f25, "ip6_dst_hoplimit" },
	{ 0x41d0bddc, "param_ops_ushort" },
	{ 0xe46544a9, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0x1262cb8d, "udp_sock_create4" },
	{ 0x24819e5a, "rt_mutex_base_init" },
	{ 0x4b2c4750, "udp_tunnel6_xmit_skb" },
	{ 0xc6db19a8, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x1b2cdfd2, "__unregister_nexthop_notifier" },
	{ 0x7cfa77c6, "netif_inherit_tso_max" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x39a5f949, "eth_validate_addr" },
	{ 0x5c43f025, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xd9b1a06e, "gro_cells_init" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x8b9b5ad9, "rtnl_create_link" },
	{ 0xc09a1d11, "unregister_netdevice_queue" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x186dedf0, "iptunnel_handle_offloads" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x57c6d7e9, "ether_setup" },
	{ 0x9d8b99c0, "udp_tunnel_drop_rx_port" },
	{ 0xe97fcd0e, "netdev_upper_dev_link" },
	{ 0x16cd338e, "pskb_expand_head" },
	{ 0x6801fb61, "register_pernet_subsys" },
	{ 0xc0b550e1, "netdev_core_stats_alloc" },
	{ 0xd1b438af, "eth_type_trans" },
	{ 0x536897d0, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe05e2f85, "nexthop_free_rcu" },
	{ 0xa166d097, "__alloc_skb" },
	{ 0x5436aec9, "udp_tunnel_notify_add_rx_port" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x5e3ddddf, "eth_gro_complete" },
	{ 0xc01528a8, "rtnl_set_sk_err" },
	{ 0x15eaa16, "eth_gro_receive" },
	{ 0xf9475486, "rtnl_configure_link" },
	{ 0x72b7f816, "skb_tunnel_check_pmtu" },
	{ 0xa8a7b593, "udp_tunnel_dst_lookup" },
	{ 0x842a2de, "rtnl_unicast" },
	{ 0xb0cde2a6, "peernet2id" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x894fe65e, "__skb_get_hash_net" },
	{ 0xaad2eb95, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xb09691fd, "__dev_get_by_index" },
	{ 0x6b7ba93c, "rtnl_link_unregister" },
	{ 0xc0d3ac8d, "ipv6_stub" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x40891f87, "skb_pull" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x3c192676, "gro_find_complete_by_type" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf8629924, "sk_skb_reason_drop" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x20ee4a1e, "dev_get_by_index_rcu" },
	{ 0x5129baa9, "gro_cells_receive" },
	{ 0xd25b70fa, "skb_push" },
	{ 0x38a9f7c5, "in6addr_loopback" },
	{ 0xc3d27584, "netdev_upper_dev_unlink" },
	{ 0xf00a075f, "nla_put" },
	{ 0x17d4e2d4, "free_netdev" },
	{ 0xfa81184f, "ip_mc_join_group" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5de5800, "udp_tunnel_push_rx_port" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xebaea4f8, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x4159ae8d, "ethtool_op_get_link" },
	{ 0x5ba3c79f, "nexthop_find_by_id" },
	{ 0x63bbfcd7, "arp_create" },
	{ 0x9d72981, "__ethtool_get_link_ksettings" },
	{ 0xb0674df2, "netdev_adjacent_change_prepare" },
	{ 0x57e405bd, "rtnl_register_module" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x54ab8510, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x3397a055, "rhashtable_free_and_destroy" },
	{ 0xdcb764ad, "memset" },
	{ 0xa7dfdc28, "rht_bucket_nested_insert" },
	{ 0x39e7f59e, "netdev_adjacent_change_abort" },
	{ 0x153c7d83, "udp_tunnel_sock_release" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xc0236cd7, "udp_tunnel6_dst_lookup" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x3bfbcdd5, "__iptunnel_pull_header" },
	{ 0x6ae210ec, "__pskb_pull_tail" },
	{ 0x695ef669, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x8ac6e3ec, "netif_rx" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0xb3ca9a37, "rhashtable_destroy" },
	{ 0x67c46b9f, "rt_spin_unlock" },
	{ 0x2bfdf647, "setup_udp_tunnel_sock" },
	{ 0x98c04247, "udp_sock_create6" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x5a7b87bc, "skb_trim" },
	{ 0x56a56e06, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x4fc20ee0, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7e9207d9, "skb_scrub_packet" },
	{ 0xeb0d672d, "nexthop_select_path" },
	{ 0xdc27ab9a, "rhashtable_insert_slow" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x91b3f7b4, "metadata_dst_free" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x808945ec, "neigh_destroy" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x7a67dd53, "param_ops_bool" },
	{ 0x9069b1da, "udp_tun_rx_dst" },
	{ 0x16897f05, "rtnl_notify" },
	{ 0xef980096, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe91b777d, "__netif_rx" },
	{ 0x1c373b63, "skb_clone" },
	{ 0xe769e037, "metadata_dst_alloc" },
	{ 0x991d4121, "dst_release" },
	{ 0xee7bc85e, "arp_tbl" },
	{ 0x66628bf3, "ip_tunnel_metadata_cnt" },
	{ 0xa1e3a8ce, "udp_tunnel_notify_del_rx_port" },
	{ 0xfd0929d, "register_nexthop_notifier" },
	{ 0xd902c6fc, "ip_mc_leave_group" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x7bac27f7, "kmalloc_trace" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x330eb797, "gro_find_receive_by_type" },
	{ 0xef19ee8f, "kmalloc_caches" },
	{ 0x6c84e7a3, "netdev_info" },
	{ 0xd20f75e1, "neigh_lookup" },
	{ 0xd8a364c3, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x5ea315d9, "register_netdevice" },
	{ 0x3eee7372, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "BB37D63BC97FB7A0303C0CC");
MODULE_INFO(rhelversion, "9.6");
