#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sas_alloc_task, "_gpl", "");
KSYMTAB_FUNC(sas_alloc_slow_task, "_gpl", "");
KSYMTAB_FUNC(sas_free_task, "_gpl", "");
KSYMTAB_FUNC(sas_prep_resume_ha, "", "");
KSYMTAB_FUNC(sas_resume_ha, "", "");
KSYMTAB_FUNC(sas_suspend_ha, "", "");
KSYMTAB_DATA(dev_attr_phy_event_threshold, "_gpl", "");
KSYMTAB_FUNC(sas_domain_attach_transport, "_gpl", "");
KSYMTAB_FUNC(sas_register_ha, "_gpl", "");
KSYMTAB_FUNC(sas_unregister_ha, "_gpl", "");
KSYMTAB_FUNC(sas_drain_work, "_gpl", "");
KSYMTAB_FUNC(sas_notify_port_event, "_gpl", "");
KSYMTAB_FUNC(sas_notify_phy_event, "_gpl", "");
KSYMTAB_FUNC(sas_get_local_phy, "_gpl", "");
KSYMTAB_FUNC(sas_eh_abort_handler, "_gpl", "");
KSYMTAB_FUNC(sas_request_addr, "_gpl", "");
KSYMTAB_FUNC(sas_queuecommand, "_gpl", "");
KSYMTAB_FUNC(sas_target_alloc, "_gpl", "");
KSYMTAB_FUNC(sas_device_configure, "_gpl", "");
KSYMTAB_FUNC(sas_change_queue_depth, "_gpl", "");
KSYMTAB_FUNC(sas_bios_param, "_gpl", "");
KSYMTAB_FUNC(sas_task_abort, "_gpl", "");
KSYMTAB_FUNC(sas_phy_reset, "_gpl", "");
KSYMTAB_FUNC(sas_eh_device_reset_handler, "_gpl", "");
KSYMTAB_FUNC(sas_eh_target_reset_handler, "_gpl", "");
KSYMTAB_FUNC(sas_slave_alloc, "_gpl", "");
KSYMTAB_FUNC(sas_target_destroy, "_gpl", "");
KSYMTAB_FUNC(sas_ioctl, "_gpl", "");
KSYMTAB_FUNC(sas_ssp_task_response, "_gpl", "");
KSYMTAB_FUNC(sas_ata_schedule_reset, "_gpl", "");
KSYMTAB_FUNC(try_test_sas_gpio_gp_bit, "", "");

SYMBOL_CRC(sas_alloc_task, 0xdbaca5ba, "_gpl");
SYMBOL_CRC(sas_alloc_slow_task, 0x590e1533, "_gpl");
SYMBOL_CRC(sas_free_task, 0x5d1138d7, "_gpl");
SYMBOL_CRC(sas_prep_resume_ha, 0xb2b3c2db, "");
SYMBOL_CRC(sas_resume_ha, 0xbbe8c14b, "");
SYMBOL_CRC(sas_suspend_ha, 0xa19393c0, "");
SYMBOL_CRC(dev_attr_phy_event_threshold, 0xd34e4342, "_gpl");
SYMBOL_CRC(sas_domain_attach_transport, 0xb71fa1a6, "_gpl");
SYMBOL_CRC(sas_register_ha, 0x5e82df80, "_gpl");
SYMBOL_CRC(sas_unregister_ha, 0x332532cb, "_gpl");
SYMBOL_CRC(sas_drain_work, 0x4ff22bf5, "_gpl");
SYMBOL_CRC(sas_notify_port_event, 0x3e671a6b, "_gpl");
SYMBOL_CRC(sas_notify_phy_event, 0xb12f893b, "_gpl");
SYMBOL_CRC(sas_get_local_phy, 0x52f88325, "_gpl");
SYMBOL_CRC(sas_eh_abort_handler, 0x3748c9d4, "_gpl");
SYMBOL_CRC(sas_request_addr, 0xaf3b9615, "_gpl");
SYMBOL_CRC(sas_queuecommand, 0x6f85d27b, "_gpl");
SYMBOL_CRC(sas_target_alloc, 0xc32534c8, "_gpl");
SYMBOL_CRC(sas_device_configure, 0xf9c61a2e, "_gpl");
SYMBOL_CRC(sas_change_queue_depth, 0x13fbbc26, "_gpl");
SYMBOL_CRC(sas_bios_param, 0xd0ccd620, "_gpl");
SYMBOL_CRC(sas_task_abort, 0x3a9e49cc, "_gpl");
SYMBOL_CRC(sas_phy_reset, 0x19446097, "_gpl");
SYMBOL_CRC(sas_eh_device_reset_handler, 0x1cce14b7, "_gpl");
SYMBOL_CRC(sas_eh_target_reset_handler, 0x7b7b8e86, "_gpl");
SYMBOL_CRC(sas_slave_alloc, 0xfdd234f3, "_gpl");
SYMBOL_CRC(sas_target_destroy, 0x0ebd1786, "_gpl");
SYMBOL_CRC(sas_ioctl, 0x5774534c, "_gpl");
SYMBOL_CRC(sas_ssp_task_response, 0x4fffef3e, "_gpl");
SYMBOL_CRC(sas_ata_schedule_reset, 0xf8c895c6, "_gpl");
SYMBOL_CRC(try_test_sas_gpio_gp_bit, 0x4a8e3d34, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdb29152f, "ata_qc_complete" },
	{ 0x356b6ffd, "ata_sas_scsi_ioctl" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x3179842a, "sas_rphy_remove" },
	{ 0xeea7a6d5, "ata_sas_device_configure" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0xa2c7fc72, "ata_sas_port_destroy" },
	{ 0xb90bb376, "bsg_job_done" },
	{ 0xd9c37beb, "ata_sas_queuecmd" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x68fccbb6, "sas_rphy_unlink" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0xba4b16c8, "ata_sas_tport_add" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x24819e5a, "rt_mutex_base_init" },
	{ 0x5616a11c, "finish_wait" },
	{ 0x181f3773, "scsi_schedule_eh" },
	{ 0x7d4fdd2, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0x527b6456, "ata_host_init" },
	{ 0x954f6999, "sas_port_alloc" },
	{ 0xa4c085f8, "ata_tf_from_fis" },
	{ 0x4829a47e, "memcpy" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0xb737ab43, "scsi_eh_ready_devs" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x4952abaf, "sas_port_get_phy" },
	{ 0x886e4976, "ata_sas_port_resume" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0x9f15f501, "timer_delete" },
	{ 0x88edf0a1, "prepare_to_wait_event" },
	{ 0x1344e378, "__wake_up" },
	{ 0x26c90ea4, "scsi_eh_get_sense" },
	{ 0x66f7b349, "kmem_cache_create" },
	{ 0xa4a2bf89, "get_device" },
	{ 0x5bcd8ceb, "ata_wait_after_reset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x50cf7585, "hex2bin" },
	{ 0x6c790e4, "sas_phy_alloc" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xdf0c757f, "ata_tf_to_fis" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xfd5e5fd6, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xd0628dfb, "ata_sas_tport_delete" },
	{ 0x5bcc0df7, "ata_dev_classify" },
	{ 0xe64d3d42, "kmem_cache_alloc" },
	{ 0xb708a9e9, "_dev_info" },
	{ 0xcc42a07, "sas_phy_free" },
	{ 0x511d1619, "scsi_eh_finish_cmd" },
	{ 0xc6832a97, "ata_sas_port_alloc" },
	{ 0xe3f58c38, "ata_port_schedule_eh" },
	{ 0xf811e69d, "scsi_eh_flush_done_q" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xc2a113a, "add_timer" },
	{ 0xb677767e, "sas_port_add" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x60d633ea, "mutex_lock" },
	{ 0x5b35d43d, "sas_port_mark_backlink" },
	{ 0xccc7b44d, "kmem_cache_free" },
	{ 0xe947e46c, "ata_std_qc_defer" },
	{ 0xb11ae389, "ata_sas_port_start" },
	{ 0x3fe07d3f, "ata_scsi_port_error_handler" },
	{ 0x47b6c403, "ata_change_queue_depth" },
	{ 0x7f2aa902, "ata_std_error_handler" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xfaa226f2, "sas_end_device_alloc" },
	{ 0x3ee155b4, "mutex_lock_interruptible" },
	{ 0xa36100f1, "sas_read_port_mode_page" },
	{ 0xf7316e45, "sas_expander_alloc" },
	{ 0x6c791c4d, "ata_sas_port_stop" },
	{ 0xdcb764ad, "memset" },
	{ 0x73837312, "_dev_warn" },
	{ 0x5f817755, "sas_rphy_delete" },
	{ 0x485bb0ac, "scsi_is_host_device" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x8932c37b, "sas_attach_transport" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x4335ef68, "__init_waitqueue_head" },
	{ 0x67c46b9f, "rt_spin_unlock" },
	{ 0x9314c429, "scsi_host_busy" },
	{ 0xeccdd4ed, "ata_sas_async_probe" },
	{ 0x56a56e06, "rt_spin_lock" },
	{ 0x868b3ca8, "sas_port_delete" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x25c4c8e8, "ata_sas_port_init" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7663dd0a, "ata_sas_port_suspend" },
	{ 0xf82180bd, "sas_rphy_add" },
	{ 0x6dd72d72, "sas_port_delete_phy" },
	{ 0x64895b51, "mutex_unlock" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xeb66748e, "sas_rphy_free" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x11557fea, "sas_port_add_phy" },
	{ 0x30538232, "ata_scsi_cmd_error_handler" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0x1eefacd7, "scsi_unblock_requests" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xa0e88eb9, "sas_phy_add" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0x4447bac7, "ata_host_put" },
	{ 0xae163176, "sas_port_free" },
	{ 0x7bac27f7, "kmalloc_trace" },
	{ 0xe9ce1cc5, "ata_std_sched_eh" },
	{ 0xdef11e8e, "scsi_block_requests" },
	{ 0x316441f6, "blk_abort_request" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0x2bfbfebf, "__mutex_rt_init" },
	{ 0x9405bb53, "sas_remove_children" },
	{ 0x3d6a842, "scsi_change_queue_depth" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x67836b27, "ata_port_wait_eh" },
	{ 0xef19ee8f, "kmalloc_caches" },
	{ 0x7f63a1d8, "kmem_cache_destroy" },
	{ 0x3eee7372, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_sas");


MODULE_INFO(srcversion, "933E62F885CA8097A566310");
MODULE_INFO(rhelversion, "9.6");
