#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(fscache_addremove_sem, "", "");
KSYMTAB_DATA(fscache_clearance_waiters, "", "");
KSYMTAB_FUNC(fscache_acquire_cache, "", "");
KSYMTAB_FUNC(fscache_relinquish_cache, "", "");
KSYMTAB_FUNC(fscache_add_cache, "", "");
KSYMTAB_FUNC(fscache_io_error, "", "");
KSYMTAB_FUNC(fscache_withdraw_cache, "", "");
KSYMTAB_FUNC(fscache_end_cookie_access, "", "");
KSYMTAB_FUNC(fscache_cookie_lookup_negative, "", "");
KSYMTAB_FUNC(fscache_resume_after_invalidation, "", "");
KSYMTAB_FUNC(fscache_caching_failed, "", "");
KSYMTAB_FUNC(__fscache_acquire_cookie, "", "");
KSYMTAB_FUNC(__fscache_use_cookie, "", "");
KSYMTAB_FUNC(__fscache_unuse_cookie, "", "");
KSYMTAB_FUNC(fscache_withdraw_cookie, "", "");
KSYMTAB_FUNC(__fscache_relinquish_cookie, "", "");
KSYMTAB_FUNC(fscache_put_cookie, "", "");
KSYMTAB_FUNC(fscache_get_cookie, "", "");
KSYMTAB_FUNC(__fscache_invalidate, "", "");
KSYMTAB_FUNC(fscache_wait_for_operation, "", "");
KSYMTAB_FUNC(__fscache_begin_read_operation, "", "");
KSYMTAB_FUNC(__fscache_begin_write_operation, "", "");
KSYMTAB_FUNC(fscache_dirty_folio, "", "");
KSYMTAB_FUNC(__fscache_clear_page_bits, "", "");
KSYMTAB_FUNC(__fscache_write_to_cache, "", "");
KSYMTAB_FUNC(__fscache_resize_cookie, "", "");
KSYMTAB_DATA(__tracepoint_fscache_access_cache, "", "");
KSYMTAB_FUNC(__traceiter_fscache_access_cache, "", "");
KSYMTAB_DATA(__SCK__tp_func_fscache_access_cache, "", "");
KSYMTAB_DATA(__tracepoint_fscache_access_volume, "", "");
KSYMTAB_FUNC(__traceiter_fscache_access_volume, "", "");
KSYMTAB_DATA(__SCK__tp_func_fscache_access_volume, "", "");
KSYMTAB_DATA(__tracepoint_fscache_access, "", "");
KSYMTAB_FUNC(__traceiter_fscache_access, "", "");
KSYMTAB_DATA(__SCK__tp_func_fscache_access, "", "");
KSYMTAB_DATA(fscache_wq, "", "");
KSYMTAB_FUNC(fscache_try_get_volume, "", "");
KSYMTAB_FUNC(fscache_end_volume_access, "", "");
KSYMTAB_FUNC(__fscache_acquire_volume, "", "");
KSYMTAB_FUNC(fscache_put_volume, "", "");
KSYMTAB_FUNC(__fscache_relinquish_volume, "", "");
KSYMTAB_FUNC(fscache_withdraw_volume, "", "");
KSYMTAB_DATA(fscache_n_updates, "", "");
KSYMTAB_DATA(fscache_n_read, "", "");
KSYMTAB_DATA(fscache_n_write, "", "");
KSYMTAB_DATA(fscache_n_no_write_space, "", "");
KSYMTAB_DATA(fscache_n_no_create_space, "", "");
KSYMTAB_DATA(fscache_n_culled, "", "");

SYMBOL_CRC(fscache_addremove_sem, 0xccc23ef4, "");
SYMBOL_CRC(fscache_clearance_waiters, 0x304676ee, "");
SYMBOL_CRC(fscache_acquire_cache, 0x170d62b4, "");
SYMBOL_CRC(fscache_relinquish_cache, 0xe3e8b42f, "");
SYMBOL_CRC(fscache_add_cache, 0x292a4b5f, "");
SYMBOL_CRC(fscache_io_error, 0xfb8dc2d3, "");
SYMBOL_CRC(fscache_withdraw_cache, 0x6f273604, "");
SYMBOL_CRC(fscache_end_cookie_access, 0xba23ac19, "");
SYMBOL_CRC(fscache_cookie_lookup_negative, 0xc8c636c1, "");
SYMBOL_CRC(fscache_resume_after_invalidation, 0xb0102866, "");
SYMBOL_CRC(fscache_caching_failed, 0xcd232c8c, "");
SYMBOL_CRC(__fscache_acquire_cookie, 0xf3655f38, "");
SYMBOL_CRC(__fscache_use_cookie, 0x17260c5e, "");
SYMBOL_CRC(__fscache_unuse_cookie, 0x1b79353e, "");
SYMBOL_CRC(fscache_withdraw_cookie, 0x453945be, "");
SYMBOL_CRC(__fscache_relinquish_cookie, 0xda39f3b1, "");
SYMBOL_CRC(fscache_put_cookie, 0xb5f56bc5, "");
SYMBOL_CRC(fscache_get_cookie, 0x14699cc1, "");
SYMBOL_CRC(__fscache_invalidate, 0x6de6dbe5, "");
SYMBOL_CRC(fscache_wait_for_operation, 0xe4049fa8, "");
SYMBOL_CRC(__fscache_begin_read_operation, 0x747014ae, "");
SYMBOL_CRC(__fscache_begin_write_operation, 0x83772902, "");
SYMBOL_CRC(fscache_dirty_folio, 0x4b54de22, "");
SYMBOL_CRC(__fscache_clear_page_bits, 0xee47e611, "");
SYMBOL_CRC(__fscache_write_to_cache, 0xf4691d34, "");
SYMBOL_CRC(__fscache_resize_cookie, 0x91a160cb, "");
SYMBOL_CRC(__tracepoint_fscache_access_cache, 0x39674879, "");
SYMBOL_CRC(__traceiter_fscache_access_cache, 0xae6040a5, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access_cache, 0x4bd084ba, "");
SYMBOL_CRC(__tracepoint_fscache_access_volume, 0x6c5e41e7, "");
SYMBOL_CRC(__traceiter_fscache_access_volume, 0x234a140d, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access_volume, 0x6e416521, "");
SYMBOL_CRC(__tracepoint_fscache_access, 0x1a25cfa0, "");
SYMBOL_CRC(__traceiter_fscache_access, 0xdcb87498, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access, 0x306805d3, "");
SYMBOL_CRC(fscache_wq, 0xbca46908, "");
SYMBOL_CRC(fscache_try_get_volume, 0x30bdf4f3, "");
SYMBOL_CRC(fscache_end_volume_access, 0x981162af, "");
SYMBOL_CRC(__fscache_acquire_volume, 0x116509b8, "");
SYMBOL_CRC(fscache_put_volume, 0x55ee0960, "");
SYMBOL_CRC(__fscache_relinquish_volume, 0xc37eb4ed, "");
SYMBOL_CRC(fscache_withdraw_volume, 0x816dedb3, "");
SYMBOL_CRC(fscache_n_updates, 0x4996bd29, "");
SYMBOL_CRC(fscache_n_read, 0x9ffefcb2, "");
SYMBOL_CRC(fscache_n_write, 0x1a0d09e7, "");
SYMBOL_CRC(fscache_n_no_write_space, 0xcce11a60, "");
SYMBOL_CRC(fscache_n_no_create_space, 0x4404d2aa, "");
SYMBOL_CRC(fscache_n_culled, 0x90d447f3, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x2d07be80, "bpf_trace_run4" },
	{ 0xe153b73, "param_ops_uint" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd401f544, "trace_raw_output_prep" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0x24819e5a, "rt_mutex_base_init" },
	{ 0x5616a11c, "finish_wait" },
	{ 0x93ee8a9, "trace_event_printf" },
	{ 0xd1e449aa, "xas_find" },
	{ 0xb14b3421, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x740df37c, "netfs_stats_show" },
	{ 0x6e425e46, "bpf_trace_run2" },
	{ 0x88edf0a1, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0xc2ea3cb1, "remove_proc_subtree" },
	{ 0xbd13b179, "event_triggers_call" },
	{ 0x66f7b349, "kmem_cache_create" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x9d4a38cc, "trace_event_buffer_commit" },
	{ 0xbd4d2d32, "timer_reduce" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x72c99bb5, "trace_event_ignore_this_pid" },
	{ 0xef79c4f6, "rt_write_unlock" },
	{ 0xe64d3d42, "kmem_cache_alloc" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0x4b963425, "__var_waitqueue" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0xcca25e63, "perf_trace_run_bpf_submit" },
	{ 0x19a1152f, "down_write" },
	{ 0xaa785dec, "up_write" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x2fa9c0e1, "bpf_trace_run5" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xccc7b44d, "kmem_cache_free" },
	{ 0x5b30f878, "trace_event_reg" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0xa1b05acc, "bpf_trace_run1" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xd70f9b75, "proc_mkdir" },
	{ 0x4a4209f8, "timer_shutdown_sync" },
	{ 0xc7245ffe, "folio_end_private_2" },
	{ 0x67c46b9f, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc99a7352, "down_read" },
	{ 0x56a56e06, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xddc2f88, "bpf_trace_run3" },
	{ 0x64834a31, "rt_read_lock" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xf6771f23, "trace_event_buffer_reserve" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x1e899cfd, "rt_read_unlock" },
	{ 0xf0274b23, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x930eb4b8, "seq_printf" },
	{ 0x6a693dc2, "rt_write_lock" },
	{ 0xcc4d0257, "filemap_dirty_folio" },
	{ 0x2b77362c, "seq_puts" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x7754b8ca, "iov_iter_xarray" },
	{ 0xd7b564c0, "proc_create_single_data" },
	{ 0x7bac27f7, "kmalloc_trace" },
	{ 0x98cf60b3, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0xf3b79998, "proc_create_seq_private" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x76a89eaa, "up_read" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xef19ee8f, "kmalloc_caches" },
	{ 0x7f63a1d8, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3eee7372, "module_layout" },
};

MODULE_INFO(depends, "netfs");


MODULE_INFO(srcversion, "F1A7D48A931551A9DD3AC79");
MODULE_INFO(rhelversion, "9.6");
