#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nlmclnt_init, "_gpl", "");
KSYMTAB_FUNC(nlmclnt_done, "_gpl", "");
KSYMTAB_FUNC(nlmclnt_rpc_clnt, "_gpl", "");
KSYMTAB_FUNC(nlmclnt_proc, "_gpl", "");
KSYMTAB_DATA(nlmsvc_ops, "_gpl", "");
KSYMTAB_FUNC(lockd_up, "_gpl", "");
KSYMTAB_FUNC(lockd_down, "_gpl", "");
KSYMTAB_FUNC(nlmsvc_unlock_all_by_sb, "_gpl", "");
KSYMTAB_FUNC(nlmsvc_unlock_all_by_ip, "_gpl", "");

SYMBOL_CRC(nlmclnt_init, 0xeea0acfe, "_gpl");
SYMBOL_CRC(nlmclnt_done, 0xf76e9291, "_gpl");
SYMBOL_CRC(nlmclnt_rpc_clnt, 0x533ba0cd, "_gpl");
SYMBOL_CRC(nlmclnt_proc, 0x9c893afc, "_gpl");
SYMBOL_CRC(nlmsvc_ops, 0x55ea3683, "_gpl");
SYMBOL_CRC(lockd_up, 0xda5691b5, "_gpl");
SYMBOL_CRC(lockd_down, 0x6fad1be4, "_gpl");
SYMBOL_CRC(nlmsvc_unlock_all_by_sb, 0x15ea848b, "_gpl");
SYMBOL_CRC(nlmsvc_unlock_all_by_ip, 0x77e35ccc, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x15cd7296, "rpc_put_task" },
	{ 0xba2895db, "svc_generic_rpcbind_set" },
	{ 0x1f0f8a2c, "svc_wake_up" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x1217c23c, "__init_rwsem" },
	{ 0x2d07be80, "bpf_trace_run4" },
	{ 0xe153b73, "param_ops_uint" },
	{ 0x512e2c69, "register_sysctl" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x668320d9, "rpc_shutdown_client" },
	{ 0x6793cbdd, "svc_bind" },
	{ 0xe528d205, "proc_create" },
	{ 0xce280369, "svc_recv" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa0c0c014, "xdr_inline_decode" },
	{ 0xd401f544, "trace_raw_output_prep" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x1fe1e1ad, "locks_end_grace" },
	{ 0x24819e5a, "rt_mutex_base_init" },
	{ 0x5616a11c, "finish_wait" },
	{ 0x93ee8a9, "trace_event_printf" },
	{ 0x812c8400, "refcount_dec_and_mutex_lock" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0xadc5ddfd, "prepare_to_wait" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0xb14b3421, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x1073f337, "simple_transaction_get" },
	{ 0x37a0cba, "kfree" },
	{ 0xae701baf, "vfs_test_lock" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xe501e6e8, "svc_exit_thread" },
	{ 0x1f2a9970, "rpc_ntop" },
	{ 0x88edf0a1, "prepare_to_wait_event" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xbd13b179, "event_triggers_call" },
	{ 0x1344e378, "__wake_up" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x65994f1, "xdr_encode_opaque_fixed" },
	{ 0xb6fa1e9c, "param_get_ulong" },
	{ 0xedfb59f6, "rpc_run_task" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xb947cfc1, "__put_cred" },
	{ 0x6801fb61, "register_pernet_subsys" },
	{ 0xef0be853, "locks_in_grace" },
	{ 0x12c30d5e, "wake_up_process" },
	{ 0x9d4a38cc, "trace_event_buffer_commit" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0xbb8796a1, "proc_dobool" },
	{ 0x1945882a, "locks_lock_inode_wait" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x92997ed8, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x956f88e5, "unregister_sysctl_table" },
	{ 0x72c99bb5, "trace_event_ignore_this_pid" },
	{ 0xdf79f194, "locks_release_private" },
	{ 0xa916b694, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xbb40b125, "locks_init_lock" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xd1f2a9f8, "simple_transaction_release" },
	{ 0xde03584c, "svc_xprt_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xfa16af2c, "svc_age_temp_xprts_now" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0xcca25e63, "perf_trace_run_bpf_submit" },
	{ 0x19a1152f, "down_write" },
	{ 0x21bc69b5, "init_net" },
	{ 0xaa785dec, "up_write" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xed6c7a9a, "svc_set_num_threads" },
	{ 0xb788112c, "svc_rpcb_cleanup" },
	{ 0xa07a37f0, "memchr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x60d633ea, "mutex_lock" },
	{ 0x65883cfd, "vfs_cancel_lock" },
	{ 0x28037216, "proc_doulongvec_minmax" },
	{ 0x5b30f878, "trace_event_reg" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x53445f68, "nlm_debug" },
	{ 0xd19a09f6, "freezing_slow_path" },
	{ 0x6190b998, "rpc_create" },
	{ 0x3b983e11, "svc_destroy" },
	{ 0xd2784bdb, "rpc_call_start" },
	{ 0x162e9407, "svc_create" },
	{ 0xfd3658fc, "default_llseek" },
	{ 0xfd7a851c, "rpc_call_sync" },
	{ 0xd70f9b75, "proc_mkdir" },
	{ 0x54ab8510, "unregister_pernet_subsys" },
	{ 0xdcb764ad, "memset" },
	{ 0x5cf9fad2, "vfs_lock_file" },
	{ 0x238e7b08, "rpc_delay" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x4335ef68, "__init_waitqueue_head" },
	{ 0xf7c01ba4, "svc_generic_init_request" },
	{ 0x67c46b9f, "rt_spin_unlock" },
	{ 0xc99a7352, "down_read" },
	{ 0x9cdbc2f6, "svc_set_client" },
	{ 0x56a56e06, "rt_spin_lock" },
	{ 0x2fdcffab, "xdr_reserve_space" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x5bcaaa65, "kthread_create_on_node" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xfa813af2, "rpc_force_rebind" },
	{ 0xf6771f23, "trace_event_buffer_reserve" },
	{ 0x64895b51, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x7a67dd53, "param_ops_bool" },
	{ 0x730c1ccb, "rpc_restart_call" },
	{ 0x1f27af33, "svc_xprt_destroy_all" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0xf0274b23, "remove_proc_entry" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3d6c8b02, "svc_find_xprt" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xb0b9d032, "proc_dointvec" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xa4a2317d, "svc_print_addr" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x7bac27f7, "kmalloc_trace" },
	{ 0x7dd6d2f2, "locks_delete_block" },
	{ 0x98cf60b3, "strlen" },
	{ 0x1f8b5996, "locks_start_grace" },
	{ 0x9aa71919, "refcount_dec_and_lock" },
	{ 0x19b748c9, "param_get_int" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x76a89eaa, "up_read" },
	{ 0x2bfbfebf, "__mutex_rt_init" },
	{ 0x725758da, "svc_xprt_create" },
	{ 0x254d03ce, "rpc_wait_for_completion_task" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xef19ee8f, "kmalloc_caches" },
	{ 0x851c05a9, "locks_copy_lock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x4367bfec, "proc_dointvec_minmax" },
	{ 0x3eee7372, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,grace");


MODULE_INFO(srcversion, "B2433ABB3770CFD41D926C7");
MODULE_INFO(rhelversion, "9.6");
