#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nfs41_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_setup_sequence, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_rw_stateid, "_gpl", "");
KSYMTAB_FUNC(nfs4_test_session_trunk, "_gpl", "");
KSYMTAB_FUNC(nfs4_proc_getdeviceinfo, "_gpl", "");
KSYMTAB_DATA(nfs41_maxgetdevinfo_overhead, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_migration_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_moved_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_stateid_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_session_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs_remove_bad_delegation, "_gpl", "");
KSYMTAB_FUNC(nfs_map_string_to_numeric, "_gpl", "");
KSYMTAB_FUNC(nfs4_find_or_create_ds_client, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_ds_client, "_gpl", "");
KSYMTAB_FUNC(nfs4_init_ds_session, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_read_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_read_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_read_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_write_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_write_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_write_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_commit_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_commit_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_commit_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_reg, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_reg, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_reg, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_fl_getdevinfo, "_gpl", "");
KSYMTAB_FUNC(__traceiter_fl_getdevinfo, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_fl_getdevinfo, "_gpl", "");
KSYMTAB_FUNC(pnfs_register_layoutdriver, "_gpl", "");
KSYMTAB_FUNC(pnfs_unregister_layoutdriver, "_gpl", "");
KSYMTAB_FUNC(pnfs_put_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_destroy_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_layout_insert_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_update_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_error_mark_layout_for_return, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_check_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_cleanup, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_test, "_gpl", "");
KSYMTAB_FUNC(pnfs_write_done_resend_to_mds, "_gpl", "");
KSYMTAB_FUNC(pnfs_ld_write_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_writepages, "_gpl", "");
KSYMTAB_FUNC(pnfs_read_done_resend_to_mds, "_gpl", "");
KSYMTAB_FUNC(pnfs_ld_read_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_read_resend_pnfs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_readpages, "_gpl", "");
KSYMTAB_FUNC(pnfs_set_lo_fail, "_gpl", "");
KSYMTAB_FUNC(pnfs_set_layoutcommit, "_gpl", "");
KSYMTAB_FUNC(pnfs_layoutcommit_inode, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_sync, "_gpl", "");
KSYMTAB_FUNC(pnfs_report_layoutstat, "_gpl", "");
KSYMTAB_DATA(layoutstats_timer, "_gpl", "");
KSYMTAB_FUNC(nfs4_print_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_find_get_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_delete_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_init_deviceid_node, "_gpl", "");
KSYMTAB_FUNC(nfs4_put_deviceid_node, "_gpl", "");
KSYMTAB_FUNC(nfs4_mark_deviceid_available, "_gpl", "");
KSYMTAB_FUNC(nfs4_mark_deviceid_unavailable, "_gpl", "");
KSYMTAB_FUNC(nfs4_test_deviceid_unavailable, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_rw_release, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_prepare_to_resend_writes, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_write_commit_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_commit_release, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_clear_request_commit, "_gpl", "");
KSYMTAB_FUNC(pnfs_alloc_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_free_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_add_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_ds_cinfo_release_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_ds_cinfo_destroy, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_scan_commit_lists, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_recover_commit_reqs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_commit_pagelist, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_put, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_add, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_connect, "_gpl", "");
KSYMTAB_FUNC(nfs4_decode_mp_ds_addr, "_gpl", "");
KSYMTAB_FUNC(pnfs_layout_mark_request_commit, "_gpl", "");
KSYMTAB_FUNC(pnfs_nfs_generic_sync, "_gpl", "");
KSYMTAB_FUNC(nfs42_proc_layouterror, "_gpl", "");

SYMBOL_CRC(nfs41_sequence_done, 0x7eb7b1f8, "_gpl");
SYMBOL_CRC(nfs4_sequence_done, 0x60861fc2, "_gpl");
SYMBOL_CRC(nfs4_setup_sequence, 0xbe459aaa, "_gpl");
SYMBOL_CRC(nfs4_set_rw_stateid, 0x04b830ae, "_gpl");
SYMBOL_CRC(nfs4_test_session_trunk, 0x3bda44c6, "_gpl");
SYMBOL_CRC(nfs4_proc_getdeviceinfo, 0x3e44a8ee, "_gpl");
SYMBOL_CRC(nfs41_maxgetdevinfo_overhead, 0xf7801360, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_recovery, 0xa4cc21db, "_gpl");
SYMBOL_CRC(nfs4_schedule_migration_recovery, 0x0de4d19f, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_moved_recovery, 0x9cbea6d3, "_gpl");
SYMBOL_CRC(nfs4_schedule_stateid_recovery, 0x5962a3d5, "_gpl");
SYMBOL_CRC(nfs4_schedule_session_recovery, 0xedd24369, "_gpl");
SYMBOL_CRC(nfs_remove_bad_delegation, 0x110eb46c, "_gpl");
SYMBOL_CRC(nfs_map_string_to_numeric, 0x6085edbd, "_gpl");
SYMBOL_CRC(nfs4_find_or_create_ds_client, 0xd7e954c3, "_gpl");
SYMBOL_CRC(nfs4_set_ds_client, 0x20e755da, "_gpl");
SYMBOL_CRC(nfs4_init_ds_session, 0x8658c8da, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_read, 0xede41327, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_read, 0x09db5b77, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_read, 0xc7a9d954, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_write, 0x9a1a74c3, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_write, 0x1fddfedf, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_write, 0x533c198f, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_commit_ds, 0xeae8522f, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_commit_ds, 0x9a7cdb02, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_commit_ds, 0x5a4314e9, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_init_read, 0xd0ecfaad, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_init_read, 0x4b7c869a, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_init_read, 0xba53a1ef, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_init_write, 0x974a1614, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_init_write, 0x02ca1ffb, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_init_write, 0x0ff289f3, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_get_mirror_count, 0x0f01076e, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_get_mirror_count, 0x21754ecd, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_get_mirror_count, 0x7cd013a8, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_read_done, 0x82409884, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_read_done, 0x468660f1, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_read_done, 0x7a4e7f4e, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_write_done, 0x5ce462a3, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_write_done, 0xe95e78c8, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_write_done, 0x27ad47ea, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_read_pagelist, 0xcf29b95f, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_read_pagelist, 0x7b4fbe1b, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_read_pagelist, 0x579126b8, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_write_pagelist, 0xe19f5ee0, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_write_pagelist, 0xebd10a96, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_write_pagelist, 0xdf6991a4, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_read_error, 0x0aebca68, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_read_error, 0x845ca8bc, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_read_error, 0x785c06ab, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_write_error, 0x32bb6e05, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_write_error, 0x9e0fbaba, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_write_error, 0x30a44ac3, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_commit_error, 0x7ab7bcc6, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_commit_error, 0xe59857e5, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_commit_error, 0x08b2c467, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_reg, 0x2069ac1b, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_reg, 0x8f8215c5, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_reg, 0x02884be0, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_reg_err, 0xff07ac0d, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_reg_err, 0x4a4b38d6, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_reg_err, 0x90c878c7, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_unreg, 0x5d1e2248, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_unreg, 0x1236fa28, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_unreg, 0x94384f04, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_unreg_err, 0x83ded87b, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_unreg_err, 0xb17b3f8c, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_unreg_err, 0x33759ebd, "_gpl");
SYMBOL_CRC(__tracepoint_fl_getdevinfo, 0xad99458e, "_gpl");
SYMBOL_CRC(__traceiter_fl_getdevinfo, 0x6f7d5e10, "_gpl");
SYMBOL_CRC(__SCK__tp_func_fl_getdevinfo, 0x8f78a275, "_gpl");
SYMBOL_CRC(pnfs_register_layoutdriver, 0xaec23aa8, "_gpl");
SYMBOL_CRC(pnfs_unregister_layoutdriver, 0xf11f4949, "_gpl");
SYMBOL_CRC(pnfs_put_lseg, 0x77fa6bde, "_gpl");
SYMBOL_CRC(pnfs_destroy_layout, 0x4b7a9459, "_gpl");
SYMBOL_CRC(pnfs_generic_layout_insert_lseg, 0x0c224b08, "_gpl");
SYMBOL_CRC(pnfs_update_layout, 0x5b945974, "_gpl");
SYMBOL_CRC(pnfs_error_mark_layout_for_return, 0xe5f81eca, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_check_layout, 0x59bdfeea, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_init_read, 0x75dd8108, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_init_write, 0x263983cf, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_cleanup, 0xc8a24c75, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_test, 0x043b4c9f, "_gpl");
SYMBOL_CRC(pnfs_write_done_resend_to_mds, 0x3c31aca6, "_gpl");
SYMBOL_CRC(pnfs_ld_write_done, 0x0f34a444, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_writepages, 0x424866af, "_gpl");
SYMBOL_CRC(pnfs_read_done_resend_to_mds, 0x12f8cafe, "_gpl");
SYMBOL_CRC(pnfs_ld_read_done, 0x47d1ffd8, "_gpl");
SYMBOL_CRC(pnfs_read_resend_pnfs, 0xe62a220d, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_readpages, 0x87aefa9a, "_gpl");
SYMBOL_CRC(pnfs_set_lo_fail, 0xa89bd759, "_gpl");
SYMBOL_CRC(pnfs_set_layoutcommit, 0x6d240e7b, "_gpl");
SYMBOL_CRC(pnfs_layoutcommit_inode, 0x09cf29c1, "_gpl");
SYMBOL_CRC(pnfs_generic_sync, 0xe0438136, "_gpl");
SYMBOL_CRC(pnfs_report_layoutstat, 0xffdadc69, "_gpl");
SYMBOL_CRC(layoutstats_timer, 0x054bef45, "_gpl");
SYMBOL_CRC(nfs4_print_deviceid, 0xed15fb41, "_gpl");
SYMBOL_CRC(nfs4_find_get_deviceid, 0x36caf43b, "_gpl");
SYMBOL_CRC(nfs4_delete_deviceid, 0x5ac5a4e1, "_gpl");
SYMBOL_CRC(nfs4_init_deviceid_node, 0x020582ec, "_gpl");
SYMBOL_CRC(nfs4_put_deviceid_node, 0x20007903, "_gpl");
SYMBOL_CRC(nfs4_mark_deviceid_available, 0x276323af, "_gpl");
SYMBOL_CRC(nfs4_mark_deviceid_unavailable, 0x6384da82, "_gpl");
SYMBOL_CRC(nfs4_test_deviceid_unavailable, 0x63725548, "_gpl");
SYMBOL_CRC(pnfs_generic_rw_release, 0x69d3558d, "_gpl");
SYMBOL_CRC(pnfs_generic_prepare_to_resend_writes, 0x5649ec9e, "_gpl");
SYMBOL_CRC(pnfs_generic_write_commit_done, 0xef4db742, "_gpl");
SYMBOL_CRC(pnfs_generic_commit_release, 0xf999267e, "_gpl");
SYMBOL_CRC(pnfs_generic_clear_request_commit, 0x71609268, "_gpl");
SYMBOL_CRC(pnfs_alloc_commit_array, 0xfa29ea5d, "_gpl");
SYMBOL_CRC(pnfs_free_commit_array, 0xc20b7dde, "_gpl");
SYMBOL_CRC(pnfs_add_commit_array, 0x3ac30eb0, "_gpl");
SYMBOL_CRC(pnfs_generic_ds_cinfo_release_lseg, 0x04c8e545, "_gpl");
SYMBOL_CRC(pnfs_generic_ds_cinfo_destroy, 0x06aa241f, "_gpl");
SYMBOL_CRC(pnfs_generic_scan_commit_lists, 0x8c8f36ec, "_gpl");
SYMBOL_CRC(pnfs_generic_recover_commit_reqs, 0x67a2d002, "_gpl");
SYMBOL_CRC(pnfs_generic_commit_pagelist, 0x61f86466, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_put, 0x72166685, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_add, 0x47e13829, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_connect, 0xbfffc1df, "_gpl");
SYMBOL_CRC(nfs4_decode_mp_ds_addr, 0x7b4c1867, "_gpl");
SYMBOL_CRC(pnfs_layout_mark_request_commit, 0x23503d82, "_gpl");
SYMBOL_CRC(pnfs_nfs_generic_sync, 0xdf42b4a0, "_gpl");
SYMBOL_CRC(nfs42_proc_layouterror, 0x7fb750aa, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x15cd7296, "rpc_put_task" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xfb59e54e, "generic_copy_file_range" },
	{ 0xba2895db, "svc_generic_rpcbind_set" },
	{ 0xe05d430e, "nfs_clone_server" },
	{ 0x15d57cd8, "nfs_access_add_cache" },
	{ 0xe914e41e, "strcpy" },
	{ 0x692dc1b5, "filemap_fdatawrite" },
	{ 0xdbe182e5, "nfs_show_stats" },
	{ 0x6613b007, "ida_alloc_range" },
	{ 0xd719f3, "nfs_server_remove_lists" },
	{ 0x901d8c2f, "nfs42_ssc_unregister" },
	{ 0x3992a719, "generic_listxattr" },
	{ 0x4c28373d, "try_module_get" },
	{ 0x83695c0a, "revert_creds" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xf5e3aa1e, "nfs_writeback_update_inode" },
	{ 0xc0bfe84f, "clear_inode" },
	{ 0x2b1e547d, "inode_to_bdi" },
	{ 0x2d07be80, "bpf_trace_run4" },
	{ 0x5bff223d, "user_destroy" },
	{ 0x86763525, "idr_find" },
	{ 0xe153b73, "param_ops_uint" },
	{ 0x770b2795, "user_revoke" },
	{ 0xa2f1fd93, "d_exact_alias" },
	{ 0x51e6dcc5, "nfs_alloc_client" },
	{ 0x512e2c69, "register_sysctl" },
	{ 0xdae9b5d7, "nfs4_disable_idmapping" },
	{ 0x31fe4d3e, "nfs_mark_client_ready" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x496ce8a4, "rpc_clnt_probe_trunked_xprts" },
	{ 0xf6d4354a, "nfs_pageio_reset_read_mds" },
	{ 0x45b22b46, "xdr_write_pages" },
	{ 0xcdc39c9e, "security_ismaclabel" },
	{ 0x668320d9, "rpc_shutdown_client" },
	{ 0x6793cbdd, "svc_bind" },
	{ 0x3cdd9502, "nfs_d_prune_case_insensitive_aliases" },
	{ 0x40739385, "nfs_wait_bit_killable" },
	{ 0xb7808b84, "nfs_free_inode" },
	{ 0xf08cfc19, "nfs_access_zap_cache" },
	{ 0xc0a1e7fb, "nfs_sb_deactive" },
	{ 0x18ffba6b, "nfs_wb_all" },
	{ 0xfb849142, "generic_file_splice_read" },
	{ 0xba148e26, "__break_lease" },
	{ 0x9f4502aa, "nfs_pageio_init_write" },
	{ 0xce280369, "svc_recv" },
	{ 0x20d8592d, "nfs_drop_inode" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xa0c0c014, "xdr_inline_decode" },
	{ 0xa17c00fc, "nfs_pageio_init_read" },
	{ 0xd401f544, "trace_raw_output_prep" },
	{ 0x9f0f84ba, "nfs_wait_client_init_complete" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0x8a6ca971, "nfs_init_commit" },
	{ 0xcd34a179, "nfs_commitdata_release" },
	{ 0xd7a668ec, "bpf_trace_run6" },
	{ 0x9a5f6947, "list_lru_destroy" },
	{ 0xca9360b5, "rb_next" },
	{ 0x2a06d224, "rpc_net_ns" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x24819e5a, "rt_mutex_base_init" },
	{ 0x83be6d9c, "nfs_mknod" },
	{ 0x4371f417, "nfs_inode_attach_open_context" },
	{ 0x5616a11c, "finish_wait" },
	{ 0x504ced13, "nfs4_label_alloc" },
	{ 0xdfcaaef0, "rpc_localaddr" },
	{ 0x64e347be, "rpc_wake_up" },
	{ 0xdd691402, "xprt_find_transport_ident" },
	{ 0x93ee8a9, "trace_event_printf" },
	{ 0x938f01bf, "nfs_access_get_cached" },
	{ 0x96848186, "scnprintf" },
	{ 0x3b3e7d66, "idr_replace" },
	{ 0x4a75c8f0, "nfs_lock" },
	{ 0x9c141bb, "unregister_key_type" },
	{ 0x22bd6e6d, "nfs_client_init_is_complete" },
	{ 0xfbf9c4c9, "register_shrinker" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xebc83a67, "d_splice_alias" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0xadc5ddfd, "prepare_to_wait" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0xb14b3421, "trace_event_raw_init" },
	{ 0x1e424d61, "user_preparse" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x8b910be2, "errseq_sample" },
	{ 0xab6df03, "ihold" },
	{ 0xcfa273ff, "truncate_pagecache_range" },
	{ 0x46637eac, "rpc_peeraddr" },
	{ 0x37a0cba, "kfree" },
	{ 0x6e51eb73, "invalidate_inode_pages2_range" },
	{ 0xf0b5280d, "nfs_post_op_update_inode" },
	{ 0xe501e6e8, "svc_exit_thread" },
	{ 0x79882776, "iput" },
	{ 0x67f1f280, "xdr_set_pagelen" },
	{ 0x2256cb78, "nfs_pgio_header_free" },
	{ 0xfd47c34a, "nfs_request_add_commit_list_locked" },
	{ 0x887eea87, "add_wait_queue" },
	{ 0x86cdae9f, "logfc" },
	{ 0xa0c3cc7e, "nfs_pgio_header_alloc" },
	{ 0x27fb84a5, "__put_devmap_managed_page_refs" },
	{ 0xd45431a9, "iter_file_splice_write" },
	{ 0x6797f320, "rpc_pton" },
	{ 0x84f158cb, "nfs_sb_active" },
	{ 0xf03a8913, "mod_node_page_state" },
	{ 0x1f2a9970, "rpc_ntop" },
	{ 0xe11d069d, "rpc_wake_up_queued_task" },
	{ 0x6e425e46, "bpf_trace_run2" },
	{ 0x88edf0a1, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0xcfd2d56e, "xdr_stream_zero" },
	{ 0x1e119a79, "rpcauth_get_pseudoflavor" },
	{ 0x3af5930d, "rpc_restart_call_prepare" },
	{ 0xbd13b179, "event_triggers_call" },
	{ 0x1344e378, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x3080a107, "_copy_from_pages" },
	{ 0x44532adf, "__module_get" },
	{ 0x66f7b349, "kmem_cache_create" },
	{ 0x7a49b6ef, "rpc_task_release_transport" },
	{ 0xe2582c50, "xdr_page_pos" },
	{ 0x35b063cd, "nfs_file_release" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0x93eec2ac, "nfs_pgio_current_mirror" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xbbf84d29, "key_instantiate_and_link" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xe02ba436, "trace_print_hex_seq" },
	{ 0x3539f11b, "match_strlcpy" },
	{ 0xde970590, "xdr_read_pages" },
	{ 0x65994f1, "xdr_encode_opaque_fixed" },
	{ 0x3bd2f386, "register_key_type" },
	{ 0x9c374478, "rpc_sleep_on" },
	{ 0xedfb59f6, "rpc_run_task" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x57f611b8, "nfs_pageio_resend" },
	{ 0x8a1ac19c, "keyring_alloc" },
	{ 0xa7372174, "vfs_setpos" },
	{ 0x7785a1f, "nfs_create" },
	{ 0x673ba856, "complete_request_key" },
	{ 0xb947cfc1, "__put_cred" },
	{ 0xbfcdfb9a, "nfs_update_delegated_mtime" },
	{ 0xd5dd31f2, "nfs_statfs" },
	{ 0x12c30d5e, "wake_up_process" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0xcdbad8cd, "rpc_max_bc_payload" },
	{ 0x9d4a38cc, "trace_event_buffer_commit" },
	{ 0x584b8482, "nfs_inc_attr_generation_counter" },
	{ 0x90a5530f, "nfsiod_workqueue" },
	{ 0xd6fa4a8, "rpc_clnt_xprt_switch_add_xprt" },
	{ 0x1945882a, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x8fbf735c, "nfs_mkdir" },
	{ 0x37d3432a, "nfs_revalidate_inode" },
	{ 0x7de06e3d, "inode_newsize_ok" },
	{ 0xbab89c9a, "nfs_file_mmap" },
	{ 0xd5fc4383, "nfs_get_lock_context" },
	{ 0xbad6cef1, "d_drop" },
	{ 0x92997ed8, "_printk" },
	{ 0x53f6a93b, "nfs_set_cache_invalid" },
	{ 0x4aa5b742, "rpc_release_client" },
	{ 0xd3ef694, "rpc_clnt_manage_trunked_xprts" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x92de5830, "rt_spin_trylock" },
	{ 0xd8900f64, "xdr_enter_page" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x36cff129, "rpc_clnt_setup_test_and_add_xprt" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x956f88e5, "unregister_sysctl_table" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x72c99bb5, "trace_event_ignore_this_pid" },
	{ 0x66e0ab, "nfs_generic_pgio" },
	{ 0x53c168c6, "make_kuid" },
	{ 0x9b8f3dc8, "truncate_inode_pages_final" },
	{ 0x24abfe29, "generic_setlease" },
	{ 0x5c73c276, "xprt_destroy_backchannel" },
	{ 0x495ed711, "rpc_switch_client_transport" },
	{ 0xa916b694, "strnlen" },
	{ 0x60e7b1c9, "nfs_scan_commit_list" },
	{ 0xb83aaec5, "xdr_stream_decode_string_dup" },
	{ 0xb8f8c24f, "nfs_commit_inode" },
	{ 0xbb40b125, "locks_init_lock" },
	{ 0xa8e9e1ae, "send_implementation_id" },
	{ 0x57bf7ab7, "unregister_shrinker" },
	{ 0x161064da, "rpc_destroy_pipe_data" },
	{ 0x662faae8, "nfs_get_client" },
	{ 0x7d3dd12f, "__free_pages" },
	{ 0xe64d3d42, "kmem_cache_alloc" },
	{ 0x9f984513, "strrchr" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x79f2ef17, "nfs_atomic_open" },
	{ 0x97925beb, "rpc_pipe_generic_upcall" },
	{ 0x1028c0a1, "nfs_file_fsync" },
	{ 0x5da4de2, "module_put" },
	{ 0x4b963425, "__var_waitqueue" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xb32265a9, "mntput" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x982628c4, "nfs_put_lock_context" },
	{ 0x20fabba, "nfs_rename" },
	{ 0xeb0a576b, "nfs_lookup" },
	{ 0x769f6e64, "errseq_check" },
	{ 0x2ccabb90, "nfs_sysfs_link_rpc_client" },
	{ 0x1a5425e8, "nfs_put_client" },
	{ 0xc735d0a4, "nfs_show_options" },
	{ 0xedb5e22b, "dns_query" },
	{ 0x26884ff7, "nfs_alloc_fhandle" },
	{ 0x538e47a3, "key_put" },
	{ 0x868784cb, "__symbol_get" },
	{ 0x770d2268, "mount_subtree" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0xd8eba0fd, "get_nfs_open_context" },
	{ 0xcca25e63, "perf_trace_run_bpf_submit" },
	{ 0xb5d7d1db, "nfs_clear_verifier_delegated" },
	{ 0xd1d75a02, "nfs_sysfs_add_server" },
	{ 0xc8085282, "fput" },
	{ 0x49608959, "migrate_disable" },
	{ 0x19a1152f, "down_write" },
	{ 0xd18b793b, "rpc_machine_cred" },
	{ 0x42f2c81f, "nfs4_client_id_uniquifier" },
	{ 0x4e194e27, "nfs_do_submount" },
	{ 0x75e6f963, "vfs_dup_fs_context" },
	{ 0xaa785dec, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xefddad90, "request_key_with_auxdata" },
	{ 0x4c3c1f0d, "rpc_clone_client_set_auth" },
	{ 0x9294abee, "rpc_clone_client" },
	{ 0xed6c7a9a, "svc_set_num_threads" },
	{ 0x4e3567f7, "match_int" },
	{ 0xb125a0bf, "nfs_client_init_status" },
	{ 0x555a3ed5, "idr_alloc" },
	{ 0xb788112c, "svc_rpcb_cleanup" },
	{ 0xa07a37f0, "memchr" },
	{ 0x4b40ed55, "radix_tree_preloads" },
	{ 0x87d0048f, "user_describe" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xd3fa62d7, "put_fs_context" },
	{ 0x83a017c1, "nfs_retry_commit" },
	{ 0x40e45c5f, "nfs4_dentry_operations" },
	{ 0x26e0ae47, "__module_put_and_kthread_exit" },
	{ 0xb2c46216, "rpc_peeraddr2str" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0x5a73c7e4, "nfs_client_for_each_server" },
	{ 0xb1603fdd, "nfs_clear_inode" },
	{ 0x5bb490d5, "rpc_sleep_on_priority" },
	{ 0xa4d5cf90, "nfs_invalidate_atime" },
	{ 0x2fa9c0e1, "bpf_trace_run5" },
	{ 0x954f099c, "idr_preload" },
	{ 0x49770282, "nfs_umount_begin" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x4ee78dad, "nfs_getattr" },
	{ 0x60d633ea, "mutex_lock" },
	{ 0x78ffb1c6, "nfs_pageio_reset_write_mds" },
	{ 0xccc7b44d, "kmem_cache_free" },
	{ 0xd8178363, "nfs_generic_pg_test" },
	{ 0x5a921311, "strncmp" },
	{ 0xb3e2a8e3, "xdr_stream_subsegment" },
	{ 0xcf4feb45, "nfs_zap_acl_cache" },
	{ 0x82d79b51, "sysctl_vfs_cache_pressure" },
	{ 0xcdfcfe70, "nfs_fscache_open_file" },
	{ 0x2fdba7d, "from_kgid" },
	{ 0x5b30f878, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x2a4c48b3, "nfs_write_inode" },
	{ 0x5855a5d7, "nfs_request_remove_commit_list" },
	{ 0xcb149792, "ida_free" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x4e27a15b, "rpc_wake_up_first" },
	{ 0xcc65234a, "alloc_nfs_open_context" },
	{ 0x796c2d0e, "list_lru_add_obj" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0xfa27c4ca, "vfs_parse_fs_param" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xd1f6ea98, "nfs_path" },
	{ 0x2b8fc7c3, "rpc_sleep_on_priority_timeout" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x7c549b4f, "nfs_create_rpc_client" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x49e68303, "register_nfs_version" },
	{ 0xe1b54d0f, "rpc_sleep_on_timeout" },
	{ 0xbb7f5022, "list_lru_count_one" },
	{ 0x3b983e11, "svc_destroy" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0xd2784bdb, "rpc_call_start" },
	{ 0x1e76d880, "xprt_setup_backchannel" },
	{ 0xa1b05acc, "bpf_trace_run1" },
	{ 0x162e9407, "svc_create" },
	{ 0x95d58cad, "rpc_clnt_iterate_for_each_xprt" },
	{ 0x6818e6af, "nfs_file_set_open_context" },
	{ 0x6da24cf, "rpc_init_priority_wait_queue" },
	{ 0x3f2690f2, "nfs_check_flags" },
	{ 0xfd7a851c, "rpc_call_sync" },
	{ 0xe33b7bc9, "from_kuid" },
	{ 0xd1808ef2, "rpc_put_task_async" },
	{ 0x4e258a8b, "rpc_prepare_reply_pages" },
	{ 0x818c7176, "rpc_queue_upcall" },
	{ 0xd0debb09, "nfs_free_server" },
	{ 0xd3f2014c, "fc_mount" },
	{ 0xea8cb284, "nfs_setattr" },
	{ 0xdcb764ad, "memset" },
	{ 0xdfde2ffd, "xdr_terminate_string" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xde0f958, "nfs4_fs_type" },
	{ 0x974c15af, "key_revoke" },
	{ 0xa05ca625, "nfs_fattr_init" },
	{ 0x238e7b08, "rpc_delay" },
	{ 0xff03cca0, "nfs_flock" },
	{ 0x9f88fdb7, "__list_lru_init" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x4335ef68, "__init_waitqueue_head" },
	{ 0xf7c01ba4, "svc_generic_init_request" },
	{ 0x88c88474, "_atomic_dec_and_lock" },
	{ 0x9e48d2b3, "key_validate" },
	{ 0x98b0ece8, "nfs_init_timeout_values" },
	{ 0x4f7ac2d5, "rpc_exit" },
	{ 0x64acb8d2, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x67c46b9f, "rt_spin_unlock" },
	{ 0xb6e5d9c0, "rpc_remove_pipe_dir_object" },
	{ 0xf935b69d, "nfs_may_open" },
	{ 0xecf4dd9e, "from_kgid_munged" },
	{ 0xfc619abd, "_nfs_display_fhandle" },
	{ 0xb3687850, "out_of_line_wait_on_bit_lock" },
	{ 0xe68c6e36, "nfs_server_copy_userdata" },
	{ 0x832e8f0b, "nfs_alloc_fattr" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc99a7352, "down_read" },
	{ 0x56a56e06, "rt_spin_lock" },
	{ 0x2fdcffab, "xdr_reserve_space" },
	{ 0xcd665b75, "rpcauth_lookupcred" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x5bcaaa65, "kthread_create_on_node" },
	{ 0xabc640f3, "list_lru_isolate" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x8e4db5ff, "nfs_rmdir" },
	{ 0xddc2f88, "bpf_trace_run3" },
	{ 0x1da8196e, "override_creds" },
	{ 0x4cb9e001, "recover_lost_locks" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0x51a354e9, "nfs_filemap_write_and_wait_range" },
	{ 0x49229852, "rpc_mkpipe_dentry" },
	{ 0x84c777b0, "alloc_file_pseudo" },
	{ 0x7681b3ad, "rpc_mkpipe_data" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xf823e91a, "rpc_add_pipe_dir_object" },
	{ 0x5a01869d, "igrab" },
	{ 0xc86b2d5b, "unregister_nfs_version" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x53c7cdbb, "nfs_async_iocounter_wait" },
	{ 0x662fc914, "nfs_file_read" },
	{ 0xf6771f23, "trace_event_buffer_reserve" },
	{ 0xc7c06424, "nfs_alloc_fattr_with_label" },
	{ 0x64895b51, "mutex_unlock" },
	{ 0x5c921e89, "filemap_fdatawait_range" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0x144b5954, "nfs_commitdata_alloc" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xb27fbaad, "nfs_setattr_update_inode" },
	{ 0x9ca3fe54, "nfs_instantiate" },
	{ 0xb6c5292f, "init_user_ns" },
	{ 0x6ca3bd93, "rpc_uaddr2sockaddr" },
	{ 0x12ed20f7, "user_read" },
	{ 0x730c1ccb, "rpc_restart_call" },
	{ 0xbb49d13a, "request_key_tag" },
	{ 0x4aafc661, "xprt_force_disconnect" },
	{ 0x8ead800c, "user_free_preparse" },
	{ 0xeb199a38, "alloc_pages" },
	{ 0x162dbf2c, "rpc_clnt_xprt_switch_remove_xprt" },
	{ 0x1f27af33, "svc_xprt_destroy_all" },
	{ 0x2f09a5c9, "generic_key_instantiate" },
	{ 0xfb202c8b, "inc_nlink" },
	{ 0x44e9a829, "match_token" },
	{ 0xd725e613, "nfs_link" },
	{ 0x5cf5bd89, "__folio_put" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe7e24742, "list_lru_walk_one" },
	{ 0xc3a2be67, "nfs_net_id" },
	{ 0x972d1315, "rpcauth_stringify_acceptor" },
	{ 0x56470118, "__warn_printk" },
	{ 0x56b8e555, "dput" },
	{ 0xe47450bc, "lockref_get" },
	{ 0xcde49930, "rpc_init_wait_queue" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x6cad84ce, "xdr_stream_move_subsegment" },
	{ 0x3eeefd60, "put_rpccred" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x294c6a2, "nfs_callback_nr_threads" },
	{ 0xe5e3ad82, "nfs_post_op_update_inode_force_wcc" },
	{ 0x879742db, "nfs_pgheader_init" },
	{ 0x39efbec8, "put_nfs_open_context" },
	{ 0x1c801a3b, "nfs_show_path" },
	{ 0xe6269bd, "nfs_show_devname" },
	{ 0xb632ff10, "nfs_permission" },
	{ 0x53e71233, "nfs_initiate_commit" },
	{ 0x96cbb61e, "truncate_inode_pages_range" },
	{ 0x5369dffa, "__put_user_ns" },
	{ 0x931d8257, "cred_fscmp" },
	{ 0x1e43530f, "rpc_unlink" },
	{ 0xdc750c0f, "nfs_sync_inode" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xb0b9d032, "proc_dointvec" },
	{ 0x8f7c80e9, "remove_wait_queue" },
	{ 0x7ea8cbc0, "nfs_file_write" },
	{ 0xaafd4acc, "max_session_cb_slots" },
	{ 0x76f10ccd, "node_data" },
	{ 0x74bbb40, "nfs_probe_server" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x868fe8eb, "nfs_setsecurity" },
	{ 0xdee9aa3b, "rpc_clnt_xprt_switch_has_addr" },
	{ 0xfde1ce67, "rpc_clnt_test_and_add_xprt" },
	{ 0xd3ed08c9, "file_ra_state_init" },
	{ 0x4df2d6fe, "nfs_force_lookup_revalidate" },
	{ 0xf41207e, "nfs_file_llseek" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf2a2b3e0, "rpc_clnt_add_xprt" },
	{ 0x31b27dfc, "dget_parent" },
	{ 0xfd863517, "from_kuid_munged" },
	{ 0xd4c89fa6, "prepare_kernel_cred" },
	{ 0x7bac27f7, "kmalloc_trace" },
	{ 0xb8daec2c, "nfs_alloc_server" },
	{ 0x39eac94e, "rpc_call_async" },
	{ 0x41c6e17c, "security_dentry_init_security" },
	{ 0x59e8b45c, "filemap_write_and_wait_range" },
	{ 0x9c7338e2, "list_lru_del_obj" },
	{ 0x20fcdfde, "nfs_server_insert_lists" },
	{ 0x8e9782a9, "nfs_dreq_bytes_left" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x98cf60b3, "strlen" },
	{ 0x272e91ba, "nfs_free_client" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0xc7b245e0, "rpc_init_pipe_dir_object" },
	{ 0xfaad6434, "bpf_trace_run7" },
	{ 0x6e7ad041, "nfs_refresh_inode" },
	{ 0x9aa71919, "refcount_dec_and_lock" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x91d1fe52, "max_session_slots" },
	{ 0x349cba85, "strchr" },
	{ 0xc6c8b8f1, "nfs_access_set_mask" },
	{ 0xf1e25892, "nfs_init_server_rpcclient" },
	{ 0xe01d5318, "__mark_inode_dirty" },
	{ 0xf212b592, "rpc_set_connect_timeout" },
	{ 0xb4885a7e, "rpcauth_create" },
	{ 0x10d4dff0, "xdr_stream_pos" },
	{ 0x8379e7e6, "key_set_timeout" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xefa414fb, "nfs_delay_retrans" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0x10962bc2, "nfs_auth_info_match" },
	{ 0x76a89eaa, "up_read" },
	{ 0x39e05ac3, "nfs_idmap_cache_timeout" },
	{ 0x2bfbfebf, "__mutex_rt_init" },
	{ 0x725758da, "svc_xprt_create" },
	{ 0x54c6b21d, "nfs42_ssc_register" },
	{ 0x254d03ce, "rpc_wait_for_completion_task" },
	{ 0xfd948bc2, "drop_nlink" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xf105c78c, "rpc_num_bc_slots" },
	{ 0x7c21a1d, "nfs_alloc_inode" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x18ad35f2, "rpc_destroy_wait_queue" },
	{ 0xef19ee8f, "kmalloc_caches" },
	{ 0x5943086a, "security_inode_listsecurity" },
	{ 0x46a302bf, "nfs_fhget" },
	{ 0x41dfb817, "nfs_symlink" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x851c05a9, "locks_copy_lock" },
	{ 0x7f63a1d8, "kmem_cache_destroy" },
	{ 0x51892d61, "nfs_callback_set_tcpport" },
	{ 0x88304a72, "nfs_unlink" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe94f66ad, "nfs_set_verifier" },
	{ 0x4367bfec, "proc_dointvec_minmax" },
	{ 0x3eee7372, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,nfs,dns_resolver");


MODULE_INFO(srcversion, "45C64349601636A1155E315");
MODULE_INFO(rhelversion, "9.6");
