#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nf_conntrack_locks, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_expect_lock, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_hash, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_lock, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_htable_size, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_max, "_gpl", "");
KSYMTAB_FUNC(nf_ct_get_tuplepr, "_gpl", "");
KSYMTAB_FUNC(nf_ct_invert_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_ct_get_id, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tmpl_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tmpl_free, "_gpl", "");
KSYMTAB_FUNC(nf_ct_destroy, "", "");
KSYMTAB_FUNC(nf_ct_delete, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_find_get, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_hash_check_insert, "_gpl", "");
KSYMTAB_FUNC(nf_ct_acct_add, "_gpl", "");
KSYMTAB_FUNC(__nf_conntrack_confirm, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_tuple_taken, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_free, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_in, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_alter_reply, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_refresh_acct, "_gpl", "");
KSYMTAB_FUNC(nf_ct_kill_acct, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_tuple_to_nlattr, "_gpl", "");
KSYMTAB_DATA(nf_ct_port_nla_policy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_nlattr_to_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_nlattr_tuple_size, "_gpl", "");
KSYMTAB_FUNC(nf_ct_iterate_cleanup_net, "_gpl", "");
KSYMTAB_FUNC(nf_ct_iterate_destroy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_alloc_hashtable, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_change_timeout, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_change_status, "_gpl", "");
KSYMTAB_FUNC(nf_ct_change_status_common, "_gpl", "");
KSYMTAB_FUNC(print_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_count, "_gpl", "");
KSYMTAB_DATA(nf_ct_expect_hsize, "_gpl", "");
KSYMTAB_DATA(nf_ct_expect_hash, "_gpl", "");
KSYMTAB_FUNC(nf_ct_unlink_expect_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_remove_expect, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_expect_find, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_find_get, "_gpl", "");
KSYMTAB_FUNC(nf_ct_remove_expectations, "_gpl", "");
KSYMTAB_FUNC(nf_ct_unexpect_related, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_init, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_related_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_iterate_destroy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_iterate_net, "_gpl", "");
KSYMTAB_DATA(nf_ct_helper_hash, "_gpl", "");
KSYMTAB_DATA(nf_ct_helper_hsize, "_gpl", "");
KSYMTAB_FUNC(__nf_conntrack_helper_find, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_try_module_get, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_put, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_try_module_get, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_ext_add, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_try_assign_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_register, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_find_by_name, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_find_by_symbol, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_log, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_register, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_init, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helpers_register, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helpers_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_register, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_set_auto_assign_helper_warned, "_gpl", "");
KSYMTAB_FUNC(nf_l4proto_log_invalid, "_gpl", "");
KSYMTAB_FUNC(nf_ct_l4proto_log_invalid, "_gpl", "");
KSYMTAB_FUNC(nf_ct_l4proto_find, "_gpl", "");
KSYMTAB_FUNC(nf_confirm, "_gpl", "");
KSYMTAB_FUNC(nf_ct_netns_get, "_gpl", "");
KSYMTAB_FUNC(nf_ct_netns_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_bridge_register, "_gpl", "");
KSYMTAB_FUNC(nf_ct_bridge_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_ext_add, "", "");
KSYMTAB_FUNC(__nf_ct_ext_find, "", "");
KSYMTAB_FUNC(nf_ct_seqadj_init, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seqadj_set, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tcp_seqadj_set, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seq_adjust, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seq_offset, "_gpl", "");
KSYMTAB_DATA(nf_ct_timeout_hook, "_gpl", "");
KSYMTAB_FUNC(nf_ct_untimeout, "_gpl", "");
KSYMTAB_FUNC(nf_ct_set_timeout, "_gpl", "");
KSYMTAB_FUNC(nf_ct_destroy_timeout, "_gpl", "");
KSYMTAB_FUNC(nf_conn_pernet_ecache, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_eventmask_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_deliver_cached_events, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_register_notifier, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_unregister_notifier, "_gpl", "");
KSYMTAB_FUNC(nf_ct_ecache_ext_add, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_replace, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_get, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_add_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_skb_network_trim, "_gpl", "");
KSYMTAB_FUNC(nf_ct_handle_fragments, "_gpl", "");
KSYMTAB_FUNC(nf_ct_gre_keymap_add, "_gpl", "");
KSYMTAB_FUNC(nf_ct_gre_keymap_destroy, "_gpl", "");

SYMBOL_CRC(nf_conntrack_locks, 0x848ef7d8, "_gpl");
SYMBOL_CRC(nf_conntrack_expect_lock, 0x94eebcb5, "_gpl");
SYMBOL_CRC(nf_conntrack_hash, 0x28eff409, "_gpl");
SYMBOL_CRC(nf_conntrack_lock, 0x8e696c94, "_gpl");
SYMBOL_CRC(nf_conntrack_htable_size, 0x8ffe7e89, "_gpl");
SYMBOL_CRC(nf_conntrack_max, 0xf38bcdf3, "_gpl");
SYMBOL_CRC(nf_ct_get_tuplepr, 0x31409a71, "_gpl");
SYMBOL_CRC(nf_ct_invert_tuple, 0xfe731af8, "_gpl");
SYMBOL_CRC(nf_ct_get_id, 0x91a4a1ec, "_gpl");
SYMBOL_CRC(nf_ct_tmpl_alloc, 0xd92d1299, "_gpl");
SYMBOL_CRC(nf_ct_tmpl_free, 0xc96a177d, "_gpl");
SYMBOL_CRC(nf_ct_destroy, 0x3b08a8f0, "");
SYMBOL_CRC(nf_ct_delete, 0x87749518, "_gpl");
SYMBOL_CRC(nf_conntrack_find_get, 0x00602cec, "_gpl");
SYMBOL_CRC(nf_conntrack_hash_check_insert, 0x17f64229, "_gpl");
SYMBOL_CRC(nf_ct_acct_add, 0x9ecea38c, "_gpl");
SYMBOL_CRC(__nf_conntrack_confirm, 0x646ef9b2, "_gpl");
SYMBOL_CRC(nf_conntrack_tuple_taken, 0x3625cd2a, "_gpl");
SYMBOL_CRC(nf_conntrack_alloc, 0xfbc1146f, "_gpl");
SYMBOL_CRC(nf_conntrack_free, 0x3124aaa8, "_gpl");
SYMBOL_CRC(nf_conntrack_in, 0xe6f92ccd, "_gpl");
SYMBOL_CRC(nf_conntrack_alter_reply, 0x0f583706, "_gpl");
SYMBOL_CRC(__nf_ct_refresh_acct, 0x62bb51d5, "_gpl");
SYMBOL_CRC(nf_ct_kill_acct, 0xac60692f, "_gpl");
SYMBOL_CRC(nf_ct_port_tuple_to_nlattr, 0xac499d07, "_gpl");
SYMBOL_CRC(nf_ct_port_nla_policy, 0x514699fe, "_gpl");
SYMBOL_CRC(nf_ct_port_nlattr_to_tuple, 0xafbd6cf5, "_gpl");
SYMBOL_CRC(nf_ct_port_nlattr_tuple_size, 0xd505c3e0, "_gpl");
SYMBOL_CRC(nf_ct_iterate_cleanup_net, 0x783f4e95, "_gpl");
SYMBOL_CRC(nf_ct_iterate_destroy, 0xf78ddcb3, "_gpl");
SYMBOL_CRC(nf_ct_alloc_hashtable, 0x289c3714, "_gpl");
SYMBOL_CRC(__nf_ct_change_timeout, 0x94c319af, "_gpl");
SYMBOL_CRC(__nf_ct_change_status, 0xdeb9231b, "_gpl");
SYMBOL_CRC(nf_ct_change_status_common, 0x51bb436c, "_gpl");
SYMBOL_CRC(print_tuple, 0x4b968510, "_gpl");
SYMBOL_CRC(nf_conntrack_count, 0x0eef4735, "_gpl");
SYMBOL_CRC(nf_ct_expect_hsize, 0xc18ac88d, "_gpl");
SYMBOL_CRC(nf_ct_expect_hash, 0xec8beba6, "_gpl");
SYMBOL_CRC(nf_ct_unlink_expect_report, 0x4849d862, "_gpl");
SYMBOL_CRC(nf_ct_remove_expect, 0x5feb451f, "_gpl");
SYMBOL_CRC(__nf_ct_expect_find, 0x4351ffd0, "_gpl");
SYMBOL_CRC(nf_ct_expect_find_get, 0xfcd78db1, "_gpl");
SYMBOL_CRC(nf_ct_remove_expectations, 0x3f0951a6, "_gpl");
SYMBOL_CRC(nf_ct_unexpect_related, 0xbb1f5841, "_gpl");
SYMBOL_CRC(nf_ct_expect_alloc, 0x1a82be57, "_gpl");
SYMBOL_CRC(nf_ct_expect_init, 0xf3ebb649, "_gpl");
SYMBOL_CRC(nf_ct_expect_put, 0x812cf5e4, "_gpl");
SYMBOL_CRC(nf_ct_expect_related_report, 0x086d2b0f, "_gpl");
SYMBOL_CRC(nf_ct_expect_iterate_destroy, 0xbad8a197, "_gpl");
SYMBOL_CRC(nf_ct_expect_iterate_net, 0x4b07bb53, "_gpl");
SYMBOL_CRC(nf_ct_helper_hash, 0x693c3961, "_gpl");
SYMBOL_CRC(nf_ct_helper_hsize, 0xc40f284c, "_gpl");
SYMBOL_CRC(__nf_conntrack_helper_find, 0x64797432, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_try_module_get, 0x7a386573, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_put, 0x52244e7d, "_gpl");
SYMBOL_CRC(nf_nat_helper_try_module_get, 0x0bc00f80, "_gpl");
SYMBOL_CRC(nf_nat_helper_put, 0x29abd109, "_gpl");
SYMBOL_CRC(nf_ct_helper_ext_add, 0x50d71286, "_gpl");
SYMBOL_CRC(__nf_ct_try_assign_helper, 0xcb9095ed, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_register, 0x2181daa4, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_unregister, 0x800aec5b, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_find_by_name, 0x0cace85d, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_find_by_symbol, 0xb13c3c72, "_gpl");
SYMBOL_CRC(nf_ct_helper_log, 0xe720b9a1, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_register, 0xc4dc5560, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_unregister, 0x7d548b8b, "_gpl");
SYMBOL_CRC(nf_ct_helper_init, 0xe3f2d506, "_gpl");
SYMBOL_CRC(nf_conntrack_helpers_register, 0x48b09eee, "_gpl");
SYMBOL_CRC(nf_conntrack_helpers_unregister, 0x5ec7987f, "_gpl");
SYMBOL_CRC(nf_nat_helper_register, 0x45ead80d, "_gpl");
SYMBOL_CRC(nf_nat_helper_unregister, 0x29f5804e, "_gpl");
SYMBOL_CRC(nf_ct_set_auto_assign_helper_warned, 0x8da4b0f0, "_gpl");
SYMBOL_CRC(nf_l4proto_log_invalid, 0x497c9120, "_gpl");
SYMBOL_CRC(nf_ct_l4proto_log_invalid, 0xa0b22c78, "_gpl");
SYMBOL_CRC(nf_ct_l4proto_find, 0xaa0c34f1, "_gpl");
SYMBOL_CRC(nf_confirm, 0x46e0e791, "_gpl");
SYMBOL_CRC(nf_ct_netns_get, 0x1c882759, "_gpl");
SYMBOL_CRC(nf_ct_netns_put, 0xa66b2ea0, "_gpl");
SYMBOL_CRC(nf_ct_bridge_register, 0xb0fd8484, "_gpl");
SYMBOL_CRC(nf_ct_bridge_unregister, 0x8cc2b5a8, "_gpl");
SYMBOL_CRC(nf_ct_ext_add, 0x81c4d028, "");
SYMBOL_CRC(__nf_ct_ext_find, 0x89d99ee1, "");
SYMBOL_CRC(nf_ct_seqadj_init, 0xf330d7a8, "_gpl");
SYMBOL_CRC(nf_ct_seqadj_set, 0x1ad331f1, "_gpl");
SYMBOL_CRC(nf_ct_tcp_seqadj_set, 0x5947dc50, "_gpl");
SYMBOL_CRC(nf_ct_seq_adjust, 0x2c1cb09b, "_gpl");
SYMBOL_CRC(nf_ct_seq_offset, 0xe9f41809, "_gpl");
SYMBOL_CRC(nf_ct_timeout_hook, 0xcbface97, "_gpl");
SYMBOL_CRC(nf_ct_untimeout, 0x958ab8fb, "_gpl");
SYMBOL_CRC(nf_ct_set_timeout, 0xf27d8446, "_gpl");
SYMBOL_CRC(nf_ct_destroy_timeout, 0x627ff8a0, "_gpl");
SYMBOL_CRC(nf_conn_pernet_ecache, 0xded2125e, "_gpl");
SYMBOL_CRC(nf_conntrack_eventmask_report, 0x15127bb1, "_gpl");
SYMBOL_CRC(nf_ct_deliver_cached_events, 0xfebb1b0f, "_gpl");
SYMBOL_CRC(nf_conntrack_register_notifier, 0x0765b4a4, "_gpl");
SYMBOL_CRC(nf_conntrack_unregister_notifier, 0x55fe9777, "_gpl");
SYMBOL_CRC(nf_ct_ecache_ext_add, 0xdfe0a851, "_gpl");
SYMBOL_CRC(nf_connlabels_replace, 0x352d6a61, "_gpl");
SYMBOL_CRC(nf_connlabels_get, 0xc143f872, "_gpl");
SYMBOL_CRC(nf_connlabels_put, 0xe6affc5f, "_gpl");
SYMBOL_CRC(nf_ct_helper, 0x9cd74b55, "_gpl");
SYMBOL_CRC(nf_ct_add_helper, 0xdbc0da97, "_gpl");
SYMBOL_CRC(nf_ct_skb_network_trim, 0x19bd899e, "_gpl");
SYMBOL_CRC(nf_ct_handle_fragments, 0xe26a1cb5, "_gpl");
SYMBOL_CRC(nf_ct_gre_keymap_add, 0x9fd2ee44, "_gpl");
SYMBOL_CRC(nf_ct_gre_keymap_destroy, 0x0dda53a5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc5fd6428, "__do_once_done" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x4c28373d, "try_module_get" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xe2520fb5, "nf_defrag_ipv4_disable" },
	{ 0x7252bb98, "nf_ip6_checksum" },
	{ 0x4ed7ac4a, "proc_dou8vec_minmax" },
	{ 0x64836f15, "skb_copy_bits" },
	{ 0xe153b73, "param_ops_uint" },
	{ 0x96e1e290, "proc_dointvec_jiffies" },
	{ 0xb4869a54, "register_net_sysctl" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc1026cc0, "nf_register_sockopt" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0x24819e5a, "rt_mutex_base_init" },
	{ 0x56ce5691, "nfct_btf_struct_access" },
	{ 0x311b3170, "param_set_uint" },
	{ 0x247bf62c, "nf_defrag_ipv4_enable" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xeebd49a6, "nf_ct_frag6_gather" },
	{ 0xafa27106, "get_net_ns_by_id" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9f15f501, "timer_delete" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x66f7b349, "kmem_cache_create" },
	{ 0x469ec477, "nf_ct_hook" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x8ce5dc8b, "proc_create_net_data" },
	{ 0x751d2e97, "bpf_log" },
	{ 0x6801fb61, "register_pernet_subsys" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x92997ed8, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xe1a91d8e, "nf_unregister_sockopt" },
	{ 0x5bdd945e, "param_get_uint" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x53c168c6, "make_kuid" },
	{ 0x7e01ff62, "nf_defrag_ipv6_disable" },
	{ 0x96468f2c, "ipv6_skip_exthdr" },
	{ 0x92ed267b, "nf_register_net_hooks" },
	{ 0xa916b694, "strnlen" },
	{ 0xf44d53da, "security_secid_to_secctx" },
	{ 0xe64d3d42, "kmem_cache_alloc" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0x5da4de2, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xf6a0c1c, "nf_checksum" },
	{ 0x16e7fc07, "nf_hooks_lwtunnel_sysctl_handler" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x21bc69b5, "init_net" },
	{ 0xa5aaeb90, "nf_ip6_check_hbh_len" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xc2a113a, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf8629924, "sk_skb_reason_drop" },
	{ 0x60d633ea, "mutex_lock" },
	{ 0xccc7b44d, "kmem_cache_free" },
	{ 0x93162863, "seq_putc" },
	{ 0xf00a075f, "nla_put" },
	{ 0x63131a30, "nf_checksum_partial" },
	{ 0x9d78488f, "skb_ensure_writable" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0x6491b444, "nf_unregister_net_hooks" },
	{ 0xebaea4f8, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x54ab8510, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xdcb764ad, "memset" },
	{ 0xf5e0cafa, "ip_defrag" },
	{ 0x19f33626, "nf_ctnetlink_has_listener" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xb1bf0768, "nf_log_packet" },
	{ 0x64acb8d2, "make_kgid" },
	{ 0xcb1a4684, "nf_ip_checksum" },
	{ 0x67c46b9f, "rt_spin_unlock" },
	{ 0x227aa9af, "register_btf_kfunc_id_set" },
	{ 0x358e2c7b, "nf_conn_btf_access_lock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc99a7352, "down_read" },
	{ 0x56a56e06, "rt_spin_lock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9039b03b, "nla_policy_len" },
	{ 0x663b10c1, "__put_net" },
	{ 0xb15b4109, "crc32c" },
	{ 0xa97463c9, "__siphash_aligned" },
	{ 0xe17678a, "siphash_4u64" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x9457acfb, "__skb_checksum" },
	{ 0x64895b51, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x94af893c, "proc_set_user" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x7a67dd53, "param_ops_bool" },
	{ 0x3c07eca4, "inet_proto_csum_replace4" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xa0ae1e73, "siphash_3u64" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf0274b23, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x930eb4b8, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x26273868, "nf_defrag_ipv6_enable" },
	{ 0xecfea88, "btf_type_by_id" },
	{ 0xb0b9d032, "proc_dointvec" },
	{ 0x2b77362c, "seq_puts" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xe44b872b, "nf_nat_hook" },
	{ 0xf44a904a, "net_ns_barrier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0xda1874ef, "unregister_net_sysctl_table" },
	{ 0x7bac27f7, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x51036c97, "nf_queue_nf_hook_drop" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x36b24102, "pskb_trim_rcsum_slow" },
	{ 0x76a89eaa, "up_read" },
	{ 0xbb31864d, "net_rwsem" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0xef19ee8f, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x7f63a1d8, "kmem_cache_destroy" },
	{ 0xd8a364c3, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x3eee7372, "module_layout" },
};

MODULE_INFO(depends, "nf_defrag_ipv4,nf_defrag_ipv6");


MODULE_INFO(srcversion, "711B16A0039BE820C39888A");
MODULE_INFO(rhelversion, "9.6");
