#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nf_ct_nat_ext_add, "_gpl", "");
KSYMTAB_FUNC(nf_nat_setup_info, "", "");
KSYMTAB_FUNC(nf_nat_alloc_null_binding, "_gpl", "");
KSYMTAB_FUNC(nf_nat_packet, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_icmp_reply_translation, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv4_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv4_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_icmpv6_reply_translation, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv6_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv6_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(__nf_nat_mangle_tcp_packet, "", "");
KSYMTAB_FUNC(nf_nat_mangle_udp_packet, "", "");
KSYMTAB_FUNC(nf_nat_follow_master, "", "");
KSYMTAB_FUNC(nf_nat_redirect_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_nat_redirect_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_inet_register_notifiers, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_inet_unregister_notifiers, "_gpl", "");
KSYMTAB_FUNC(nf_ct_nat, "_gpl", "");

SYMBOL_CRC(nf_ct_nat_ext_add, 0xf0bb5e46, "_gpl");
SYMBOL_CRC(nf_nat_setup_info, 0x61c77168, "");
SYMBOL_CRC(nf_nat_alloc_null_binding, 0x0e726a89, "_gpl");
SYMBOL_CRC(nf_nat_packet, 0x03fe45b7, "_gpl");
SYMBOL_CRC(nf_nat_inet_fn, 0x8716798a, "_gpl");
SYMBOL_CRC(nf_nat_icmp_reply_translation, 0x2e84ccf5, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_register_fn, 0x0b31413a, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_unregister_fn, 0x1d215afb, "_gpl");
SYMBOL_CRC(nf_nat_icmpv6_reply_translation, 0xc7dff242, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_register_fn, 0xe282c296, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_unregister_fn, 0x6b229237, "_gpl");
SYMBOL_CRC(nf_nat_inet_register_fn, 0xef656948, "_gpl");
SYMBOL_CRC(nf_nat_inet_unregister_fn, 0x359d0d21, "_gpl");
SYMBOL_CRC(__nf_nat_mangle_tcp_packet, 0xe9095a23, "");
SYMBOL_CRC(nf_nat_mangle_udp_packet, 0x3e1405c8, "");
SYMBOL_CRC(nf_nat_follow_master, 0x31722cc3, "");
SYMBOL_CRC(nf_nat_redirect_ipv4, 0x5d80a2d4, "_gpl");
SYMBOL_CRC(nf_nat_redirect_ipv6, 0x2c5e91c6, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv4, 0xb3e66caa, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv6, 0x48714ab3, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_register_notifiers, 0x3bc17c49, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_unregister_notifiers, 0xd9c25654, "_gpl");
SYMBOL_CRC(nf_ct_nat, 0x5b9ec83f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x81c4d028, "nf_ct_ext_add" },
	{ 0xc5fd6428, "__do_once_done" },
	{ 0x602cec, "nf_conntrack_find_get" },
	{ 0x4c28373d, "try_module_get" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x7252bb98, "nf_ip6_checksum" },
	{ 0x64836f15, "skb_copy_bits" },
	{ 0x705f0a1, "nf_hook_entries_insert_raw" },
	{ 0xbd0b957f, "xfrm_lookup" },
	{ 0x1ad331f1, "nf_ct_seqadj_set" },
	{ 0x718632b8, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x5a9f1d63, "memmove" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x800aec5b, "nf_ct_helper_expectfn_unregister" },
	{ 0xd3414c09, "__xfrm_decode_session" },
	{ 0x24819e5a, "rt_mutex_base_init" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x2181daa4, "nf_ct_helper_expectfn_register" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x16cd338e, "pskb_expand_head" },
	{ 0x6801fb61, "register_pernet_subsys" },
	{ 0x3625cd2a, "nf_conntrack_tuple_taken" },
	{ 0x92997ed8, "_printk" },
	{ 0xd25bc5d4, "csum_tcpudp_nofold" },
	{ 0x783f4e95, "nf_ct_iterate_cleanup_net" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x96468f2c, "ipv6_skip_exthdr" },
	{ 0x92ed267b, "nf_register_net_hooks" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xa9b06fd, "nf_ipv6_ops" },
	{ 0x5da4de2, "module_put" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8ffe7e89, "nf_conntrack_htable_size" },
	{ 0xf583706, "nf_conntrack_alter_reply" },
	{ 0x2de79dea, "ip_route_me_harder" },
	{ 0x60d633ea, "mutex_lock" },
	{ 0x4bf8d953, "nf_hook_entries_delete_raw" },
	{ 0x9d78488f, "skb_ensure_writable" },
	{ 0x6491b444, "nf_unregister_net_hooks" },
	{ 0xddd93c8d, "inet_select_addr" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfe731af8, "nf_ct_invert_tuple" },
	{ 0x54ab8510, "unregister_pernet_subsys" },
	{ 0x592885bb, "skb_checksum" },
	{ 0xdcb764ad, "memset" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x87749518, "nf_ct_delete" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0xcb1a4684, "nf_ip_checksum" },
	{ 0x67c46b9f, "rt_spin_unlock" },
	{ 0x227aa9af, "register_btf_kfunc_id_set" },
	{ 0xf78ddcb3, "nf_ct_iterate_destroy" },
	{ 0xc63085ce, "inet_proto_csum_replace16" },
	{ 0x56a56e06, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x663b10c1, "__put_net" },
	{ 0xb15b4109, "crc32c" },
	{ 0x64834a31, "rt_read_lock" },
	{ 0xe17678a, "siphash_4u64" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x9457acfb, "__skb_checksum" },
	{ 0x64895b51, "mutex_unlock" },
	{ 0x3c07eca4, "inet_proto_csum_replace4" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x1e899cfd, "rt_read_unlock" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x991d4121, "dst_release" },
	{ 0xac60692f, "nf_ct_kill_acct" },
	{ 0x289c3714, "nf_ct_alloc_hashtable" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xe44b872b, "nf_nat_hook" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x7bac27f7, "kmalloc_trace" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0xef19ee8f, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x3eee7372, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "EEB9ABC658119093C34A105");
MODULE_INFO(rhelversion, "9.6");
