#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nft_do_chain, "_gpl", "");
KSYMTAB_FUNC(nft_request_module, "_gpl", "");
KSYMTAB_FUNC(nft_register_chain_type, "_gpl", "");
KSYMTAB_FUNC(nft_unregister_chain_type, "_gpl", "");
KSYMTAB_FUNC(nft_register_expr, "_gpl", "");
KSYMTAB_FUNC(nft_unregister_expr, "_gpl", "");
KSYMTAB_FUNC(nft_chain_validate, "_gpl", "");
KSYMTAB_FUNC(nft_set_lookup_global, "_gpl", "");
KSYMTAB_FUNC(nf_tables_bind_set, "_gpl", "");
KSYMTAB_FUNC(nf_tables_activate_set, "_gpl", "");
KSYMTAB_FUNC(nf_tables_deactivate_set, "_gpl", "");
KSYMTAB_FUNC(nf_tables_destroy_set, "_gpl", "");
KSYMTAB_FUNC(nft_set_elem_destroy, "_gpl", "");
KSYMTAB_FUNC(nft_set_catchall_lookup, "_gpl", "");
KSYMTAB_FUNC(nft_register_obj, "_gpl", "");
KSYMTAB_FUNC(nft_unregister_obj, "_gpl", "");
KSYMTAB_FUNC(nft_obj_lookup, "_gpl", "");
KSYMTAB_FUNC(nft_obj_notify, "_gpl", "");
KSYMTAB_FUNC(nft_register_flowtable_type, "_gpl", "");
KSYMTAB_FUNC(nft_unregister_flowtable_type, "_gpl", "");
KSYMTAB_FUNC(nft_flowtable_lookup, "_gpl", "");
KSYMTAB_FUNC(nf_tables_deactivate_flowtable, "_gpl", "");
KSYMTAB_FUNC(nf_tables_trans_destroy_flush_work, "_gpl", "");
KSYMTAB_FUNC(nft_chain_validate_dependency, "_gpl", "");
KSYMTAB_FUNC(nft_chain_validate_hooks, "_gpl", "");
KSYMTAB_FUNC(nft_parse_u32_check, "_gpl", "");
KSYMTAB_FUNC(nft_dump_register, "_gpl", "");
KSYMTAB_FUNC(nft_parse_register_load, "_gpl", "");
KSYMTAB_FUNC(nft_parse_register_store, "_gpl", "");
KSYMTAB_FUNC(nft_data_init, "_gpl", "");
KSYMTAB_FUNC(nft_data_release, "_gpl", "");
KSYMTAB_FUNC(nft_data_dump, "_gpl", "");
KSYMTAB_FUNC(__nft_release_basechain, "_gpl", "");
KSYMTAB_DATA(nft_trace_enabled, "_gpl", "");
KSYMTAB_FUNC(nft_meta_get_eval, "_gpl", "");
KSYMTAB_FUNC(nft_meta_set_eval, "_gpl", "");
KSYMTAB_DATA(nft_meta_policy, "_gpl", "");
KSYMTAB_FUNC(nft_meta_get_init, "_gpl", "");
KSYMTAB_FUNC(nft_meta_set_validate, "_gpl", "");
KSYMTAB_FUNC(nft_meta_set_init, "_gpl", "");
KSYMTAB_FUNC(nft_meta_get_dump, "_gpl", "");
KSYMTAB_FUNC(nft_meta_set_dump, "_gpl", "");
KSYMTAB_FUNC(nft_meta_set_destroy, "_gpl", "");
KSYMTAB_FUNC(nft_meta_inner_eval, "_gpl", "");

SYMBOL_CRC(nft_do_chain, 0xe5e2939c, "_gpl");
SYMBOL_CRC(nft_request_module, 0x7e6c7ef1, "_gpl");
SYMBOL_CRC(nft_register_chain_type, 0x9c3e3180, "_gpl");
SYMBOL_CRC(nft_unregister_chain_type, 0x6f64e552, "_gpl");
SYMBOL_CRC(nft_register_expr, 0xd019accd, "_gpl");
SYMBOL_CRC(nft_unregister_expr, 0xe84494f3, "_gpl");
SYMBOL_CRC(nft_chain_validate, 0x319a4e2a, "_gpl");
SYMBOL_CRC(nft_set_lookup_global, 0xb0801ce5, "_gpl");
SYMBOL_CRC(nf_tables_bind_set, 0x647710f8, "_gpl");
SYMBOL_CRC(nf_tables_activate_set, 0x5b4fc5c8, "_gpl");
SYMBOL_CRC(nf_tables_deactivate_set, 0x99c50ee7, "_gpl");
SYMBOL_CRC(nf_tables_destroy_set, 0x6b7aee2e, "_gpl");
SYMBOL_CRC(nft_set_elem_destroy, 0xed96c7df, "_gpl");
SYMBOL_CRC(nft_set_catchall_lookup, 0xe70cce8c, "_gpl");
SYMBOL_CRC(nft_register_obj, 0x21412333, "_gpl");
SYMBOL_CRC(nft_unregister_obj, 0x02a167da, "_gpl");
SYMBOL_CRC(nft_obj_lookup, 0x928755a9, "_gpl");
SYMBOL_CRC(nft_obj_notify, 0x28d633c9, "_gpl");
SYMBOL_CRC(nft_register_flowtable_type, 0x133330af, "_gpl");
SYMBOL_CRC(nft_unregister_flowtable_type, 0x18ad8f58, "_gpl");
SYMBOL_CRC(nft_flowtable_lookup, 0xcdfeeaf0, "_gpl");
SYMBOL_CRC(nf_tables_deactivate_flowtable, 0x491547f0, "_gpl");
SYMBOL_CRC(nf_tables_trans_destroy_flush_work, 0x3251d762, "_gpl");
SYMBOL_CRC(nft_chain_validate_dependency, 0xe697f1f4, "_gpl");
SYMBOL_CRC(nft_chain_validate_hooks, 0x20728ee4, "_gpl");
SYMBOL_CRC(nft_parse_u32_check, 0xde57b5f5, "_gpl");
SYMBOL_CRC(nft_dump_register, 0x7814ae41, "_gpl");
SYMBOL_CRC(nft_parse_register_load, 0xe2b8cc13, "_gpl");
SYMBOL_CRC(nft_parse_register_store, 0x762bf3cb, "_gpl");
SYMBOL_CRC(nft_data_init, 0x26df18c0, "_gpl");
SYMBOL_CRC(nft_data_release, 0xcb5d1fa2, "_gpl");
SYMBOL_CRC(nft_data_dump, 0x93f75143, "_gpl");
SYMBOL_CRC(__nft_release_basechain, 0x6f5f0b36, "_gpl");
SYMBOL_CRC(nft_trace_enabled, 0x41b71e65, "_gpl");
SYMBOL_CRC(nft_meta_get_eval, 0xd50e9cea, "_gpl");
SYMBOL_CRC(nft_meta_set_eval, 0xc67174c8, "_gpl");
SYMBOL_CRC(nft_meta_policy, 0xb4e0fdb6, "_gpl");
SYMBOL_CRC(nft_meta_get_init, 0xaa2bc427, "_gpl");
SYMBOL_CRC(nft_meta_set_validate, 0x5df1a73c, "_gpl");
SYMBOL_CRC(nft_meta_set_init, 0x432b3156, "_gpl");
SYMBOL_CRC(nft_meta_get_dump, 0x915138bf, "_gpl");
SYMBOL_CRC(nft_meta_set_dump, 0xdd7b413d, "_gpl");
SYMBOL_CRC(nft_meta_set_destroy, 0x957cd600, "_gpl");
SYMBOL_CRC(nft_meta_inner_eval, 0xd81a5f1e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc5fd6428, "__do_once_done" },
	{ 0x4e9a8ed8, "__netlink_dump_start" },
	{ 0x4be0fbc8, "flow_rule_alloc" },
	{ 0x4c28373d, "try_module_get" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x5afc722e, "__audit_log_nfcfg" },
	{ 0x64836f15, "skb_copy_bits" },
	{ 0x7a7911ec, "__nlmsg_put" },
	{ 0x718632b8, "skb_put" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x8e92f7c4, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xedbaee5e, "nla_strcmp" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x3c7828cb, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7a53a06d, "flow_indr_dev_exists" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0xca9360b5, "rb_next" },
	{ 0x24819e5a, "rt_mutex_base_init" },
	{ 0x2c82c36a, "security_secmark_relabel_packet" },
	{ 0x2f2761f8, "nfnetlink_set_err" },
	{ 0x75d0deb9, "nsecs_to_jiffies64" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x6d7c7dcc, "bitmap_cut" },
	{ 0xe65e25a1, "flow_block_cb_free" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xeeaa3085, "nfnetlink_subsys_register" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x5c43f025, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x44532adf, "__module_get" },
	{ 0x148653, "vsnprintf" },
	{ 0x26254574, "rhashtable_walk_enter" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x9bba7eab, "__dev_get_by_name" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x6801fb61, "register_pernet_subsys" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0xa306c724, "__ip_options_compile" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xf82ec573, "rb_prev" },
	{ 0xf3b97a4b, "nf_route" },
	{ 0xa916b694, "strnlen" },
	{ 0xa166d097, "__alloc_skb" },
	{ 0xa9b06fd, "nf_ipv6_ops" },
	{ 0x618911fc, "numa_node" },
	{ 0xef79c4f6, "rt_write_unlock" },
	{ 0x5da4de2, "module_put" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x697d23f5, "nf_unregister_net_hook" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0x71eeda5f, "nf_register_net_hook" },
	{ 0x894fe65e, "__skb_get_hash_net" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x19bd383b, "security_secmark_refcount_dec" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf8629924, "sk_skb_reason_drop" },
	{ 0x2de79dea, "ip_route_me_harder" },
	{ 0xf880ff67, "skb_store_bits" },
	{ 0x20ee4a1e, "dev_get_by_index_rcu" },
	{ 0x60d633ea, "mutex_lock" },
	{ 0x57b91cdb, "nfnetlink_unicast" },
	{ 0xf00a075f, "nla_put" },
	{ 0x9166fada, "strncpy" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9d78488f, "skb_ensure_writable" },
	{ 0xc0ff12fb, "nla_strdup" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xdd9ab762, "rhashtable_walk_start_check" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xdb065657, "nfnl_unlock" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x25aacec8, "flow_indr_dev_setup_offload" },
	{ 0xb444daf7, "rhashtable_walk_stop" },
	{ 0xb44e18ea, "audit_enabled" },
	{ 0x838d2bc8, "siphash_3u32" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x54ab8510, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x3397a055, "rhashtable_free_and_destroy" },
	{ 0x592885bb, "skb_checksum" },
	{ 0xdcb764ad, "memset" },
	{ 0x92ec510d, "jiffies64_to_msecs" },
	{ 0xa7dfdc28, "rht_bucket_nested_insert" },
	{ 0xa0696302, "nfnetlink_send" },
	{ 0x22793d9a, "__get_task_comm" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6ae210ec, "__pskb_pull_tail" },
	{ 0xece784c2, "rb_first" },
	{ 0x5edb4cb3, "nfnetlink_subsys_unregister" },
	{ 0x67c46b9f, "rt_spin_unlock" },
	{ 0xecf4dd9e, "from_kgid_munged" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x5a7b87bc, "skb_trim" },
	{ 0x56a56e06, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x663b10c1, "__put_net" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0xdc27ab9a, "rhashtable_insert_slow" },
	{ 0x5c0e8d88, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0x64834a31, "rt_read_lock" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x2f03fc4b, "security_secmark_refcount_inc" },
	{ 0x9457acfb, "__skb_checksum" },
	{ 0x5ce3b588, "nfnl_lock" },
	{ 0x64895b51, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x3c07eca4, "inet_proto_csum_replace4" },
	{ 0xdf54a8f7, "netlink_unregister_notifier" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x1e899cfd, "rt_read_unlock" },
	{ 0xa882232c, "rhltable_init" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xfff5afc, "time64_to_tm" },
	{ 0x991d4121, "dst_release" },
	{ 0x6a693dc2, "rt_write_lock" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0x663c2507, "rhashtable_walk_next" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xfa599bb2, "netlink_register_notifier" },
	{ 0xfd863517, "from_kuid_munged" },
	{ 0x7bac27f7, "kmalloc_trace" },
	{ 0xf9c1f9ab, "security_secctx_to_secid" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x98cf60b3, "strlen" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x349cba85, "strchr" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x963f311a, "rhashtable_walk_exit" },
	{ 0x2bfbfebf, "__mutex_rt_init" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0xef19ee8f, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xbb2506de, "nfnetlink_has_listeners" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x3eee7372, "module_layout" },
};

MODULE_INFO(depends, "nfnetlink");


MODULE_INFO(srcversion, "3CFA14BDB372017A79F15D4");
MODULE_INFO(rhelversion, "9.6");
