#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(qrtr_endpoint_post, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_register, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_unregister, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_init, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_remove, "_gpl", "");

SYMBOL_CRC(qrtr_endpoint_post, 0xbeca1c39, "_gpl");
SYMBOL_CRC(qrtr_endpoint_register, 0x3663c6ba, "_gpl");
SYMBOL_CRC(qrtr_endpoint_unregister, 0xc743670d, "_gpl");
SYMBOL_CRC(qrtr_ns_init, 0xa47e91ba, "_gpl");
SYMBOL_CRC(qrtr_ns_remove, 0x8d25501f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5df02ef, "skb_free_datagram" },
	{ 0xe914e41e, "strcpy" },
	{ 0xd3ccfb6d, "sock_queue_rcv_skb_reason" },
	{ 0xae200a24, "__skb_pad" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x2d07be80, "bpf_trace_run4" },
	{ 0x64836f15, "skb_copy_bits" },
	{ 0x2ff99012, "radix_tree_insert" },
	{ 0x718632b8, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe46544a9, "consume_skb" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd401f544, "trace_raw_output_prep" },
	{ 0x33fc2a31, "get_user_ifreq" },
	{ 0x89ce8282, "radix_tree_lookup" },
	{ 0x24819e5a, "rt_mutex_base_init" },
	{ 0x93ee8a9, "trace_event_printf" },
	{ 0x71a51f3f, "kernel_bind" },
	{ 0x812c8400, "refcount_dec_and_mutex_lock" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xb14b3421, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xff1ffd2c, "__tracepoint_sk_data_ready" },
	{ 0xbd13b179, "event_triggers_call" },
	{ 0x1344e378, "__wake_up" },
	{ 0x44532adf, "__module_get" },
	{ 0xd89acc8c, "kernel_recvmsg" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xaa2c799e, "sk_error_report" },
	{ 0xdf4b6954, "skb_queue_purge_reason" },
	{ 0x243aab3d, "radix_tree_iter_delete" },
	{ 0x9d4a38cc, "trace_event_buffer_commit" },
	{ 0x92997ed8, "_printk" },
	{ 0x1d8c79a5, "proto_unregister" },
	{ 0x895cb2d1, "sock_register" },
	{ 0xc438a5bf, "datagram_poll" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x72c99bb5, "trace_event_ignore_this_pid" },
	{ 0xa166d097, "__alloc_skb" },
	{ 0xef79c4f6, "rt_write_unlock" },
	{ 0xdbd7710c, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0x5da4de2, "module_put" },
	{ 0xaad06d2, "__xa_alloc" },
	{ 0xaa67af76, "sock_no_shutdown" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0xcca25e63, "perf_trace_run_bpf_submit" },
	{ 0x90d99c0a, "__traceiter_sk_data_ready" },
	{ 0x21bc69b5, "init_net" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x86c162f4, "radix_tree_next_chunk" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf8629924, "sk_skb_reason_drop" },
	{ 0xe45f1327, "xa_load" },
	{ 0x289d8e, "kernel_getsockname" },
	{ 0x2abfdf57, "do_wait_intr_irq" },
	{ 0x41960511, "sk_free" },
	{ 0x447f96bf, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x60d633ea, "mutex_lock" },
	{ 0xd25b70fa, "skb_push" },
	{ 0xbe274755, "sock_no_listen" },
	{ 0x5b30f878, "trace_event_reg" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0xebaea4f8, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x40c6eb70, "skb_copy_datagram_iter" },
	{ 0x6464f94d, "sk_alloc" },
	{ 0xc7de5722, "sock_no_socketpair" },
	{ 0xdcb764ad, "memset" },
	{ 0xed18292a, "sock_no_mmap" },
	{ 0x4335ef68, "__init_waitqueue_head" },
	{ 0x2c4677f3, "sock_no_sendpage" },
	{ 0x7f7243f2, "__netdev_alloc_skb" },
	{ 0x67c46b9f, "rt_spin_unlock" },
	{ 0x56a56e06, "rt_spin_lock" },
	{ 0xfa7cde9c, "__xa_insert" },
	{ 0xce746ea8, "xa_erase" },
	{ 0xddc2f88, "bpf_trace_run3" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x7bbfe923, "skb_set_owner_w" },
	{ 0xf6771f23, "trace_event_buffer_reserve" },
	{ 0x64895b51, "mutex_unlock" },
	{ 0x7678896f, "sock_create_kern" },
	{ 0x4b9b2030, "xa_find" },
	{ 0x4f0ade69, "skb_recv_datagram" },
	{ 0xf3d9b6f9, "sock_alloc_send_pskb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x2b349d4, "xa_store" },
	{ 0x1c373b63, "skb_clone" },
	{ 0x6a693dc2, "rt_write_lock" },
	{ 0xe804d74e, "_copy_from_iter" },
	{ 0xf383799e, "sock_release" },
	{ 0x624c4960, "sock_gettstamp" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xb5f84747, "xa_find_after" },
	{ 0x7bac27f7, "kmalloc_trace" },
	{ 0x98cf60b3, "strlen" },
	{ 0xd06b07d7, "iov_iter_revert" },
	{ 0xfc2c1de6, "kernel_sendmsg" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x2bfbfebf, "__mutex_rt_init" },
	{ 0x5c5a3ebe, "sock_init_data" },
	{ 0x38f48af7, "put_user_ifreq" },
	{ 0xef19ee8f, "kmalloc_caches" },
	{ 0xd8a364c3, "release_sock" },
	{ 0x3eee7372, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A6D685FCA11B50D9F3AB646");
MODULE_INFO(rhelversion, "9.6");
