#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tls_device_sk_destruct, "_gpl", "");
KSYMTAB_FUNC(tls_offload_tx_resync_request, "_gpl", "");
KSYMTAB_FUNC(tls_get_record, "", "");
KSYMTAB_FUNC(tls_validate_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(tls_encrypt_skb, "_gpl", "");

SYMBOL_CRC(tls_device_sk_destruct, 0xd06f3361, "_gpl");
SYMBOL_CRC(tls_offload_tx_resync_request, 0x8c432cda, "_gpl");
SYMBOL_CRC(tls_get_record, 0xd2040210, "");
SYMBOL_CRC(tls_validate_xmit_skb, 0x6f204bb9, "_gpl");
SYMBOL_CRC(tls_encrypt_skb, 0x36b8c8e4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x614bed11, "sk_msg_free" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x3652afda, "tcp_bpf_sendmsg_redir" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7434f9fe, "flush_dcache_page" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x82ebd838, "tcp_read_sock" },
	{ 0x2d07be80, "bpf_trace_run4" },
	{ 0x64836f15, "skb_copy_bits" },
	{ 0xf8b07ca6, "sk_page_frag_refill" },
	{ 0x718632b8, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe46544a9, "consume_skb" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd401f544, "trace_raw_output_prep" },
	{ 0x4d600d91, "sk_psock_msg_verdict" },
	{ 0xd7a668ec, "bpf_trace_run6" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x24819e5a, "rt_mutex_base_init" },
	{ 0x93ee8a9, "trace_event_printf" },
	{ 0xe327fd79, "iov_iter_get_pages2" },
	{ 0x5f350d05, "___pskb_trim" },
	{ 0xb14b3421, "trace_event_raw_init" },
	{ 0xbfc1d1a, "check_zeroed_user" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x887eea87, "add_wait_queue" },
	{ 0x27fb84a5, "__put_devmap_managed_page_refs" },
	{ 0x6d2184b9, "clean_acked_data_enable" },
	{ 0x3b3ff59d, "skb_splice_bits" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xd1009980, "crypto_alloc_aead" },
	{ 0xff1ffd2c, "__tracepoint_sk_data_ready" },
	{ 0xfa842343, "crypto_aead_setauthsize" },
	{ 0xde782bdc, "crypto_aead_decrypt" },
	{ 0xbd13b179, "event_triggers_call" },
	{ 0x1344e378, "__wake_up" },
	{ 0xc62c0eb1, "sk_stream_error" },
	{ 0x4a63d608, "sk_msg_recvmsg" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x48765c7d, "sk_msg_memcopy_from_iter" },
	{ 0xaa2c799e, "sk_error_report" },
	{ 0x6801fb61, "register_pernet_subsys" },
	{ 0xc0a04475, "put_cmsg" },
	{ 0x8e6fa444, "__sk_flush_backlog" },
	{ 0x9d4a38cc, "trace_event_buffer_commit" },
	{ 0xc660b937, "crypto_destroy_tfm" },
	{ 0xa3a291e0, "do_tcp_sendpages" },
	{ 0x92997ed8, "_printk" },
	{ 0xe3099d1f, "sk_psock_tls_strp_read" },
	{ 0xd25bc5d4, "csum_tcpudp_nofold" },
	{ 0x1323744e, "sk_msg_clone" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x72c99bb5, "trace_event_ignore_this_pid" },
	{ 0xa166d097, "__alloc_skb" },
	{ 0xef79c4f6, "rt_write_unlock" },
	{ 0xed38958, "tcp_unregister_ulp" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xc2a814db, "tcp_memory_pressure" },
	{ 0xee2e1fb1, "tcp_recv_skb" },
	{ 0xdfdb74e1, "crypto_aead_setkey" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0xcca25e63, "perf_trace_run_bpf_submit" },
	{ 0x19a1152f, "down_write" },
	{ 0x90d99c0a, "__traceiter_sk_data_ready" },
	{ 0xb5586157, "crypto_req_done" },
	{ 0xaa785dec, "up_write" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x826b25be, "crypto_aead_encrypt" },
	{ 0xf8629924, "sk_skb_reason_drop" },
	{ 0x2fa9c0e1, "bpf_trace_run5" },
	{ 0x41960511, "sk_free" },
	{ 0xf880ff67, "skb_store_bits" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x60d633ea, "mutex_lock" },
	{ 0xa68d663e, "__sk_mem_reclaim" },
	{ 0x2bdb025a, "sk_stream_wait_memory" },
	{ 0xf00a075f, "nla_put" },
	{ 0x5b30f878, "trace_event_reg" },
	{ 0x5530b9e3, "iov_iter_kvec" },
	{ 0xeae0f496, "clean_acked_data_flush" },
	{ 0x2f5605ca, "sock_recv_errqueue" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0xebaea4f8, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x61633c42, "sk_msg_return_zero" },
	{ 0x3ee155b4, "mutex_lock_interruptible" },
	{ 0x40c6eb70, "skb_copy_datagram_iter" },
	{ 0xa1b05acc, "bpf_trace_run1" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0x54ab8510, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0xdcb764ad, "memset" },
	{ 0x5ea656c0, "sock_efree" },
	{ 0x98a85a0b, "kfree_skb_list_reason" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xa3ac4885, "clean_acked_data_disable" },
	{ 0x4335ef68, "__init_waitqueue_head" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0x67c46b9f, "rt_spin_unlock" },
	{ 0x552dea19, "sk_msg_free_partial" },
	{ 0xc99a7352, "down_read" },
	{ 0x5a7b87bc, "skb_trim" },
	{ 0x8b9c5470, "mutex_trylock" },
	{ 0x56a56e06, "rt_spin_lock" },
	{ 0xc29fd406, "alloc_skb_with_frags" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x6954ac7e, "tcp_register_ulp" },
	{ 0xddc2f88, "bpf_trace_run3" },
	{ 0xf2b33cb7, "memory_cgrp_subsys_on_dfl_key" },
	{ 0x7c4be1f1, "sk_psock_drop" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x9f08c714, "scatterwalk_copychunks" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x7ac51f91, "skb_page_frag_refill" },
	{ 0xf6771f23, "trace_event_buffer_reserve" },
	{ 0x64895b51, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x82ec0f40, "sk_msg_free_nocharge" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xeb199a38, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x5cf5bd89, "__folio_put" },
	{ 0xf0274b23, "remove_proc_entry" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x930eb4b8, "seq_printf" },
	{ 0x73fef1a7, "proc_create_net_single" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x1c373b63, "skb_clone" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x991d4121, "dst_release" },
	{ 0x6a693dc2, "rt_write_lock" },
	{ 0xe804d74e, "_copy_from_iter" },
	{ 0x86d9cdb8, "skb_copy_header" },
	{ 0x706b5a87, "sk_msg_trim" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x8f7c80e9, "remove_wait_queue" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0xb1183680, "netdev_sk_get_lowest_dev" },
	{ 0xfe4d0ce4, "sk_msg_alloc" },
	{ 0x7bac27f7, "kmalloc_trace" },
	{ 0xb9032971, "_copy_from_iter_nocache" },
	{ 0xcf6e078b, "tcp_rate_check_app_limited" },
	{ 0xcfc9ca36, "tcp_poll" },
	{ 0xd06b07d7, "iov_iter_revert" },
	{ 0x2546f04c, "sk_msg_zerocopy_from_iter" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x184d8d5c, "skb_to_sgvec" },
	{ 0x76a89eaa, "up_read" },
	{ 0x2bfbfebf, "__mutex_rt_init" },
	{ 0xbbcec555, "iov_iter_npages" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xef19ee8f, "kmalloc_caches" },
	{ 0x3e0f4b86, "tcp_read_done" },
	{ 0xd8a364c3, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x3eee7372, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "7056DAA37D02E0E08BCAB4D");
MODULE_INFO(rhelversion, "9.6");
